#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2025 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class RollbarIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "rollbar"

    @property
    def original_file_name(self) -> "str":
        return "rollbar.svg"

    @property
    def title(self) -> "str":
        return "Rollbar"

    @property
    def primary_color(self) -> "str":
        return "#3569F3"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>Rollbar</title>
     <path d="M24
 2.5795c-.0019-.1956-.1152-.5064-.484-.584-.0578-.0162-.1178-.0113-.177-.0104-.3082.0276-4.3793.4162-8.9551
 2.4569-2.7478 1.2221-4.8747 3.0984-6.213 5.376l-.3449.1494C2.9271
 12.1542 0 16.4046 0 21.338v.0828c0
 .3392.2786.5955.5967.5955h16.2625c.1045 0
 .2506-.0351.3748-.1391l6.5533-5.5255a.5932.5932 0 0 0
 .2116-.4598V2.5795Zm-6.5544
 17.5582V8.382l5.3622-4.5195v11.7557ZM7.3684
 16.4908h8.885v4.3333H2.227ZM14.868 5.532a30.7234 30.7234 0 0 1
 6.5315-2.043L16.6063 7.53a30.4061 30.4061 0 0 0-6.489
 1.528c1.1866-1.4487 2.787-2.6501 4.7506-3.5262ZM8.978 10.7722a30.7706
 30.7706 0 0 1 7.2753-1.9947v6.5211h-8.494a10.5382 10.5382 0 0 1
 1.2187-4.5264zm-1.636.7611a11.8074 11.8074 0 0 0-.7887 4.0826l-5.2886
 4.4632c.4-3.6262 2.5535-6.6591 6.0773-8.5458z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
