#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2025 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class YaakIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "yaak"

    @property
    def original_file_name(self) -> "str":
        return "yaak.svg"

    @property
    def title(self) -> "str":
        return "Yaak"

    @property
    def primary_color(self) -> "str":
        return "#814EDF"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>Yaak</title>
     <path d="M12 0C5.377 0 0 5.377 0 12s5.377 12 12 12c1.26 0
 2.474-.194 3.615-.555-.272-.827-.485-1.57-.72-1.496C8.607 23.925
 1.668 18.246 1.668 12 1.667 6.29 7.79-.043 14.7 1.779c.18.047
 1.364-.405 2.19-.738A11.95 11.95 0 0 0 12 0m6.37
 1.83c-1.866.712-6.182 2.136-7.332
 3.731-2.676.004-3.675.532-4.069.814-.316.226-.407 2.034-.407
 2.034h-.814l-.406-1.627s-3.967 4.496 1.22 4.475c.202 1.339.15
 3.974.407 5.696.27 1.806 4.18 3.74 5.29
 3.662.58-.04.362-1.65.406-2.441 2.345.802 3.653 1.981 4.285
 4.76C21.106 21.046 24 16.858 24
 12c0-4.284-2.25-8.046-5.63-10.17m-2.81 4.124c.667-.062 6.563 2.538
 4.428
 4.454-.572.21-1.268.195-1.782.21-2.198.065-3.007-.61-3.421-1.376-.229-.422-.62-1.084-.492-1.24.67.001
 1.497-.031 2.034 0-.191-.29-1.398-1.596-.814-2.034a.1.1 0 0 1
 .048-.014m-3.465 6.166a1.124 1.124 0 1 1 0 2.248 1.124 1.124 0 0 1
 0-2.248" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
