#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2025 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated


from typing import TYPE_CHECKING
from .icons import IconCollection
from ._dotenv import DotenvIcon
from ._dotnet import DotnetIcon
from ._e import EIcon
from ._1dot1dot1dot1 import OneDotOneDotOneDotOneIcon
from ._1and1 import OneAndOneIcon
from ._1001tracklists import OneThousandAndOneTracklistsIcon
from ._1panel import OnePanelIcon
from ._1password import OnePasswordIcon
from ._2fas import TwoFasIcon
from ._2k import TwoKIcon
from ._30secondsofcode import ThirtySecondsOfCodeIcon
from ._365datascience import ThreeHundredAndSixtyFiveDataScienceIcon
from ._3m import ThreeMIcon
from ._42 import FortyTwoIcon
from ._4chan import FourChanIcon
from ._4d import FourDIcon
from ._500px import FiveHundredPxIcon
from ._7zip import SevenZipIcon
from ._99designs import NinetyNineDesignsIcon
from ._9gag import NineGagIcon
from ._aframe import AframeIcon
from ._abdownloadmanager import AbDownloadManagerIcon
from ._abb import AbbIcon
from ._abbott import AbbottIcon
from ._abbvie import AbbvieIcon
from ._aboutdotme import AboutdotmeIcon
from ._abstract import AbstractIcon
from ._abusedotch import AbusedotchIcon
from ._academia import AcademiaIcon
from ._accenture import AccentureIcon
from ._accusoft import AccusoftIcon
from ._accuweather import AccuweatherIcon
from ._acer import AcerIcon
from ._acm import AcmIcon
from ._actigraph import ActigraphIcon
from ._activeloop import ActiveloopIcon
from ._activision import ActivisionIcon
from ._activitypub import ActivitypubIcon
from ._actix import ActixIcon
from ._actualbudget import ActualBudgetIcon
from ._acura import AcuraIcon
from ._ada import AdaIcon
from ._adafruit import AdafruitIcon
from ._adaway import AdawayIcon
from ._adblock import AdblockIcon
from ._adblockplus import AdblockPlusIcon
from ._addydotio import AddydotioIcon
from ._adguard import AdguardIcon
from ._adidas import AdidasIcon
from ._adminer import AdminerIcon
from ._adonisjs import AdonisjsIcon
from ._adp import AdpIcon
from ._adroll import AdrollIcon
from ._adventofcode import AdventOfCodeIcon
from ._adyen import AdyenIcon
from ._aegisauthenticator import AegisAuthenticatorIcon
from ._aerlingus import AerLingusIcon
from ._aeroflot import AeroflotIcon
from ._aeromexico import AeromexicoIcon
from ._aerospike import AerospikeIcon
from ._aew import AewIcon
from ._afdian import AfdianIcon
from ._affine import AffineIcon
from ._affinity import AffinityIcon
from ._affinitydesigner import AffinityDesignerIcon
from ._affinityphoto import AffinityPhotoIcon
from ._affinitypublisher import AffinityPublisherIcon
from ._afterpay import AfterpayIcon
from ._aftership import AftershipIcon
from ._agora import AgoraIcon
from ._aidungeon import AiDungeonIcon
from ._aib import AibIcon
from ._aiohttp import AiohttpIcon
from ._aiqfome import AiqfomeIcon
from ._aircanada import AirCanadaIcon
from ._airchina import AirChinaIcon
from ._airfrance import AirFranceIcon
from ._airindia import AirIndiaIcon
from ._airserbia import AirSerbiaIcon
from ._airtransat import AirTransatIcon
from ._airasia import AirasiaIcon
from ._airbnb import AirbnbIcon
from ._airbrake import AirbrakeIcon
from ._airbus import AirbusIcon
from ._airbyte import AirbyteIcon
from ._aircall import AircallIcon
from ._airplayaudio import AirplayAudioIcon
from ._airplayvideo import AirplayVideoIcon
from ._airtable import AirtableIcon
from ._airtel import AirtelIcon
from ._ajv import AjvIcon
from ._akamai import AkamaiIcon
from ._akasaair import AkasaAirIcon
from ._akaunting import AkauntingIcon
from ._akiflow import AkiflowIcon
from ._alacritty import AlacrittyIcon
from ._alamy import AlamyIcon
from ._albertheijn import AlbertHeijnIcon
from ._alby import AlbyIcon
from ._alchemy import AlchemyIcon
from ._aldinord import AldiNordIcon
from ._aldisud import AldiSudIcon
from ._alfaromeo import AlfaRomeoIcon
from ._alfred import AlfredIcon
from ._algolia import AlgoliaIcon
from ._algorand import AlgorandIcon
from ._alibabacloud import AlibabaCloudIcon
from ._alibabadotcom import AlibabadotcomIcon
from ._alienware import AlienwareIcon
from ._aliexpress import AliexpressIcon
from ._alipay import AlipayIcon
from ._alist import AlistIcon
from ._allegro import AllegroIcon
from ._alliedmodders import AlliedmoddersIcon
from ._allocine import AllocineIcon
from ._alltrails import AlltrailsIcon
from ._almalinux import AlmalinuxIcon
from ._alpinelinux import AlpineLinuxIcon
from ._alpinedotjs import AlpinedotjsIcon
from ._alternativeto import AlternativetoIcon
from ._alteryx import AlteryxIcon
from ._altiumdesigner import AltiumDesignerIcon
from ._alwaysdata import AlwaysdataIcon
from ._alx import AlxIcon
from ._amd import AmdIcon
from ._ameba import AmebaIcon
from ._americanairlines import AmericanAirlinesIcon
from ._americanexpress import AmericanExpressIcon
from ._amg import AmgIcon
from ._amp import AmpIcon
from ._amul import AmulIcon
from ._ana import AnaIcon
from ._anaconda import AnacondaIcon
from ._analogue import AnalogueIcon
from ._andela import AndelaIcon
from ._android import AndroidIcon
from ._androidauto import AndroidAutoIcon
from ._androidstudio import AndroidStudioIcon
from ._angular import AngularIcon
from ._anilist import AnilistIcon
from ._animalplanet import AnimalPlanetIcon
from ._ankermake import AnkermakeIcon
from ._anki import AnkiIcon
from ._ansible import AnsibleIcon
from ._answer import AnswerIcon
from ._ansys import AnsysIcon
from ._antdesign import AntDesignIcon
from ._anta import AntaIcon
from ._antena3 import AntenaThreeIcon
from ._antennapod import AntennapodIcon
from ._anthropic import AnthropicIcon
from ._antv import AntvIcon
from ._anycubic import AnycubicIcon
from ._anydesk import AnydeskIcon
from ._anytype import AnytypeIcon
from ._apache import ApacheIcon
from ._apacheairflow import ApacheAirflowIcon
from ._apacheant import ApacheAntIcon
from ._apachecassandra import ApacheCassandraIcon
from ._apachecloudstack import ApacheCloudstackIcon
from ._apachecordova import ApacheCordovaIcon
from ._apachecouchdb import ApacheCouchdbIcon
from ._apachedolphinscheduler import ApacheDolphinschedulerIcon
from ._apachedoris import ApacheDorisIcon
from ._apachedruid import ApacheDruidIcon
from ._apacheecharts import ApacheEchartsIcon
from ._apacheflink import ApacheFlinkIcon
from ._apachefreemarker import ApacheFreemarkerIcon
from ._apachegroovy import ApacheGroovyIcon
from ._apacheguacamole import ApacheGuacamoleIcon
from ._apachehadoop import ApacheHadoopIcon
from ._apachehbase import ApacheHbaseIcon
from ._apachehive import ApacheHiveIcon
from ._apachejmeter import ApacheJmeterIcon
from ._apachekafka import ApacheKafkaIcon
from ._apachekylin import ApacheKylinIcon
from ._apachelucene import ApacheLuceneIcon
from ._apachemaven import ApacheMavenIcon
from ._apachenetbeanside import ApacheNetbeansIdeIcon
from ._apachenifi import ApacheNifiIcon
from ._apacheopenoffice import ApacheOpenofficeIcon
from ._apacheparquet import ApacheParquetIcon
from ._apachepulsar import ApachePulsarIcon
from ._apacherocketmq import ApacheRocketmqIcon
from ._apachesolr import ApacheSolrIcon
from ._apachespark import ApacheSparkIcon
from ._apachestorm import ApacheStormIcon
from ._apachesuperset import ApacheSupersetIcon
from ._apachetomcat import ApacheTomcatIcon
from ._aparat import AparatIcon
from ._apifox import ApifoxIcon
from ._apmterminals import ApmTerminalsIcon
from ._apollographql import ApolloGraphqlIcon
from ._apostrophe import ApostropheIcon
from ._appstore import AppStoreIcon
from ._appgallery import AppgalleryIcon
from ._appian import AppianIcon
from ._appium import AppiumIcon
from ._apple import AppleIcon
from ._applearcade import AppleArcadeIcon
from ._applemusic import AppleMusicIcon
from ._applenews import AppleNewsIcon
from ._applepay import ApplePayIcon
from ._applepodcasts import ApplePodcastsIcon
from ._appletv import AppleTvIcon
from ._appsignal import AppsignalIcon
from ._appsmith import AppsmithIcon
from ._appveyor import AppveyorIcon
from ._appwrite import AppwriteIcon
from ._aqua import AquaIcon
from ._aral import AralIcon
from ._arangodb import ArangodbIcon
from ._arc import ArcIcon
from ._arcgis import ArcgisIcon
from ._archlinux import ArchLinuxIcon
from ._archicad import ArchicadIcon
from ._archiveofourown import ArchiveOfOurOwnIcon
from ._ardour import ArdourIcon
from ._arduino import ArduinoIcon
from ._argo import ArgoIcon
from ._argos import ArgosIcon
from ._ariakit import AriakitIcon
from ._arkecosystem import ArkEcosystemIcon
from ._arlo import ArloIcon
from ._arm import ArmIcon
from ._armkeil import ArmKeilIcon
from ._arstechnica import ArsTechnicaIcon
from ._artifacthub import ArtifactHubIcon
from ._artixlinux import ArtixLinuxIcon
from ._artstation import ArtstationIcon
from ._arxiv import ArxivIcon
from ._asahilinux import AsahiLinuxIcon
from ._asana import AsanaIcon
from ._asciidoctor import AsciidoctorIcon
from ._asciinema import AsciinemaIcon
from ._asda import AsdaIcon
from ._aseprite import AsepriteIcon
from ._assemblyscript import AssemblyscriptIcon
from ._asterisk import AsteriskIcon
from ._astonmartin import AstonMartinIcon
from ._astra import AstraIcon
from ._astral import AstralIcon
from ._astro import AstroIcon
from ._asus import AsusIcon
from ._atandt import AtandtIcon
from ._atari import AtariIcon
from ._atlasos import AtlasosIcon
from ._atlassian import AtlassianIcon
from ._auchan import AuchanIcon
from ._audacity import AudacityIcon
from ._audi import AudiIcon
from ._audible import AudibleIcon
from ._audiotechnica import AudiotechnicaIcon
from ._audiobookshelf import AudiobookshelfIcon
from ._audioboom import AudioboomIcon
from ._audiomack import AudiomackIcon
from ._aurelia import AureliaIcon
from ._auth0 import AuthZeroIcon
from ._authelia import AutheliaIcon
from ._authentik import AuthentikIcon
from ._authy import AuthyIcon
from ._autocad import AutocadIcon
from ._autocannon import AutocannonIcon
from ._autodesk import AutodeskIcon
from ._autodeskmaya import AutodeskMayaIcon
from ._autodeskrevit import AutodeskRevitIcon
from ._autohotkey import AutohotkeyIcon
from ._autoit import AutoitIcon
from ._automattic import AutomatticIcon
from ._autoprefixer import AutoprefixerIcon
from ._autozone import AutozoneIcon
from ._avajs import AvajsIcon
from ._avast import AvastIcon
from ._avianca import AviancaIcon
from ._avira import AviraIcon
from ._avm import AvmIcon
from ._awesomelists import AwesomeListsIcon
from ._awesomewm import AwesomewmIcon
from ._awwwards import AwwwardsIcon
from ._axios import AxiosIcon
from ._axisbank import AxisBankIcon
from ._bandrautomation import BandrAutomationIcon
from ._babel import BabelIcon
from ._babelio import BabelioIcon
from ._babylondotjs import BabylondotjsIcon
from ._backblaze import BackblazeIcon
from ._backbone import BackboneIcon
from ._backbonedotjs import BackbonedotjsIcon
from ._backendless import BackendlessIcon
from ._backstage import BackstageIcon
from ._backstage_casting import BackstageCastingIcon
from ._badoo import BadooIcon
from ._baidu import BaiduIcon
from ._bakalari import BakalariIcon
from ._bamboo import BambooIcon
from ._bambulab import BambuLabIcon
from ._bandcamp import BandcampIcon
from ._bandlab import BandlabIcon
from ._bandsintown import BandsintownIcon
from ._bankofamerica import BankOfAmericaIcon
from ._barclays import BarclaysIcon
from ._baremetrics import BaremetricsIcon
from ._barmenia import BarmeniaIcon
from ._basecamp import BasecampIcon
from ._baserow import BaserowIcon
from ._basicattentiontoken import BasicAttentionTokenIcon
from ._bastyon import BastyonIcon
from ._bat import BatIcon
from ._bata import BataIcon
from ._battledotnet import BattledotnetIcon
from ._bazel import BazelIcon
from ._beatport import BeatportIcon
from ._beats import BeatsIcon
from ._beatsbydre import BeatsByDreIcon
from ._beatstars import BeatstarsIcon
from ._beekeeperstudio import BeekeeperStudioIcon
from ._behance import BehanceIcon
from ._beijingsubway import BeijingSubwayIcon
from ._bem import BemIcon
from ._bentley import BentleyIcon
from ._bento import BentoIcon
from ._bentobox import BentoboxIcon
from ._bentoml import BentomlIcon
from ._bereal import BerealIcon
from ._betfair import BetfairIcon
from ._betterauth import BetterAuthIcon
from ._betterstack import BetterStackIcon
from ._betterdiscord import BetterdiscordIcon
from ._bevy import BevyIcon
from ._bigcartel import BigCartelIcon
from ._bigbasket import BigbasketIcon
from ._bigbluebutton import BigbluebuttonIcon
from ._bigcommerce import BigcommerceIcon
from ._bilibili import BilibiliIcon
from ._billboard import BillboardIcon
from ._bim import BimIcon
from ._binance import BinanceIcon
from ._biolink import BioLinkIcon
from ._biome import BiomeIcon
from ._bisecthosting import BisecthostingIcon
from ._bit import BitIcon
from ._bitbucket import BitbucketIcon
from ._bitcoin import BitcoinIcon
from ._bitcoincash import BitcoinCashIcon
from ._bitcoinsv import BitcoinSvIcon
from ._bitcomet import BitcometIcon
from ._bitdefender import BitdefenderIcon
from ._bitly import BitlyIcon
from ._bitrise import BitriseIcon
from ._bittorrent import BittorrentIcon
from ._bitwarden import BitwardenIcon
from ._bitwig import BitwigIcon
from ._black import BlackIcon
from ._blackberry import BlackberryIcon
from ._blackmagicdesign import BlackmagicDesignIcon
from ._blazemeter import BlazemeterIcon
from ._blazor import BlazorIcon
from ._blender import BlenderIcon
from ._blibli import BlibliIcon
from ._blockbench import BlockbenchIcon
from ._blockchaindotcom import BlockchaindotcomIcon
from ._blogger import BloggerIcon
from ._bloglovin import BloglovinIcon
from ._blueprint import BlueprintIcon
from ._bluesky import BlueskyIcon
from ._bluesound import BluesoundIcon
from ._bluetooth import BluetoothIcon
from ._bmcsoftware import BmcSoftwareIcon
from ._bmw import BmwIcon
from ._bnbchain import BnbChainIcon
from ._boardgamegeek import BoardgamegeekIcon
from ._boat import BoatIcon
from ._boehringeringelheim import BoehringerIngelheimIcon
from ._boeing import BoeingIcon
from ._bohemiainteractive import BohemiaInteractiveIcon
from ._bombardier import BombardierIcon
from ._bookalope import BookalopeIcon
from ._bookbub import BookbubIcon
from ._bookingdotcom import BookingdotcomIcon
from ._bookmeter import BookmeterIcon
from ._bookmyshow import BookmyshowIcon
from ._bookstack import BookstackIcon
from ._boost import BoostIcon
from ._boosty import BoostyIcon
from ._boots import BootsIcon
from ._bootstrap import BootstrapIcon
from ._borgbackup import BorgbackupIcon
from ._bosch import BoschIcon
from ._bose import BoseIcon
from ._botblecms import BotbleCmsIcon
from ._boulanger import BoulangerIcon
from ._bower import BowerIcon
from ._box import BoxIcon
from ._boxysvg import BoxySvgIcon
from ._braintree import BraintreeIcon
from ._braintrust import BraintrustIcon
from ._brandfetch import BrandfetchIcon
from ._brandfolder import BrandfolderIcon
from ._brave import BraveIcon
from ._breaker import BreakerIcon
from ._brenntag import BrenntagIcon
from ._brevo import BrevoIcon
from ._brex import BrexIcon
from ._bricks import BricksIcon
from ._britishairways import BritishAirwaysIcon
from ._broadcom import BroadcomIcon
from ._bruno import BrunoIcon
from ._bsd import BsdIcon
from ._bspwm import BspwmIcon
from ._bt import BtIcon
from ._buddy import BuddyIcon
from ._budibase import BudibaseIcon
from ._buefy import BuefyIcon
from ._buffer import BufferIcon
from ._bugatti import BugattiIcon
from ._bugcrowd import BugcrowdIcon
from ._buhl import BuhlIcon
from ._buildkite import BuildkiteIcon
from ._builtbybit import BuiltbybitIcon
from ._bukalapak import BukalapakIcon
from ._bulma import BulmaIcon
from ._bun import BunIcon
from ._bungie import BungieIcon
from ._bunnydotnet import BunnydotnetIcon
from ._bunq import BunqIcon
from ._burgerking import BurgerKingIcon
from ._burpsuite import BurpSuiteIcon
from ._burton import BurtonIcon
from ._buymeacoffee import BuyMeACoffeeIcon
from ._buysellads import BuyselladsIcon
from ._buzzfeed import BuzzfeedIcon
from ._bvg import BvgIcon
from ._byjus import ByjusIcon
from ._bytedance import BytedanceIcon
from ._c import CIcon
from ._cplusplus import CplusplusIcon
from ._cplusplusbuilder import CplusplusBuilderIcon
from ._cachet import CachetIcon
from ._caddy import CaddyIcon
from ._cadillac import CadillacIcon
from ._cafepress import CafepressIcon
from ._cairographics import CairoGraphicsIcon
from ._cairometro import CairoMetroIcon
from ._caixabank import CaixabankIcon
from ._cakephp import CakephpIcon
from ._caldotcom import CaldotcomIcon
from ._calendly import CalendlyIcon
from ._calibreweb import CalibrewebIcon
from ._campaignmonitor import CampaignMonitorIcon
from ._camunda import CamundaIcon
from ._canonical import CanonicalIcon
from ._canva import CanvaIcon
from ._canvas import CanvasIcon
from ._capacitor import CapacitorIcon
from ._caprover import CaproverIcon
from ._carthrottle import CarThrottleIcon
from ._cardano import CardanoIcon
from ._cardmarket import CardmarketIcon
from ._carlsberggroup import CarlsbergGroupIcon
from ._carrd import CarrdIcon
from ._carrefour import CarrefourIcon
from ._carto import CartoIcon
from ._cashapp import CashAppIcon
from ._castbox import CastboxIcon
from ._castorama import CastoramaIcon
from ._castro import CastroIcon
from ._caterpillar import CaterpillarIcon
from ._cbc import CbcIcon
from ._cbs import CbsIcon
from ._ccc import CccIcon
from ._ccleaner import CcleanerIcon
from ._cdprojekt import CdProjektIcon
from ._ce import CeIcon
from ._celery import CeleryIcon
from ._celestron import CelestronIcon
from ._centos import CentosIcon
from ._ceph import CephIcon
from ._cesium import CesiumIcon
from ._chai import ChaiIcon
from ._chainguard import ChainguardIcon
from ._chainlink import ChainlinkIcon
from ._chakraui import ChakraUiIcon
from ._changedetection import ChangeDetectionIcon
from ._channel4 import ChannelFourIcon
from ._charles import CharlesIcon
from ._chartdotjs import ChartdotjsIcon
from ._chartmogul import ChartmogulIcon
from ._chase import ChaseIcon
from ._chatbot import ChatbotIcon
from ._chatwoot import ChatwootIcon
from ._checkio import CheckioIcon
from ._checkmarx import CheckmarxIcon
from ._checkmk import CheckmkIcon
from ._chedraui import ChedrauiIcon
from ._cheerio import CheerioIcon
from ._chef import ChefIcon
from ._chemex import ChemexIcon
from ._chessdotcom import ChessdotcomIcon
from ._chevrolet import ChevroletIcon
from ._chianetwork import ChiaNetworkIcon
from ._chinaeasternairlines import ChinaEasternAirlinesIcon
from ._chinasouthernairlines import ChinaSouthernAirlinesIcon
from ._chocolatey import ChocolateyIcon
from ._chromatic import ChromaticIcon
from ._chromewebstore import ChromeWebStoreIcon
from ._chrysler import ChryslerIcon
from ._chupachups import ChupaChupsIcon
from ._cilium import CiliumIcon
from ._cinema4d import CinemaFourDIcon
from ._cinnamon import CinnamonIcon
from ._circle import CircleIcon
from ._circleci import CircleciIcon
from ._circuitverse import CircuitverseIcon
from ._cirrusci import CirrusCiIcon
from ._cisco import CiscoIcon
from ._citrix import CitrixIcon
from ._citroen import CitroenIcon
from ._civicrm import CivicrmIcon
from ._civo import CivoIcon
from ._clarifai import ClarifaiIcon
from ._claris import ClarisIcon
from ._clarivate import ClarivateIcon
from ._claude import ClaudeIcon
from ._clerk import ClerkIcon
from ._clevercloud import CleverCloudIcon
from ._clickhouse import ClickhouseIcon
from ._clickup import ClickupIcon
from ._clion import ClionIcon
from ._clockify import ClockifyIcon
from ._clojure import ClojureIcon
from ._cloud66 import CloudSixtySixIcon
from ._cloudfoundry import CloudFoundryIcon
from ._cloudnativebuild import CloudNativeBuildIcon
from ._cloudbees import CloudbeesIcon
from ._cloudcannon import CloudcannonIcon
from ._cloudera import ClouderaIcon
from ._cloudflare import CloudflareIcon
from ._cloudflarepages import CloudflarePagesIcon
from ._cloudflareworkers import CloudflareWorkersIcon
from ._cloudinary import CloudinaryIcon
from ._cloudron import CloudronIcon
from ._cloudsmith import CloudsmithIcon
from ._cloudways import CloudwaysIcon
from ._clubforce import ClubforceIcon
from ._clubhouse import ClubhouseIcon
from ._clyp import ClypIcon
from ._cmake import CmakeIcon
from ._cncf import CncfIcon
from ._cnes import CnesIcon
from ._cnet import CnetIcon
from ._cnn import CnnIcon
from ._coop import CoopIcon
from ._cobalt import CobaltIcon
from ._cocacola import CocacolaIcon
from ._cockpit import CockpitIcon
from ._cockroachlabs import CockroachLabsIcon
from ._cocoapods import CocoapodsIcon
from ._cocos import CocosIcon
from ._coda import CodaIcon
from ._codacy import CodacyIcon
from ._codeclimate import CodeClimateIcon
from ._codeblocks import CodeblocksIcon
from ._codeberg import CodebergIcon
from ._codecademy import CodecademyIcon
from ._codeceptjs import CodeceptjsIcon
from ._codechef import CodechefIcon
from ._codecov import CodecovIcon
from ._codecrafters import CodecraftersIcon
from ._codefactor import CodefactorIcon
from ._codeforces import CodeforcesIcon
from ._codefresh import CodefreshIcon
from ._codeigniter import CodeigniterIcon
from ._codemagic import CodemagicIcon
from ._codementor import CodementorIcon
from ._codemirror import CodemirrorIcon
from ._codenewbie import CodenewbieIcon
from ._codepen import CodepenIcon
from ._codeproject import CodeprojectIcon
from ._coder import CoderIcon
from ._coderabbit import CoderabbitIcon
from ._codersrank import CodersrankIcon
from ._coderwall import CoderwallIcon
from ._codesandbox import CodesandboxIcon
from ._codeship import CodeshipIcon
from ._codesignal import CodesignalIcon
from ._codestream import CodestreamIcon
from ._codewars import CodewarsIcon
from ._codingninjas import CodingNinjasIcon
from ._codingame import CodingameIcon
from ._codio import CodioIcon
from ._coffeescript import CoffeescriptIcon
from ._coggle import CoggleIcon
from ._cognizant import CognizantIcon
from ._coinbase import CoinbaseIcon
from ._coinmarketcap import CoinmarketcapIcon
from ._collaboraonline import CollaboraOnlineIcon
from ._comicfury import ComicfuryIcon
from ._comma import CommaIcon
from ._commerzbank import CommerzbankIcon
from ._commitlint import CommitlintIcon
from ._commodore import CommodoreIcon
from ._commonlisp import CommonLispIcon
from ._commonworkflowlanguage import CommonWorkflowLanguageIcon
from ._compilerexplorer import CompilerExplorerIcon
from ._composer import ComposerIcon
from ._comptia import ComptiaIcon
from ._comsol import ComsolIcon
from ._conan import ConanIcon
from ._concourse import ConcourseIcon
from ._condaforge import CondaforgeIcon
from ._conekta import ConektaIcon
from ._confluence import ConfluenceIcon
from ._construct3 import ConstructThreeIcon
from ._consul import ConsulIcon
from ._contabo import ContaboIcon
from ._contactlesspayment import ContactlessPaymentIcon
from ._containerd import ContainerdIcon
from ._contao import ContaoIcon
from ._contentful import ContentfulIcon
from ._contentstack import ContentstackIcon
from ._continente import ContinenteIcon
from ._contributorcovenant import ContributorCovenantIcon
from ._conventionalcommits import ConventionalCommitsIcon
from ._convertio import ConvertioIcon
from ._cookiecutter import CookiecutterIcon
from ._coolermaster import CoolerMasterIcon
from ._copaairlines import CopaAirlinesIcon
from ._coppel import CoppelIcon
from ._cora import CoraIcon
from ._coreldraw import CoreldrawIcon
from ._coronaengine import CoronaEngineIcon
from ._coronarenderer import CoronaRendererIcon
from ._corsair import CorsairIcon
from ._couchbase import CouchbaseIcon
from ._counterstrike import CounterstrikeIcon
from ._countingworkspro import CountingworksProIcon
from ._coursera import CourseraIcon
from ._coveralls import CoverallsIcon
from ._coze import CozeIcon
from ._cpanel import CpanelIcon
from ._craftcms import CraftCmsIcon
from ._craftsman import CraftsmanIcon
from ._cratedb import CratedbIcon
from ._crayon import CrayonIcon
from ._creality import CrealityIcon
from ._createreactapp import CreateReactAppIcon
from ._creativecommons import CreativeCommonsIcon
from ._creativetechnology import CreativeTechnologyIcon
from ._credly import CredlyIcon
from ._crehana import CrehanaIcon
from ._crewunited import CrewUnitedIcon
from ._crewai import CrewaiIcon
from ._criticalrole import CriticalRoleIcon
from ._crowdin import CrowdinIcon
from ._crowdsource import CrowdsourceIcon
from ._crunchbase import CrunchbaseIcon
from ._crunchyroll import CrunchyrollIcon
from ._cryengine import CryengineIcon
from ._cryptomator import CryptomatorIcon
from ._cryptpad import CryptpadIcon
from ._crystal import CrystalIcon
from ._csdn import CsdnIcon
from ._css import CssIcon
from ._cssdesignawards import CssDesignAwardsIcon
from ._cssmodules import CssModulesIcon
from ._csswizardry import CssWizardryIcon
from ._cts import CtsIcon
from ._cucumber import CucumberIcon
from ._cultura import CulturaIcon
from ._curl import CurlIcon
from ._curseforge import CurseforgeIcon
from ._customink import CustomInkIcon
from ._cyberdefenders import CyberdefendersIcon
from ._cycling74 import CyclingSeventyFourIcon
from ._cypress import CypressIcon
from ._cytoscapedotjs import CytoscapedotjsIcon
from ._d import DIcon
from ._dedge import DedgeIcon
from ._dwavesystems import DwaveSystemsIcon
from ._d3 import DThreeIcon
from ._dacia import DaciaIcon
from ._daf import DafIcon
from ._dailydotdev import DailydotdevIcon
from ._dailymotion import DailymotionIcon
from ._daisyui import DaisyuiIcon
from ._dapr import DaprIcon
from ._darkreader import DarkReaderIcon
from ._dart import DartIcon
from ._darty import DartyIcon
from ._daserste import DasErsteIcon
from ._dash import DashIcon
from ._dashlane import DashlaneIcon
from ._dask import DaskIcon
from ._dassaultsystemes import DassaultSystemesIcon
from ._datadotai import DatadotaiIcon
from ._databricks import DatabricksIcon
from ._datacamp import DatacampIcon
from ._datadog import DatadogIcon
from ._datagrip import DatagripIcon
from ._dataiku import DataikuIcon
from ._datastax import DatastaxIcon
from ._datefns import DatefnsIcon
from ._datev import DatevIcon
from ._datocms import DatocmsIcon
from ._datto import DattoIcon
from ._davinciresolve import DavinciResolveIcon
from ._dazhongdianping import DazhongDianpingIcon
from ._dazn import DaznIcon
from ._dbeaver import DbeaverIcon
from ._dblp import DblpIcon
from ._dbt import DbtIcon
from ._dcentertainment import DcEntertainmentIcon
from ._delonghi import DelonghiIcon
from ._debian import DebianIcon
from ._debridlink import DebridlinkIcon
from ._decapcms import DecapCmsIcon
from ._decentraland import DecentralandIcon
from ._deepcool import DeepcoolIcon
from ._deepgram import DeepgramIcon
from ._deepin import DeepinIcon
from ._deepl import DeeplIcon
from ._deepnote import DeepnoteIcon
from ._deliveroo import DeliverooIcon
from ._dell import DellIcon
from ._delphi import DelphiIcon
from ._delta import DeltaIcon
from ._deluge import DelugeIcon
from ._deno import DenoIcon
from ._denon import DenonIcon
from ._dependabot import DependabotIcon
from ._depositphotos import DepositphotosIcon
from ._derspiegel import DerSpiegelIcon
from ._deutschebahn import DeutscheBahnIcon
from ._deutschebank import DeutscheBankIcon
from ._deutschepost import DeutschePostIcon
from ._deutschetelekom import DeutscheTelekomIcon
from ._deutschewelle import DeutscheWelleIcon
from ._devdotto import DevdottoIcon
from ._devbox import DevboxIcon
from ._devexpress import DevexpressIcon
from ._deviantart import DeviantartIcon
from ._devpost import DevpostIcon
from ._devrant import DevrantIcon
from ._dgraph import DgraphIcon
from ._dhl import DhlIcon
from ._diagramsdotnet import DiagramsdotnetIcon
from ._dialogflow import DialogflowIcon
from ._diaspora import DiasporaIcon
from ._dictionarydotcom import DictionarydotcomIcon
from ._digg import DiggIcon
from ._digikeyelectronics import DigikeyElectronicsIcon
from ._digitalocean import DigitaloceanIcon
from ._dinersclub import DinersClubIcon
from ._dior import DiorIcon
from ._directus import DirectusIcon
from ._discogs import DiscogsIcon
from ._discord import DiscordIcon
from ._discorddotjs import DiscorddotjsIcon
from ._discourse import DiscourseIcon
from ._discover import DiscoverIcon
from ._disqus import DisqusIcon
from ._disroot import DisrootIcon
from ._distrobox import DistroboxIcon
from ._distrokid import DistrokidIcon
from ._django import DjangoIcon
from ._dji import DjiIcon
from ._dlib import DlibIcon
from ._dlna import DlnaIcon
from ._dm import DmIcon
from ._dmm import DmmIcon
from ._docker import DockerIcon
from ._docsdotrs import DocsdotrsIcon
from ._docsify import DocsifyIcon
from ._doctrine import DoctrineIcon
from ._docusaurus import DocusaurusIcon
from ._dogecoin import DogecoinIcon
from ._doi import DoiIcon
from ._dolby import DolbyIcon
from ._dolibarr import DolibarrIcon
from ._dolphin import DolphinIcon
from ._doordash import DoordashIcon
from ._dota2 import DotaTwoIcon
from ._douban import DoubanIcon
from ._doubanread import DoubanReadIcon
from ._dovecot import DovecotIcon
from ._dovetail import DovetailIcon
from ._downdetector import DowndetectorIcon
from ._doxygen import DoxygenIcon
from ._dpd import DpdIcon
from ._dragonframe import DragonframeIcon
from ._draugiemdotlv import DraugiemdotlvIcon
from ._dreamstime import DreamstimeIcon
from ._dribbble import DribbbleIcon
from ._drizzle import DrizzleIcon
from ._drone import DroneIcon
from ._drooble import DroobleIcon
from ._dropbox import DropboxIcon
from ._drupal import DrupalIcon
from ._dsautomobiles import DsAutomobilesIcon
from ._dts import DtsIcon
from ._dtube import DtubeIcon
from ._ducati import DucatiIcon
from ._duckdb import DuckdbIcon
from ._duckduckgo import DuckduckgoIcon
from ._dungeonsanddragons import DungeonsandDragonsIcon
from ._dunked import DunkedIcon
from ._dunzo import DunzoIcon
from ._duolingo import DuolingoIcon
from ._duplicati import DuplicatiIcon
from ._dvc import DvcIcon
from ._dwm import DwmIcon
from ._dynatrace import DynatraceIcon
from ._edotleclerc import EdotleclercIcon
from ._e3 import EThreeIcon
from ._ea import EaIcon
from ._eac import EacIcon
from ._eagle import EagleIcon
from ._easyeda import EasyedaIcon
from ._easyjet import EasyjetIcon
from ._ebay import EbayIcon
from ._ebox import EboxIcon
from ._eclipseadoptium import EclipseAdoptiumIcon
from ._eclipseche import EclipseCheIcon
from ._eclipseide import EclipseIdeIcon
from ._eclipsejetty import EclipseJettyIcon
from ._eclipsemosquitto import EclipseMosquittoIcon
from ._eclipsevertdotx import EclipseVertdotxIcon
from ._ecosia import EcosiaIcon
from ._ecovacs import EcovacsIcon
from ._edeka import EdekaIcon
from ._edgeimpulse import EdgeImpulseIcon
from ._editorconfig import EditorconfigIcon
from ._educative import EducativeIcon
from ._edx import EdxIcon
from ._egghead import EggheadIcon
from ._egnyte import EgnyteIcon
from ._eight import EightIcon
from ._eightsleep import EightSleepIcon
from ._ejs import EjsIcon
from ._elastic import ElasticIcon
from ._elasticcloud import ElasticCloudIcon
from ._elasticstack import ElasticStackIcon
from ._elasticsearch import ElasticsearchIcon
from ._elavon import ElavonIcon
from ._electron import ElectronIcon
from ._electronfiddle import ElectronFiddleIcon
from ._electronbuilder import ElectronbuilderIcon
from ._elegoo import ElegooIcon
from ._element import ElementIcon
from ._elementary import ElementaryIcon
from ._elementor import ElementorIcon
from ._elevenlabs import ElevenlabsIcon
from ._eleventy import EleventyIcon
from ._elgato import ElgatoIcon
from ._elixir import ElixirIcon
from ._elm import ElmIcon
from ._elsevier import ElsevierIcon
from ._embarcadero import EmbarcaderoIcon
from ._embark import EmbarkIcon
from ._emberdotjs import EmberdotjsIcon
from ._emby import EmbyIcon
from ._emirates import EmiratesIcon
from ._emlakjet import EmlakjetIcon
from ._endeavouros import EndeavourosIcon
from ._enpass import EnpassIcon
from ._ens import EnsIcon
from ._ente import EnteIcon
from ._enterprisedb import EnterprisedbIcon
from ._envato import EnvatoIcon
from ._envoyproxy import EnvoyProxyIcon
from ._epel import EpelIcon
from ._epicgames import EpicGamesIcon
from ._epson import EpsonIcon
from ._equinixmetal import EquinixMetalIcon
from ._eraser import EraserIcon
from ._ericsson import EricssonIcon
from ._erlang import ErlangIcon
from ._erpnext import ErpnextIcon
from ._esbuild import EsbuildIcon
from ._esea import EseaIcon
from ._eslgaming import EslgamingIcon
from ._eslint import EslintIcon
from ._esotericsoftware import EsotericSoftwareIcon
from ._esphome import EsphomeIcon
from ._espressif import EspressifIcon
from ._esri import EsriIcon
from ._etcd import EtcdIcon
from ._ethereum import EthereumIcon
from ._ethers import EthersIcon
from ._ethiopianairlines import EthiopianAirlinesIcon
from ._etihadairways import EtihadAirwaysIcon
from ._etsy import EtsyIcon
from ._europeanunion import EuropeanUnionIcon
from ._eventstore import EventStoreIcon
from ._evernote import EvernoteIcon
from ._everydotorg import EverydotorgIcon
from ._excalidraw import ExcalidrawIcon
from ._exercism import ExercismIcon
from ._exordo import ExordoIcon
from ._exoscale import ExoscaleIcon
from ._expedia import ExpediaIcon
from ._expensify import ExpensifyIcon
from ._expertsexchange import ExpertsExchangeIcon
from ._expo import ExpoIcon
from ._express import ExpressIcon
from ._expressdotcom import ExpressdotcomIcon
from ._expressvpn import ExpressvpnIcon
from ._eyeem import EyeemIcon
from ._fdroid import FdroidIcon
from ._fsharp import FSharpIcon
from ._f1 import FOneIcon
from ._f5 import FFiveIcon
from ._facebook import FacebookIcon
from ._facebookgaming import FacebookGamingIcon
from ._facebooklive import FacebookLiveIcon
from ._faceit import FaceitIcon
from ._facepunch import FacepunchIcon
from ._fairphone import FairphoneIcon
from ._falco import FalcoIcon
from ._falcon import FalconIcon
from ._fampay import FampayIcon
from ._fandango import FandangoIcon
from ._fandom import FandomIcon
from ._fanfou import FanfouIcon
from ._fantom import FantomIcon
from ._farcaster import FarcasterIcon
from ._fareharbor import FareharborIcon
from ._farfetch import FarfetchIcon
from ._fastapi import FastapiIcon
from ._fastify import FastifyIcon
from ._fastlane import FastlaneIcon
from ._fastly import FastlyIcon
from ._fathom import FathomIcon
from ._fauna import FaunaIcon
from ._favro import FavroIcon
from ._fcc import FccIcon
from ._fedex import FedexIcon
from ._fedora import FedoraIcon
from ._feedly import FeedlyIcon
from ._ferrari import FerrariIcon
from ._ferrarinv import FerrariNdotvdotIcon
from ._ferretdb import FerretdbIcon
from ._ffmpeg import FfmpegIcon
from ._fi import FiIcon
from ._fiat import FiatIcon
from ._fidoalliance import FidoAllianceIcon
from ._fifa import FifaIcon
from ._fig import FigIcon
from ._figma import FigmaIcon
from ._figshare import FigshareIcon
from ._fila import FilaIcon
from ._filament import FilamentIcon
from ._filedotio import FiledotioIcon
from ._filen import FilenIcon
from ._files import FilesIcon
from ._filezilla import FilezillaIcon
from ._fineco import FinecoIcon
from ._fing import FingIcon
from ._firebase import FirebaseIcon
from ._firefish import FirefishIcon
from ._fireflyiii import FireflyIiiIcon
from ._firefox import FirefoxIcon
from ._firefoxbrowser import FirefoxBrowserIcon
from ._fireship import FireshipIcon
from ._firewalla import FirewallaIcon
from ._first import FirstIcon
from ._fishshell import FishShellIcon
from ._fitbit import FitbitIcon
from ._fivem import FivemIcon
from ._fiverr import FiverrIcon
from ._fizz import FizzIcon
from ._flashforge import FlashforgeIcon
from ._flask import FlaskIcon
from ._flat import FlatIcon
from ._flathub import FlathubIcon
from ._flatpak import FlatpakIcon
from ._flickr import FlickrIcon
from ._flightaware import FlightawareIcon
from ._flipboard import FlipboardIcon
from ._flipkart import FlipkartIcon
from ._floatplane import FloatplaneIcon
from ._flood import FloodIcon
from ._floorp import FloorpIcon
from ._fluentbit import FluentBitIcon
from ._fluentd import FluentdIcon
from ._fluke import FlukeIcon
from ._flutter import FlutterIcon
from ._flux import FluxIcon
from ._flydotio import FlydotioIcon
from ._flyway import FlywayIcon
from ._fmod import FmodIcon
from ._fnac import FnacIcon
from ._folium import FoliumIcon
from ._folo import FoloIcon
from ._fonoma import FonomaIcon
from ._fontawesome import FontAwesomeIcon
from ._fontbase import FontbaseIcon
from ._fontforge import FontforgeIcon
from ._foobar2000 import FoobarTwoThousandIcon
from ._foodpanda import FoodpandaIcon
from ._ford import FordIcon
from ._forgejo import ForgejoIcon
from ._formbricks import FormbricksIcon
from ._formik import FormikIcon
from ._formspree import FormspreeIcon
from ._formstack import FormstackIcon
from ._fortinet import FortinetIcon
from ._fortnite import FortniteIcon
from ._fortran import FortranIcon
from ._fossa import FossaIcon
from ._fossilscm import FossilScmIcon
from ._foundryvirtualtabletop import FoundryVirtualTabletopIcon
from ._foursquare import FoursquareIcon
from ._fox import FoxIcon
from ._foxtel import FoxtelIcon
from ._fozzy import FozzyIcon
from ._framer import FramerIcon
from ._framework import FrameworkIcon
from ._framework7 import FrameworkSevenIcon
from ._franprix import FranprixIcon
from ._frappe import FrappeIcon
from ._fraunhofergesellschaft import FraunhofergesellschaftIcon
from ._freebsd import FreebsdIcon
from ._freecad import FreecadIcon
from ._freecodecamp import FreecodecampIcon
from ._freedesktopdotorg import FreedesktopdotorgIcon
from ._freelancer import FreelancerIcon
from ._freelancermap import FreelancermapIcon
from ._freenas import FreenasIcon
from ._freenet import FreenetIcon
from ._freepik import FreepikIcon
from ._freetube import FreetubeIcon
from ._fresh import FreshIcon
from ._frigate import FrigateIcon
from ._fritz import FritzIcon
from ._frontendmentor import FrontendMentorIcon
from ._frontify import FrontifyIcon
from ._fubo import FuboIcon
from ._fueler import FuelerIcon
from ._fugacloud import FugaCloudIcon
from ._fujifilm import FujifilmIcon
from ._fujitsu import FujitsuIcon
from ._furaffinity import FurAffinityIcon
from ._furrynetwork import FurryNetworkIcon
from ._fusionauth import FusionauthIcon
from ._futurelearn import FuturelearnIcon
from ._fyle import FyleIcon
from ._g2 import GTwoIcon
from ._g2a import GTwoAIcon
from ._g2g import GTwoGIcon
from ._galaxus import GalaxusIcon
from ._gamedeveloper import GameDeveloperIcon
from ._gamejolt import GameJoltIcon
from ._gamescience import GameScienceIcon
from ._gamebanana import GamebananaIcon
from ._gameloft import GameloftIcon
from ._gamemaker import GamemakerIcon
from ._gandi import GandiIcon
from ._garmin import GarminIcon
from ._gatling import GatlingIcon
from ._gatsby import GatsbyIcon
from ._gcore import GcoreIcon
from ._gdal import GdalIcon
from ._geeksforgeeks import GeeksforgeeksIcon
from ._generalelectric import GeneralElectricIcon
from ._generalmotors import GeneralMotorsIcon
from ._genius import GeniusIcon
from ._gentoo import GentooIcon
from ._geocaching import GeocachingIcon
from ._geode import GeodeIcon
from ._geopandas import GeopandasIcon
from ._gerrit import GerritIcon
from ._getx import GetxIcon
from ._ghost import GhostIcon
from ._ghostery import GhosteryIcon
from ._gimp import GimpIcon
from ._gin import GinIcon
from ._giphy import GiphyIcon
from ._git import GitIcon
from ._gitextensions import GitExtensionsIcon
from ._gitforwindows import GitForWindowsIcon
from ._gitlfs import GitLfsIcon
from ._gitbook import GitbookIcon
from ._gitconnected import GitconnectedIcon
from ._gitea import GiteaIcon
from ._gitee import GiteeIcon
from ._github import GithubIcon
from ._githubactions import GithubActionsIcon
from ._githubcopilot import GithubCopilotIcon
from ._githubpages import GithubPagesIcon
from ._githubsponsors import GithubSponsorsIcon
from ._gitignoredotio import GitignoredotioIcon
from ._gitkraken import GitkrakenIcon
from ._gitlab import GitlabIcon
from ._gitpod import GitpodIcon
from ._gitter import GitterIcon
from ._gldotinet import GldotinetIcon
from ._glassdoor import GlassdoorIcon
from ._gleam import GleamIcon
from ._glide import GlideIcon
from ._glitch import GlitchIcon
from ._globus import GlobusIcon
from ._glovo import GlovoIcon
from ._gltf import GltfIcon
from ._gmail import GmailIcon
from ._gmx import GmxIcon
from ._gnome import GnomeIcon
from ._gnometerminal import GnomeTerminalIcon
from ._gnu import GnuIcon
from ._gnubash import GnuBashIcon
from ._gnuemacs import GnuEmacsIcon
from ._gnuicecat import GnuIcecatIcon
from ._gnuprivacyguard import GnuPrivacyGuardIcon
from ._gnusocial import GnuSocialIcon
from ._go import GoIcon
from ._gocd import GocdIcon
from ._godaddy import GodaddyIcon
from ._godotengine import GodotEngineIcon
from ._gofundme import GofundmeIcon
from ._gogdotcom import GogdotcomIcon
from ._gojek import GojekIcon
from ._goland import GolandIcon
from ._goldmansachs import GoldmanSachsIcon
from ._goodreads import GoodreadsIcon
from ._google import GoogleIcon
from ._googleadmob import GoogleAdmobIcon
from ._googleads import GoogleAdsIcon
from ._googleadsense import GoogleAdsenseIcon
from ._googleanalytics import GoogleAnalyticsIcon
from ._googleappsscript import GoogleAppsScriptIcon
from ._googleassistant import GoogleAssistantIcon
from ._googleauthenticator import GoogleAuthenticatorIcon
from ._googlebigquery import GoogleBigqueryIcon
from ._googlebigtable import GoogleBigtableIcon
from ._googlecalendar import GoogleCalendarIcon
from ._googlecampaignmanager360 import (
    GoogleCampaignManagerThreeHundredAndSixtyIcon
)
from ._googlecardboard import GoogleCardboardIcon
from ._googlecast import GoogleCastIcon
from ._googlechat import GoogleChatIcon
from ._googlechrome import GoogleChromeIcon
from ._googlechronicle import GoogleChronicleIcon
from ._googleclassroom import GoogleClassroomIcon
from ._googlecloud import GoogleCloudIcon
from ._googlecloudcomposer import GoogleCloudComposerIcon
from ._googlecloudspanner import GoogleCloudSpannerIcon
from ._googlecloudstorage import GoogleCloudStorageIcon
from ._googlecolab import GoogleColabIcon
from ._googlecontaineroptimizedos import GoogleContainerOptimizedOsIcon
from ._googledataflow import GoogleDataflowIcon
from ._googledataproc import GoogleDataprocIcon
from ._googledisplayandvideo360 import (
    GoogleDisplayandVideoThreeHundredAndSixtyIcon
)
from ._googledocs import GoogleDocsIcon
from ._googledrive import GoogleDriveIcon
from ._googleearth import GoogleEarthIcon
from ._googleearthengine import GoogleEarthEngineIcon
from ._googlefit import GoogleFitIcon
from ._googlefonts import GoogleFontsIcon
from ._googleforms import GoogleFormsIcon
from ._googlegemini import GoogleGeminiIcon
from ._googlehome import GoogleHomeIcon
from ._googlekeep import GoogleKeepIcon
from ._googlelens import GoogleLensIcon
from ._googlemaps import GoogleMapsIcon
from ._googlemarketingplatform import GoogleMarketingPlatformIcon
from ._googlemeet import GoogleMeetIcon
from ._googlemessages import GoogleMessagesIcon
from ._googlenearby import GoogleNearbyIcon
from ._googlenews import GoogleNewsIcon
from ._googlepay import GooglePayIcon
from ._googlephotos import GooglePhotosIcon
from ._googleplay import GooglePlayIcon
from ._googlepubsub import GooglePubsubIcon
from ._googlescholar import GoogleScholarIcon
from ._googlesearchconsole import GoogleSearchConsoleIcon
from ._googlesheets import GoogleSheetsIcon
from ._googleslides import GoogleSlidesIcon
from ._googlestreetview import GoogleStreetViewIcon
from ._googlesummerofcode import GoogleSummerOfCodeIcon
from ._googletagmanager import GoogleTagManagerIcon
from ._googletasks import GoogleTasksIcon
from ._googletranslate import GoogleTranslateIcon
from ._googletv import GoogleTvIcon
from ._gotomeeting import GotomeetingIcon
from ._gplv3 import GplvThreeIcon
from ._grab import GrabIcon
from ._gradio import GradioIcon
from ._gradle import GradleIcon
from ._gradleplaypublisher import GradlePlayPublisherIcon
from ._grafana import GrafanaIcon
from ._grammarly import GrammarlyIcon
from ._grandfrais import GrandFraisIcon
from ._grapheneos import GrapheneosIcon
from ._graphite import GraphiteIcon
from ._graphql import GraphqlIcon
from ._grav import GravIcon
from ._gravatar import GravatarIcon
from ._graylog import GraylogIcon
from ._greasyfork import GreasyForkIcon
from ._greatlearning import GreatLearningIcon
from ._greenhouse import GreenhouseIcon
from ._greensock import GreensockIcon
from ._griddotai import GriddotaiIcon
from ._gridsome import GridsomeIcon
from ._grocy import GrocyIcon
from ._groupme import GroupmeIcon
from ._groupon import GrouponIcon
from ._grunt import GruntIcon
from ._gsk import GskIcon
from ._gsma import GsmaIcon
from ._gsmarenadotcom import GsmarenadotcomIcon
from ._gstreamer import GstreamerIcon
from ._gtk import GtkIcon
from ._guangzhoumetro import GuangzhouMetroIcon
from ._guilded import GuildedIcon
from ._guitarpro import GuitarProIcon
from ._gulp import GulpIcon
from ._gumroad import GumroadIcon
from ._gumtree import GumtreeIcon
from ._gunicorn import GunicornIcon
from ._gurobi import GurobiIcon
from ._gusto import GustoIcon
from ._gutenberg import GutenbergIcon
from ._handm import HandmIcon
from ._h2database import HTwoDatabaseIcon
from ._h3 import HThreeIcon
from ._habr import HabrIcon
from ._hackclub import HackClubIcon
from ._hackthebox import HackTheBoxIcon
from ._hackaday import HackadayIcon
from ._hackernoon import HackerNoonIcon
from ._hackerearth import HackerearthIcon
from ._hackerone import HackeroneIcon
from ._hackerrank import HackerrankIcon
from ._hackster import HacksterIcon
from ._hal import HalIcon
from ._handlebarsdotjs import HandlebarsdotjsIcon
from ._handshake import HandshakeIcon
from ._handshake_protocol import HandshakeProtocolIcon
from ._happycow import HappycowIcon
from ._harbor import HarborIcon
from ._harmonyos import HarmonyosIcon
from ._hashicorp import HashicorpIcon
from ._hashnode import HashnodeIcon
from ._haskell import HaskellIcon
from ._hasura import HasuraIcon
from ._hatenabookmark import HatenaBookmarkIcon
from ._haveibeenpwned import HaveIBeenPwnedIcon
from ._havells import HavellsIcon
from ._haxe import HaxeIcon
from ._haystack import HaystackIcon
from ._hbo import HboIcon
from ._hbomax import HboMaxIcon
from ._hcl import HclIcon
from ._hdfcbank import HdfcBankIcon
from ._headlessui import HeadlessUiIcon
from ._headphonezone import HeadphoneZoneIcon
from ._headspace import HeadspaceIcon
from ._hearth import HearthIcon
from ._hearthisdotat import HearthisdotatIcon
from ._hedera import HederaIcon
from ._hedgedoc import HedgedocIcon
from ._helium import HeliumIcon
from ._helix import HelixIcon
from ._hellofresh import HellofreshIcon
from ._hellyhansen import HellyHansenIcon
from ._helm import HelmIcon
from ._helpscout import HelpScoutIcon
from ._helpdesk import HelpdeskIcon
from ._hepsiemlak import HepsiemlakIcon
from ._here import HereIcon
from ._hermes import HermesIcon
from ._heroicgameslauncher import HeroicGamesLauncherIcon
from ._heroku import HerokuIcon
from ._heroui import HerouiIcon
from ._hetzner import HetznerIcon
from ._hevy import HevyIcon
from ._hexlet import HexletIcon
from ._hexo import HexoIcon
from ._hey import HeyIcon
from ._hibob import HiBobIcon
from ._hibernate import HibernateIcon
from ._hilton import HiltonIcon
from ._hiltonhotelsandresorts import HiltonHotelsandResortsIcon
from ._hitachi import HitachiIcon
from ._hive import HiveIcon
from ._hive_blockchain import HiveBlockchainIcon
from ._hivemq import HivemqIcon
from ._homarr import HomarrIcon
from ._homeassistant import HomeAssistantIcon
from ._homeassistantcommunitystore import HomeAssistantCommunityStoreIcon
from ._homeadvisor import HomeadvisorIcon
from ._homebrew import HomebrewIcon
from ._homebridge import HomebridgeIcon
from ._homepage import HomepageIcon
from ._homify import HomifyIcon
from ._honda import HondaIcon
from ._honey import HoneyIcon
from ._honeybadger import HoneybadgerIcon
from ._honeygain import HoneygainIcon
from ._hono import HonoIcon
from ._honor import HonorIcon
from ._hootsuite import HootsuiteIcon
from ._hoppscotch import HoppscotchIcon
from ._hostinger import HostingerIcon
from ._hotelsdotcom import HotelsdotcomIcon
from ._hotjar import HotjarIcon
from ._hotwire import HotwireIcon
from ._houdini import HoudiniIcon
from ._houzz import HouzzIcon
from ._hp import HpIcon
from ._hsbc import HsbcIcon
from ._htc import HtcIcon
from ._htcvive import HtcViveIcon
from ._htmlacademy import HtmlAcademyIcon
from ._html5 import HtmlFiveIcon
from ._htmx import HtmxIcon
from ._htop import HtopIcon
from ._httpie import HttpieIcon
from ._huawei import HuaweiIcon
from ._hubspot import HubspotIcon
from ._huggingface import HuggingFaceIcon
from ._hugo import HugoIcon
from ._humblebundle import HumbleBundleIcon
from ._humhub import HumhubIcon
from ._hungryjacks import HungryJacksIcon
from ._husqvarna import HusqvarnaIcon
from ._hyper import HyperIcon
from ._hyperskill import HyperskillIcon
from ._hyperx import HyperxIcon
from ._hypothesis import HypothesisIcon
from ._hyprland import HyprlandIcon
from ._hyundai import HyundaiIcon
from ._i18next import IEighteenNextIcon
from ._i3 import IThreeIcon
from ._iata import IataIcon
from ._ibeacon import IbeaconIcon
from ._iberia import IberiaIcon
from ._iced import IcedIcon
from ._iceland import IcelandIcon
from ._icicibank import IciciBankIcon
from ._icinga import IcingaIcon
from ._icloud import IcloudIcon
from ._icomoon import IcomoonIcon
from ._icon import IconIcon
from ._iconfinder import IconfinderIcon
from ._iconify import IconifyIcon
from ._iconjar import IconjarIcon
from ._icons8 import IconsEightIcon
from ._icq import IcqIcon
from ._ieee import IeeeIcon
from ._ifixit import IfixitIcon
from ._ifood import IfoodIcon
from ._ifttt import IftttIcon
from ._igdb import IgdbIcon
from ._ign import IgnIcon
from ._iheartradio import IheartradioIcon
from ._ikea import IkeaIcon
from ._iledefrancemobilites import IledefranceMobilitesIcon
from ._ilovepdf import IlovepdfIcon
from ._imagedotsc import ImagedotscIcon
from ._imagej import ImagejIcon
from ._imdb import ImdbIcon
from ._imessage import ImessageIcon
from ._imgur import ImgurIcon
from ._immer import ImmerIcon
from ._immich import ImmichIcon
from ._imou import ImouIcon
from ._improvmx import ImprovmxIcon
from ._indeed import IndeedIcon
from ._indiansuperleague import IndianSuperLeagueIcon
from ._indiehackers import IndieHackersIcon
from ._indigo import IndigoIcon
from ._inductiveautomation import InductiveAutomationIcon
from ._inertia import InertiaIcon
from ._infiniti import InfinitiIcon
from ._infinityfree import InfinityfreeIcon
from ._influxdb import InfluxdbIcon
from ._infomaniak import InfomaniakIcon
from ._infoq import InfoqIcon
from ._informatica import InformaticaIcon
from ._infosys import InfosysIcon
from ._infracost import InfracostIcon
from ._ingress import IngressIcon
from ._inkdrop import InkdropIcon
from ._inkscape import InkscapeIcon
from ._inoreader import InoreaderIcon
from ._inquirer import InquirerIcon
from ._insomnia import InsomniaIcon
from ._inspire import InspireIcon
from ._insta360 import InstaThreeHundredAndSixtyIcon
from ._instacart import InstacartIcon
from ._instagram import InstagramIcon
from ._instapaper import InstapaperIcon
from ._instatus import InstatusIcon
from ._instructables import InstructablesIcon
from ._instructure import InstructureIcon
from ._intel import IntelIcon
from ._intellijidea import IntellijIdeaIcon
from ._interactiondesignfoundation import InteractionDesignFoundationIcon
from ._interactjs import InteractjsIcon
from ._interbase import InterbaseIcon
from ._intercom import IntercomIcon
from ._intermarche import IntermarcheIcon
from ._internetarchive import InternetArchiveIcon
from ._internetcomputer import InternetComputerIcon
from ._intigriti import IntigritiIcon
from ._intuit import IntuitIcon
from ._invidious import InvidiousIcon
from ._invision import InvisionIcon
from ._invoiceninja import InvoiceNinjaIcon
from ._iobroker import IobrokerIcon
from ._ionic import IonicIcon
from ._ionos import IonosIcon
from ._ios import IosIcon
from ._iota import IotaIcon
from ._ipfs import IpfsIcon
from ._iris import IrisIcon
from ._irobot import IrobotIcon
from ._isc2 import IscTwoIcon
from ._isro import IsroIcon
from ._issuu import IssuuIcon
from ._istio import IstioIcon
from ._itchdotio import ItchdotioIcon
from ._iterm2 import ItermTwoIcon
from ._itunes import ItunesIcon
from ._itvx import ItvxIcon
from ._iveco import IvecoIcon
from ._jabber import JabberIcon
from ._jaeger import JaegerIcon
from ._jaguar import JaguarIcon
from ._jameson import JamesonIcon
from ._jamstack import JamstackIcon
from ._japanairlines import JapanAirlinesIcon
from ._jasmine import JasmineIcon
from ._javascript import JavascriptIcon
from ._jbl import JblIcon
from ._jcb import JcbIcon
from ._jdoodle import JdoodleIcon
from ._jeep import JeepIcon
from ._jekyll import JekyllIcon
from ._jellyfin import JellyfinIcon
from ._jenkins import JenkinsIcon
from ._jest import JestIcon
from ._jet import JetIcon
from ._jetblue import JetblueIcon
from ._jetbrains import JetbrainsIcon
from ._jetpackcompose import JetpackComposeIcon
from ._jfrog import JfrogIcon
from ._jfrogpipelines import JfrogPipelinesIcon
from ._jhipster import JhipsterIcon
from ._jinja import JinjaIcon
from ._jio import JioIcon
from ._jira import JiraIcon
from ._jirasoftware import JiraSoftwareIcon
from ._jitpack import JitpackIcon
from ._jitsi import JitsiIcon
from ._johndeere import JohnDeereIcon
from ._joomla import JoomlaIcon
from ._joplin import JoplinIcon
from ._jordan import JordanIcon
from ._jouav import JouavIcon
from ._jovian import JovianIcon
from ._jpeg import JpegIcon
from ._jquery import JqueryIcon
from ._jrgroup import JrGroupIcon
from ._jsdelivr import JsdelivrIcon
from ._jsfiddle import JsfiddleIcon
from ._json import JsonIcon
from ._jsonwebtokens import JsonWebTokensIcon
from ._jsr import JsrIcon
from ._jss import JssIcon
from ._juce import JuceIcon
from ._juejin import JuejinIcon
from ._juke import JukeIcon
from ._julia import JuliaIcon
from ._junipernetworks import JuniperNetworksIcon
from ._junit5 import JunitFiveIcon
from ._jupyter import JupyterIcon
from ._justeat import JustEatIcon
from ._justgiving import JustgivingIcon
from ._k3s import KThreeSIcon
from ._k6 import KSixIcon
from ._kaggle import KaggleIcon
from ._kagi import KagiIcon
from ._kahoot import KahootIcon
from ._kaios import KaiosIcon
from ._kakao import KakaoIcon
from ._kakaotalk import KakaotalkIcon
from ._kalilinux import KaliLinuxIcon
from ._kamailio import KamailioIcon
from ._kaniko import KanikoIcon
from ._karlsruherverkehrsverbund import KarlsruherVerkehrsverbundIcon
from ._kasasmart import KasaSmartIcon
from ._kashflow import KashflowIcon
from ._kaspersky import KasperskyIcon
from ._katana import KatanaIcon
from ._kaufland import KauflandIcon
from ._kde import KdeIcon
from ._kdeneon import KdeNeonIcon
from ._kdeplasma import KdePlasmaIcon
from ._kdenlive import KdenliveIcon
from ._kedro import KedroIcon
from ._keenetic import KeeneticIcon
from ._keepachangelog import KeepAChangelogIcon
from ._keepassxc import KeepassxcIcon
from ._keeper import KeeperIcon
from ._keeweb import KeewebIcon
from ._kenmei import KenmeiIcon
from ._kentico import KenticoIcon
from ._keras import KerasIcon
from ._keybase import KeybaseIcon
from ._keycdn import KeycdnIcon
from ._keycloak import KeycloakIcon
from ._keystone import KeystoneIcon
from ._kfc import KfcIcon
from ._khanacademy import KhanAcademyIcon
from ._khronosgroup import KhronosGroupIcon
from ._kia import KiaIcon
from ._kibana import KibanaIcon
from ._kicad import KicadIcon
from ._kick import KickIcon
from ._kickstarter import KickstarterIcon
from ._kik import KikIcon
from ._kingstontechnology import KingstonTechnologyIcon
from ._kinopoisk import KinopoiskIcon
from ._kinsta import KinstaIcon
from ._kirby import KirbyIcon
from ._kit import KitIcon
from ._kitsu import KitsuIcon
from ._kiwix import KiwixIcon
from ._klarna import KlarnaIcon
from ._kleinanzeigen import KleinanzeigenIcon
from ._klm import KlmIcon
from ._klook import KlookIcon
from ._knative import KnativeIcon
from ._knexdotjs import KnexdotjsIcon
from ._knime import KnimeIcon
from ._knip import KnipIcon
from ._knowledgebase import KnowledgebaseIcon
from ._known import KnownIcon
from ._kofi import KofiIcon
from ._koa import KoaIcon
from ._koc import KocIcon
from ._kodak import KodakIcon
from ._kodi import KodiIcon
from ._koenigsegg import KoenigseggIcon
from ._kofax import KofaxIcon
from ._komoot import KomootIcon
from ._konami import KonamiIcon
from ._kong import KongIcon
from ._kongregate import KongregateIcon
from ._konva import KonvaIcon
from ._koreader import KoreaderIcon
from ._kotlin import KotlinIcon
from ._koyeb import KoyebIcon
from ._kred import KredIcon
from ._krita import KritaIcon
from ._ktm import KtmIcon
from ._ktor import KtorIcon
from ._kuaishou import KuaishouIcon
from ._kubernetes import KubernetesIcon
from ._kubespray import KubesprayIcon
from ._kubuntu import KubuntuIcon
from ._kucoin import KucoinIcon
from ._kueski import KueskiIcon
from ._kuma import KumaIcon
from ._kununu import KununuIcon
from ._kuula import KuulaIcon
from ._kx import KxIcon
from ._kyocera import KyoceraIcon
from ._lequipe import LequipeIcon
from ._labview import LabviewIcon
from ._lada import LadaIcon
from ._lamborghini import LamborghiniIcon
from ._landrover import LandRoverIcon
from ._langchain import LangchainIcon
from ._langflow import LangflowIcon
from ._langgraph import LanggraphIcon
from ._languagetool import LanguagetoolIcon
from ._lapce import LapceIcon
from ._laragon import LaragonIcon
from ._laravel import LaravelIcon
from ._laravelhorizon import LaravelHorizonIcon
from ._laravelnova import LaravelNovaIcon
from ._lastdotfm import LastdotfmIcon
from ._lastpass import LastpassIcon
from ._latex import LatexIcon
from ._launchpad import LaunchpadIcon
from ._lazarus import LazarusIcon
from ._lazyvim import LazyvimIcon
from ._lbry import LbryIcon
from ._leaderprice import LeaderPriceIcon
from ._leaflet import LeafletIcon
from ._leagueoflegends import LeagueOfLegendsIcon
from ._leanpub import LeanpubIcon
from ._leetcode import LeetcodeIcon
from ._lefthook import LefthookIcon
from ._legacygames import LegacyGamesIcon
from ._leica import LeicaIcon
from ._lemmy import LemmyIcon
from ._lemonsqueezy import LemonSqueezyIcon
from ._lenovo import LenovoIcon
from ._lens import LensIcon
from ._leptos import LeptosIcon
from ._lerna import LernaIcon
from ._leroymerlin import LeroyMerlinIcon
from ._leslibraires import LesLibrairesIcon
from ._less import LessIcon
from ._letsencrypt import LetsEncryptIcon
from ._letterboxd import LetterboxdIcon
from ._levelsdotfyi import LevelsdotfyiIcon
from ._lg import LgIcon
from ._lining import LiningIcon
from ._liberadotchat import LiberadotchatIcon
from ._liberapay import LiberapayIcon
from ._librariesdotio import LibrariesdotioIcon
from ._librarything import LibrarythingIcon
from ._libreoffice import LibreofficeIcon
from ._libreofficebase import LibreofficeBaseIcon
from ._libreofficecalc import LibreofficeCalcIcon
from ._libreofficedraw import LibreofficeDrawIcon
from ._libreofficeimpress import LibreofficeImpressIcon
from ._libreofficemath import LibreofficeMathIcon
from ._libreofficewriter import LibreofficeWriterIcon
from ._libretranslate import LibretranslateIcon
from ._libretube import LibretubeIcon
from ._librewolf import LibrewolfIcon
from ._libuv import LibuvIcon
from ._lichess import LichessIcon
from ._lidl import LidlIcon
from ._lifx import LifxIcon
from ._lightburn import LightburnIcon
from ._lighthouse import LighthouseIcon
from ._lightning import LightningIcon
from ._limesurvey import LimesurveyIcon
from ._line import LineIcon
from ._lineageos import LineageosIcon
from ._linear import LinearIcon
from ._linkerd import LinkerdIcon
from ._linkfire import LinkfireIcon
from ._linksys import LinksysIcon
from ._linktree import LinktreeIcon
from ._linphone import LinphoneIcon
from ._lintcode import LintcodeIcon
from ._linux import LinuxIcon
from ._linuxcontainers import LinuxContainersIcon
from ._linuxfoundation import LinuxFoundationIcon
from ._linuxmint import LinuxMintIcon
from ._linuxprofessionalinstitute import LinuxProfessionalInstituteIcon
from ._linuxserver import LinuxserverIcon
from ._lionair import LionAirIcon
from ._liquibase import LiquibaseIcon
from ._listmonk import ListmonkIcon
from ._lit import LitIcon
from ._litecoin import LitecoinIcon
from ._literal import LiteralIcon
from ._litiengine import LitiengineIcon
from ._livechat import LivechatIcon
from ._livejournal import LivejournalIcon
from ._livewire import LivewireIcon
from ._llvm import LlvmIcon
from ._lmms import LmmsIcon
from ._lobsters import LobstersIcon
from ._local import LocalIcon
from ._lodash import LodashIcon
from ._logitech import LogitechIcon
from ._logitechg import LogitechGIcon
from ._logmein import LogmeinIcon
from ._logseq import LogseqIcon
from ._logstash import LogstashIcon
from ._looker import LookerIcon
from ._loom import LoomIcon
from ._loop import LoopIcon
from ._loopback import LoopbackIcon
from ._lootcrate import LootCrateIcon
from ._lospec import LospecIcon
from ._lotpolishairlines import LotPolishAirlinesIcon
from ._lottiefiles import LottiefilesIcon
from ._ltspice import LtspiceIcon
from ._lua import LuaIcon
from ._luau import LuauIcon
from ._lubuntu import LubuntuIcon
from ._lucia import LuciaIcon
from ._lucid import LucidIcon
from ._lucide import LucideIcon
from ._ludwig import LudwigIcon
from ._lufthansa import LufthansaIcon
from ._lumen import LumenIcon
from ._lunacy import LunacyIcon
from ._lutris import LutrisIcon
from ._lvgl import LvglIcon
from ._lydia import LydiaIcon
from ._lyft import LyftIcon
from ._maas import MaasIcon
from ._macos import MacosIcon
from ._macpaw import MacpawIcon
from ._macports import MacportsIcon
from ._macys import MacysIcon
from ._magasinsu import MagasinsUIcon
from ._magic import MagicIcon
from ._magisk import MagiskIcon
from ._mahindra import MahindraIcon
from ._maildotcom import MaildotcomIcon
from ._maildotru import MaildotruIcon
from ._mailboxdotorg import MailboxdotorgIcon
from ._mailchimp import MailchimpIcon
from ._mailgun import MailgunIcon
from ._mailtrap import MailtrapIcon
from ._mainwp import MainwpIcon
from ._majorleaguehacking import MajorLeagueHackingIcon
from ._make import MakeIcon
from ._makerbot import MakerbotIcon
from ._malt import MaltIcon
from ._malwarebytes import MalwarebytesIcon
from ._mambaui import MambaUiIcon
from ._mamp import MampIcon
from ._man import ManIcon
from ._manageiq import ManageiqIcon
from ._mangaupdates import MangaupdatesIcon
from ._manjaro import ManjaroIcon
from ._mantine import MantineIcon
from ._mapbox import MapboxIcon
from ._mapillary import MapillaryIcon
from ._maplibre import MaplibreIcon
from ._maptiler import MaptilerIcon
from ._mariadb import MariadbIcon
from ._mariadbfoundation import MariadbFoundationIcon
from ._markdown import MarkdownIcon
from ._marko import MarkoIcon
from ._marriott import MarriottIcon
from ._marvelapp import MarvelappIcon
from ._maserati import MaseratiIcon
from ._mastercard import MastercardIcon
from ._mastercomfig import MastercomfigIcon
from ._mastodon import MastodonIcon
from ._materialdesign import MaterialDesignIcon
from ._materialdesignicons import MaterialDesignIconsIcon
from ._materialformkdocs import MaterialForMkdocsIcon
from ._matillion import MatillionIcon
from ._matomo import MatomoIcon
from ._matrix import MatrixIcon
from ._matterdotjs import MatterdotjsIcon
from ._mattermost import MattermostIcon
from ._matternet import MatternetIcon
from ._mautic import MauticIcon
from ._max import MaxIcon
from ._maxplanckgesellschaft import MaxplanckgesellschaftIcon
from ._maytag import MaytagIcon
from ._mazda import MazdaIcon
from ._maze import MazeIcon
from ._mcafee import McafeeIcon
from ._mcdonalds import McdonaldsIcon
from ._mclaren import MclarenIcon
from ._mdbook import MdbookIcon
from ._mdnwebdocs import MdnWebDocsIcon
from ._mdx import MdxIcon
from ._mealie import MealieIcon
from ._mediafire import MediafireIcon
from ._mediamarkt import MediamarktIcon
from ._mediapipe import MediapipeIcon
from ._mediatek import MediatekIcon
from ._medibangpaint import MedibangPaintIcon
from ._medium import MediumIcon
from ._medusa import MedusaIcon
from ._meetup import MeetupIcon
from ._mega import MegaIcon
from ._meilisearch import MeilisearchIcon
from ._meituan import MeituanIcon
from ._meizu import MeizuIcon
from ._mendeley import MendeleyIcon
from ._mentorcruise import MentorcruiseIcon
from ._mercadopago import MercadoPagoIcon
from ._merck import MerckIcon
from ._mercurial import MercurialIcon
from ._mermaid import MermaidIcon
from ._messenger import MessengerIcon
from ._meta import MetaIcon
from ._metabase import MetabaseIcon
from ._metacritic import MetacriticIcon
from ._metafilter import MetafilterIcon
from ._metager import MetagerIcon
from ._metasploit import MetasploitIcon
from ._meteor import MeteorIcon
from ._metro import MetroIcon
from ._metrodelaciudaddemexico import MetroDeLaCiudadDeMexicoIcon
from ._metrodemadrid import MetroDeMadridIcon
from ._metrodeparis import MetroDeParisIcon
from ._mewe import MeweIcon
from ._mezmo import MezmoIcon
from ._mg import MgIcon
from ._microeditor import MicroEditorIcon
from ._microbit import MicrobitIcon
from ._microdotblog import MicrodotblogIcon
from ._micropython import MicropythonIcon
from ._microstation import MicrostationIcon
from ._microstrategy import MicrostrategyIcon
from ._midi import MidiIcon
from ._migadu import MigaduIcon
from ._mihon import MihonIcon
from ._mihoyo import MihoyoIcon
from ._mikrotik import MikrotikIcon
from ._milanote import MilanoteIcon
from ._milvus import MilvusIcon
from ._minds import MindsIcon
from ._minetest import MinetestIcon
from ._mingww64 import MingwwSixtyFourIcon
from ._mini import MiniIcon
from ._minio import MinioIcon
from ._mintlify import MintlifyIcon
from ._minutemailer import MinutemailerIcon
from ._miraheze import MirahezeIcon
from ._miro import MiroIcon
from ._misskey import MisskeyIcon
from ._mistralai import MistralAiIcon
from ._mitsubishi import MitsubishiIcon
from ._mix import MixIcon
from ._mixcloud import MixcloudIcon
from ._mixpanel import MixpanelIcon
from ._mlb import MlbIcon
from ._mlflow import MlflowIcon
from ._mobx import MobxIcon
from ._mobxstatetree import MobxstatetreeIcon
from ._mocha import MochaIcon
from ._mockserviceworker import MockServiceWorkerIcon
from ._modal import ModalIcon
from ._modelcontextprotocol import ModelContextProtocolIcon
from ._modin import ModinIcon
from ._modrinth import ModrinthIcon
from ._modx import ModxIcon
from ._mojeek import MojeekIcon
from ._moleculer import MoleculerIcon
from ._momenteo import MomenteoIcon
from ._monero import MoneroIcon
from ._moneygram import MoneygramIcon
from ._mongodb import MongodbIcon
from ._mongoose import MongooseIcon
from ._mongoosedotws import MongoosedotwsIcon
from ._monica import MonicaIcon
from ._monkeytie import MonkeyTieIcon
from ._monkeytype import MonkeytypeIcon
from ._monogame import MonogameIcon
from ._monoprix import MonoprixIcon
from ._monster import MonsterIcon
from ._monzo import MonzoIcon
from ._moo import MooIcon
from ._moodle import MoodleIcon
from ._moonrepo import MoonrepoIcon
from ._moq import MoqIcon
from ._moqups import MoqupsIcon
from ._morrisons import MorrisonsIcon
from ._moscowmetro import MoscowMetroIcon
from ._motorola import MotorolaIcon
from ._movistar import MovistarIcon
from ._mozilla import MozillaIcon
from ._mpv import MpvIcon
from ._mqtt import MqttIcon
from ._msi import MsiIcon
from ._msibusiness import MsiBusinessIcon
from ._mta import MtaIcon
from ._mtr import MtrIcon
from ._mubi import MubiIcon
from ._mui import MuiIcon
from ._mulesoft import MulesoftIcon
from ._muller import MullerIcon
from ._mullvad import MullvadIcon
from ._multisim import MultisimIcon
from ._mumble import MumbleIcon
from ._muo import MuoIcon
from ._mural import MuralIcon
from ._musescore import MusescoreIcon
from ._musicbrainz import MusicbrainzIcon
from ._mxlinux import MxLinuxIcon
from ._myanimelist import MyanimelistIcon
from ._myget import MygetIcon
from ._myob import MyobIcon
from ._myshows import MyshowsIcon
from ._myspace import MyspaceIcon
from ._mysql import MysqlIcon
from ._n26 import NTwentySixIcon
from ._n8n import NEightNIcon
from ._namebase import NamebaseIcon
from ._namecheap import NamecheapIcon
from ._namemc import NamemcIcon
from ._namesilo import NamesiloIcon
from ._namuwiki import NamuWikiIcon
from ._nano import NanoIcon
from ._nanostores import NanoStoresIcon
from ._napster import NapsterIcon
from ._nasa import NasaIcon
from ._nationalgrid import NationalGridIcon
from ._nationalrail import NationalRailIcon
from ._nativescript import NativescriptIcon
from ._natsdotio import NatsdotioIcon
from ._naver import NaverIcon
from ._nba import NbaIcon
from ._nbb import NbbIcon
from ._nbc import NbcIcon
from ._ndr import NdrIcon
from ._near import NearIcon
from ._nebula import NebulaIcon
from ._nec import NecIcon
from ._nederlandsespoorwegen import NederlandseSpoorwegenIcon
from ._neo4j import NeoFourJIcon
from ._neovim import NeovimIcon
from ._neptune import NeptuneIcon
from ._nestjs import NestjsIcon
from ._netapp import NetappIcon
from ._netbsd import NetbsdIcon
from ._netcup import NetcupIcon
from ._netdata import NetdataIcon
from ._neteasecloudmusic import NeteaseCloudMusicIcon
from ._netflix import NetflixIcon
from ._netgear import NetgearIcon
from ._netim import NetimIcon
from ._netlify import NetlifyIcon
from ._nette import NetteIcon
from ._netto import NettoIcon
from ._neutralinojs import NeutralinojsIcon
from ._newbalance import NewBalanceIcon
from ._newjapanprowrestling import NewJapanProwrestlingIcon
from ._newrelic import NewRelicIcon
from ._newyorktimes import NewYorkTimesIcon
from ._newegg import NeweggIcon
from ._newpipe import NewpipeIcon
from ._nexon import NexonIcon
from ._nextdotjs import NextdotjsIcon
from ._nextbike import NextbikeIcon
from ._nextbilliondotai import NextbilliondotaiIcon
from ._nextcloud import NextcloudIcon
from ._nextdns import NextdnsIcon
from ._nextdoor import NextdoorIcon
from ._nextflow import NextflowIcon
from ._nextra import NextraIcon
from ._nexusmods import NexusModsIcon
from ._nfcore import NfcoreIcon
from ._nfc import NfcIcon
from ._nginx import NginxIcon
from ._nginxproxymanager import NginxProxyManagerIcon
from ._ngrok import NgrokIcon
from ._ngrx import NgrxIcon
from ._nhl import NhlIcon
from ._nhost import NhostIcon
from ._nicehash import NicehashIcon
from ._niconico import NiconicoIcon
from ._nike import NikeIcon
from ._nikon import NikonIcon
from ._nim import NimIcon
from ._nissan import NissanIcon
from ._nixos import NixosIcon
from ._nobaralinux import NobaraLinuxIcon
from ._nodered import NoderedIcon
from ._nodedotjs import NodedotjsIcon
from ._nodebb import NodebbIcon
from ._nodemon import NodemonIcon
from ._nokia import NokiaIcon
from ._nomad import NomadIcon
from ._norco import NorcoIcon
from ._nordicsemiconductor import NordicSemiconductorIcon
from ._nordvpn import NordvpnIcon
from ._normalizedotcss import NormalizedotcssIcon
from ._norton import NortonIcon
from ._norwegian import NorwegianIcon
from ._notebooklm import NotebooklmIcon
from ._notepadplusplus import NotepadplusplusIcon
from ._notion import NotionIcon
from ._notist import NotistIcon
from ._nounproject import NounProjectIcon
from ._novu import NovuIcon
from ._now import NowIcon
from ._npm import NpmIcon
from ._nrwl import NrwlIcon
from ._nsis import NsisIcon
from ._ntfy import NtfyIcon
from ._nubank import NubankIcon
from ._nucleo import NucleoIcon
from ._nuget import NugetIcon
from ._nuke import NukeIcon
from ._numba import NumbaIcon
from ._numpy import NumpyIcon
from ._nunjucks import NunjucksIcon
from ._nushell import NushellIcon
from ._nutanix import NutanixIcon
from ._nuxt import NuxtIcon
from ._nvidia import NvidiaIcon
from ._nvm import NvmIcon
from ._nx import NxIcon
from ._nxp import NxpIcon
from ._nzxt import NzxtIcon
from ._oreilly import OreillyIcon
from ._o2 import OTwoIcon
from ._obb import ObbIcon
from ._obsstudio import ObsStudioIcon
from ._observable import ObservableIcon
from ._obsidian import ObsidianIcon
from ._obtainium import ObtainiumIcon
from ._ocaml import OcamlIcon
from ._oclc import OclcIcon
from ._oclif import OclifIcon
from ._octanerender import OctaneRenderIcon
from ._octave import OctaveIcon
from ._octobercms import OctoberCmsIcon
from ._octoprint import OctoprintIcon
from ._octopusdeploy import OctopusDeployIcon
from ._oculus import OculusIcon
from ._odin import OdinIcon
from ._odnoklassniki import OdnoklassnikiIcon
from ._odoo import OdooIcon
from ._odysee import OdyseeIcon
from ._ohdear import OhDearIcon
from ._okcupid import OkcupidIcon
from ._okta import OktaIcon
from ._okx import OkxIcon
from ._ollama import OllamaIcon
from ._omadacloud import OmadaCloudIcon
from ._oneplus import OneplusIcon
from ._onestream import OnestreamIcon
from ._onlyfans import OnlyfansIcon
from ._onlyoffice import OnlyofficeIcon
from ._onnx import OnnxIcon
from ._onstar import OnstarIcon
from ._opel import OpelIcon
from ._openaccess import OpenAccessIcon
from ._openbadges import OpenBadgesIcon
from ._openbugbounty import OpenBugBountyIcon
from ._opencollective import OpenCollectiveIcon
from ._opencontainersinitiative import OpenContainersInitiativeIcon
from ._opensourcehardware import OpenSourceHardwareIcon
from ._opensourceinitiative import OpenSourceInitiativeIcon
from ._open3d import OpenThreeDIcon
from ._openai import OpenaiIcon
from ._openaigym import OpenaiGymIcon
from ._openapiinitiative import OpenapiInitiativeIcon
from ._openbsd import OpenbsdIcon
from ._opencritic import OpencriticIcon
from ._opencv import OpencvIcon
from ._openfaas import OpenfaasIcon
from ._opengl import OpenglIcon
from ._openhab import OpenhabIcon
from ._openid import OpenidIcon
from ._openjdk import OpenjdkIcon
from ._openjsfoundation import OpenjsFoundationIcon
from ._openlayers import OpenlayersIcon
from ._openmediavault import OpenmediavaultIcon
from ._openmined import OpenminedIcon
from ._opennebula import OpennebulaIcon
from ._openproject import OpenprojectIcon
from ._openscad import OpenscadIcon
from ._opensea import OpenseaIcon
from ._opensearch import OpensearchIcon
from ._openssl import OpensslIcon
from ._openstack import OpenstackIcon
from ._openstreetmap import OpenstreetmapIcon
from ._opensuse import OpensuseIcon
from ._opentelemetry import OpentelemetryIcon
from ._opentext import OpentextIcon
from ._opentofu import OpentofuIcon
from ._openverse import OpenverseIcon
from ._openvpn import OpenvpnIcon
from ._openwrt import OpenwrtIcon
from ._openzeppelin import OpenzeppelinIcon
from ._openzfs import OpenzfsIcon
from ._opera import OperaIcon
from ._operagx import OperaGxIcon
from ._opnsense import OpnsenseIcon
from ._oppo import OppoIcon
from ._opsgenie import OpsgenieIcon
from ._opslevel import OpslevelIcon
from ._optimism import OptimismIcon
from ._orange import OrangeIcon
from ._orcid import OrcidIcon
from ._org import OrgIcon
from ._organicmaps import OrganicMapsIcon
from ._origin import OriginIcon
from ._osano import OsanoIcon
from ._osf import OsfIcon
from ._osgeo import OsgeoIcon
from ._oshkosh import OshkoshIcon
from ._osmand import OsmandIcon
from ._osmc import OsmcIcon
from ._osu import OsuIcon
from ._otto import OttoIcon
from ._outline import OutlineIcon
from ._overcast import OvercastIcon
from ._overleaf import OverleafIcon
from ._ovh import OvhIcon
from ._owasp import OwaspIcon
from ._dependencycheck import OwaspDependencycheckIcon
from ._owncloud import OwncloudIcon
from ._oxygen import OxygenIcon
from ._oyo import OyoIcon
from ._p5dotjs import PFiveDotjsIcon
from ._packagist import PackagistIcon
from ._packer import PackerIcon
from ._packt import PacktIcon
from ._paddle import PaddleIcon
from ._paddlepaddle import PaddlepaddleIcon
from ._paddypower import PaddyPowerIcon
from ._padlet import PadletIcon
from ._pagekit import PagekitIcon
from ._pagerduty import PagerdutyIcon
from ._pagespeedinsights import PagespeedInsightsIcon
from ._pagseguro import PagseguroIcon
from ._palantir import PalantirIcon
from ._paloaltonetworks import PaloAltoNetworksIcon
from ._paloaltosoftware import PaloAltoSoftwareIcon
from ._panasonic import PanasonicIcon
from ._pandas import PandasIcon
from ._pandora import PandoraIcon
from ._pantheon import PantheonIcon
from ._paperlessngx import PaperlessngxIcon
from ._paperswithcode import PapersWithCodeIcon
from ._paperspace import PaperspaceIcon
from ._paradoxinteractive import ParadoxInteractiveIcon
from ._paramountplus import ParamountplusIcon
from ._paritysubstrate import ParitySubstrateIcon
from ._parrotsecurity import ParrotSecurityIcon
from ._parsedotly import ParsedotlyIcon
from ._passport import PassportIcon
from ._pastebin import PastebinIcon
from ._patreon import PatreonIcon
from ._payback import PaybackIcon
from ._paychex import PaychexIcon
from ._payhip import PayhipIcon
from ._payloadcms import PayloadCmsIcon
from ._payoneer import PayoneerIcon
from ._paypal import PaypalIcon
from ._paysafe import PaysafeIcon
from ._paytm import PaytmIcon
from ._pcgamingwiki import PcgamingwikiIcon
from ._pdm import PdmIcon
from ._pdq import PdqIcon
from ._peakdesign import PeakDesignIcon
from ._pearson import PearsonIcon
from ._peerlist import PeerlistIcon
from ._peertube import PeertubeIcon
from ._pegasusairlines import PegasusAirlinesIcon
from ._pelican import PelicanIcon
from ._peloton import PelotonIcon
from ._penny import PennyIcon
from ._penpot import PenpotIcon
from ._percy import PercyIcon
from ._perforce import PerforceIcon
from ._perl import PerlIcon
from ._perplexity import PerplexityIcon
from ._persistent import PersistentIcon
from ._personio import PersonioIcon
from ._petsathome import PetsAtHomeIcon
from ._peugeot import PeugeotIcon
from ._pexels import PexelsIcon
from ._pfsense import PfsenseIcon
from ._phabricator import PhabricatorIcon
from ._philipshue import PhilipsHueIcon
from ._phoenixframework import PhoenixFrameworkIcon
from ._phonepe import PhonepeIcon
from ._phosphoricons import PhosphorIconsIcon
from ._photobucket import PhotobucketIcon
from ._photocrowd import PhotocrowdIcon
from ._photon import PhotonIcon
from ._photopea import PhotopeaIcon
from ._php import PhpIcon
from ._phpbb import PhpbbIcon
from ._phpmyadmin import PhpmyadminIcon
from ._phpstorm import PhpstormIcon
from ._pinetwork import PiNetworkIcon
from ._pihole import PiholeIcon
from ._piaggiogroup import PiaggioGroupIcon
from ._piapro import PiaproIcon
from ._picardsurgeles import PicardSurgelesIcon
from ._picartodottv import PicartodottvIcon
from ._picnic import PicnicIcon
from ._picpay import PicpayIcon
from ._picrew import PicrewIcon
from ._picsart import PicsartIcon
from ._picxy import PicxyIcon
from ._pimcore import PimcoreIcon
from ._pinboard import PinboardIcon
from ._pinescript import PineScriptIcon
from ._pingdom import PingdomIcon
from ._pino import PinoIcon
from ._pinterest import PinterestIcon
from ._pioneerdj import PioneerDjIcon
from ._piped import PipedIcon
from ._pipx import PipxIcon
from ._pivotaltracker import PivotalTrackerIcon
from ._piwigo import PiwigoIcon
from ._pix import PixIcon
from ._pixabay import PixabayIcon
from ._pixelfed import PixelfedIcon
from ._pixiv import PixivIcon
from ._pixlr import PixlrIcon
from ._pkgsrc import PkgsrcIcon
from ._planet import PlanetIcon
from ._planetscale import PlanetscaleIcon
from ._plangrid import PlangridIcon
from ._platformdotsh import PlatformdotshIcon
from ._platformio import PlatformioIcon
from ._platzi import PlatziIcon
from ._plausibleanalytics import PlausibleAnalyticsIcon
from ._playcanvas import PlaycanvasIcon
from ._playerfm import PlayerFmIcon
from ._playerdotme import PlayerdotmeIcon
from ._playstation import PlaystationIcon
from ._playstation2 import PlaystationTwoIcon
from ._playstation3 import PlaystationThreeIcon
from ._playstation4 import PlaystationFourIcon
from ._playstation5 import PlaystationFiveIcon
from ._playstationportable import PlaystationPortableIcon
from ._playstationvita import PlaystationVitaIcon
from ._pleroma import PleromaIcon
from ._plesk import PleskIcon
from ._plex import PlexIcon
from ._plotly import PlotlyIcon
from ._plume import PlumeIcon
from ._pluralsight import PluralsightIcon
from ._plurk import PlurkIcon
from ._pm2 import PmTwoIcon
from ._pnpm import PnpmIcon
from ._pocket import PocketIcon
from ._pocketcasts import PocketCastsIcon
from ._pocketbase import PocketbaseIcon
from ._podcastaddict import PodcastAddictIcon
from ._podcastindex import PodcastIndexIcon
from ._podman import PodmanIcon
from ._poe import PoeIcon
from ._poetry import PoetryIcon
from ._polars import PolarsIcon
from ._polestar import PolestarIcon
from ._polkadot import PolkadotIcon
from ._poly import PolyIcon
from ._polygon import PolygonIcon
from ._polymerproject import PolymerProjectIcon
from ._polywork import PolyworkIcon
from ._pond5 import PondFiveIcon
from ._popos import PoposIcon
from ._porkbun import PorkbunIcon
from ._porsche import PorscheIcon
from ._portableappsdotcom import PortableappsdotcomIcon
from ._portainer import PortainerIcon
from ._portswigger import PortswiggerIcon
from ._posit import PositIcon
from ._postcss import PostcssIcon
from ._postgresql import PostgresqlIcon
from ._posthog import PosthogIcon
from ._postman import PostmanIcon
from ._postmates import PostmatesIcon
from ._powers import PowersIcon
from ._prdotco import PrdotcoIcon
from ._precommit import PrecommitIcon
from ._preact import PreactIcon
from ._prefect import PrefectIcon
from ._premid import PremidIcon
from ._premierleague import PremierLeagueIcon
from ._prepbytes import PrepbytesIcon
from ._prestashop import PrestashopIcon
from ._presto import PrestoIcon
from ._prettier import PrettierIcon
from ._pretzel import PretzelIcon
from ._prevention import PreventionIcon
from ._prezi import PreziIcon
from ._primefaces import PrimefacesIcon
from ._primeng import PrimengIcon
from ._primereact import PrimereactIcon
from ._primevue import PrimevueIcon
from ._printables import PrintablesIcon
from ._prisma import PrismaIcon
from ._prismic import PrismicIcon
from ._privatedivision import PrivateDivisionIcon
from ._privateinternetaccess import PrivateInternetAccessIcon
from ._protools import ProToolsIcon
from ._probot import ProbotIcon
from ._processingfoundation import ProcessingFoundationIcon
from ._processwire import ProcesswireIcon
from ._producthunt import ProductHuntIcon
from ._progate import ProgateIcon
from ._progress import ProgressIcon
from ._prometheus import PrometheusIcon
from ._pronounsdotpage import PronounsdotpageIcon
from ._prosieben import ProsiebenIcon
from ._proteus import ProteusIcon
from ._protodotio import ProtodotioIcon
from ._protocolsdotio import ProtocolsdotioIcon
from ._proton import ProtonIcon
from ._protoncalendar import ProtonCalendarIcon
from ._protondrive import ProtonDriveIcon
from ._protonmail import ProtonMailIcon
from ._protonvpn import ProtonVpnIcon
from ._protondb import ProtondbIcon
from ._protractor import ProtractorIcon
from ._proxmox import ProxmoxIcon
from ._pterodactyl import PterodactylIcon
from ._pubg import PubgIcon
from ._publons import PublonsIcon
from ._pubmed import PubmedIcon
from ._pug import PugIcon
from ._pulumi import PulumiIcon
from ._puma import PumaIcon
from ._puppet import PuppetIcon
from ._puppeteer import PuppeteerIcon
from ._purescript import PurescriptIcon
from ._purgecss import PurgecssIcon
from ._purism import PurismIcon
from ._pushbullet import PushbulletIcon
from ._pusher import PusherIcon
from ._pwa import PwaIcon
from ._pycharm import PycharmIcon
from ._pycqa import PycqaIcon
from ._pydantic import PydanticIcon
from ._pyg import PygIcon
from ._pypi import PypiIcon
from ._pypy import PypyIcon
from ._pyscaffold import PyscaffoldIcon
from ._pysyft import PysyftIcon
from ._pytest import PytestIcon
from ._python import PythonIcon
from ._pythonanywhere import PythonanywhereIcon
from ._pytorch import PytorchIcon
from ._pyup import PyupIcon
from ._qantas import QantasIcon
from ._qase import QaseIcon
from ._qatarairways import QatarAirwaysIcon
from ._qbittorrent import QbittorrentIcon
from ._qemu import QemuIcon
from ._qgis import QgisIcon
from ._qi import QiIcon
from ._qiita import QiitaIcon
from ._qiskit import QiskitIcon
from ._qiwi import QiwiIcon
from ._qlik import QlikIcon
from ._qmk import QmkIcon
from ._qnap import QnapIcon
from ._qodo import QodoIcon
from ._qq import QqIcon
from ._qt import QtIcon
from ._quad9 import QuadNineIcon
from ._qualcomm import QualcommIcon
from ._qualtrics import QualtricsIcon
from ._qualys import QualysIcon
from ._quantcast import QuantcastIcon
from ._quantconnect import QuantconnectIcon
from ._quarkus import QuarkusIcon
from ._quarto import QuartoIcon
from ._quasar import QuasarIcon
from ._qubesos import QubesOsIcon
from ._quest import QuestIcon
from ._quickbooks import QuickbooksIcon
from ._quicklook import QuicklookIcon
from ._quicktime import QuicktimeIcon
from ._quicktype import QuicktypeIcon
from ._quip import QuipIcon
from ._quizlet import QuizletIcon
from ._quora import QuoraIcon
from ._qwant import QwantIcon
from ._qwik import QwikIcon
from ._qwiklabs import QwiklabsIcon
from ._qzone import QzoneIcon
from ._r import RIcon
from ._r3 import RThreeIcon
from ._rabbitmq import RabbitmqIcon
from ._racket import RacketIcon
from ._radstudio import RadStudioIcon
from ._radar import RadarIcon
from ._radarr import RadarrIcon
from ._radiofrance import RadioFranceIcon
from ._radixui import RadixUiIcon
from ._railway import RailwayIcon
from ._rainmeter import RainmeterIcon
from ._rakuten import RakutenIcon
from ._rakutenkobo import RakutenKoboIcon
from ._ram import RamIcon
from ._rancher import RancherIcon
from ._rapid import RapidIcon
from ._rarible import RaribleIcon
from ._rasa import RasaIcon
from ._raspberrypi import RaspberryPiIcon
from ._ravelry import RavelryIcon
from ._ray import RayIcon
from ._raycast import RaycastIcon
from ._raylib import RaylibIcon
from ._razer import RazerIcon
from ._razorpay import RazorpayIcon
from ._rclone import RcloneIcon
from ._react import ReactIcon
from ._reactbootstrap import ReactBootstrapIcon
from ._reacthookform import ReactHookFormIcon
from ._reactquery import ReactQueryIcon
from ._reactrouter import ReactRouterIcon
from ._reacttable import ReactTableIcon
from ._reactiveresume import ReactiveResumeIcon
from ._reactivex import ReactivexIcon
from ._reactos import ReactosIcon
from ._readthedocs import ReadTheDocsIcon
from ._readdotcv import ReaddotcvIcon
from ._readme import ReadmeIcon
from ._reason import ReasonIcon
from ._reasonstudios import ReasonStudiosIcon
from ._recoil import RecoilIcon
from ._red import RedIcon
from ._redbull import RedBullIcon
from ._redcandlegames import RedCandleGamesIcon
from ._redhat import RedHatIcon
from ._redhatopenshift import RedHatOpenShiftIcon
from ._redash import RedashIcon
from ._redbubble import RedbubbleIcon
from ._reddit import RedditIcon
from ._redis import RedisIcon
from ._redmine import RedmineIcon
from ._redox import RedoxIcon
from ._redragon import RedragonIcon
from ._redsys import RedsysIcon
from ._redux import ReduxIcon
from ._reduxsaga import ReduxsagaIcon
from ._redwoodjs import RedwoodjsIcon
from ._reebok import ReebokIcon
from ._refine import RefineIcon
from ._refinedgithub import RefinedGithubIcon
from ._relay import RelayIcon
from ._relianceindustrieslimited import RelianceIndustriesLimitedIcon
from ._remark import RemarkIcon
from ._remedyentertainment import RemedyEntertainmentIcon
from ._remix import RemixIcon
from ._removedotbg import RemovedotbgIcon
from ._renpy import RenpyIcon
from ._renault import RenaultIcon
from ._render import RenderIcon
from ._renovate import RenovateIcon
from ._renren import RenrenIcon
from ._replicate import ReplicateIcon
from ._replit import ReplitIcon
from ._republicofgamers import RepublicOfGamersIcon
from ._rescript import RescriptIcon
from ._rescuetime import RescuetimeIcon
from ._researchgate import ResearchgateIcon
from ._resend import ResendIcon
from ._resharper import ResharperIcon
from ._resurrectionremixos import ResurrectionRemixOsIcon
from ._retool import RetoolIcon
from ._retroarch import RetroarchIcon
from ._retropie import RetropieIcon
from ._revanced import RevancedIcon
from ._revealdotjs import RevealdotjsIcon
from ._revenuecat import RevenuecatIcon
from ._reverbnation import ReverbnationIcon
from ._revoltdotchat import RevoltdotchatIcon
from ._revolut import RevolutIcon
from ._rewe import ReweIcon
from ._rezgo import RezgoIcon
from ._rhinoceros import RhinocerosIcon
from ._rich import RichIcon
from ._rider import RiderIcon
from ._rimacautomobili import RimacAutomobiliIcon
from ._rime import RimeIcon
from ._ring import RingIcon
from ._riotgames import RiotGamesIcon
from ._ripple import RippleIcon
from ._riscv import RiscvIcon
from ._riseup import RiseupIcon
from ._ritzcarlton import RitzCarltonIcon
from ._rive import RiveIcon
from ._roadmapdotsh import RoadmapdotshIcon
from ._roamresearch import RoamResearchIcon
from ._robinhood import RobinhoodIcon
from ._roblox import RobloxIcon
from ._robloxstudio import RobloxStudioIcon
from ._roboflow import RoboflowIcon
from ._robotframework import RobotFrameworkIcon
from ._rocket import RocketIcon
from ._rocketdotchat import RocketdotchatIcon
from ._rocksdb import RocksdbIcon
from ._rockstargames import RockstarGamesIcon
from ._rockwellautomation import RockwellAutomationIcon
from ._rockylinux import RockyLinuxIcon
from ._roku import RokuIcon
from ._roll20 import RollTwentyIcon
from ._rollbar import RollbarIcon
from ._rollsroyce import RollsroyceIcon
from ._rollupdotjs import RollupdotjsIcon
from ._rook import RookIcon
from ._roon import RoonIcon
from ._rootme import RootMeIcon
from ._roots import RootsIcon
from ._rootsbedrock import RootsBedrockIcon
from ._rootssage import RootsSageIcon
from ._ros import RosIcon
from ._rossmann import RossmannIcon
from ._rotaryinternational import RotaryInternationalIcon
from ._rottentomatoes import RottenTomatoesIcon
from ._roundcube import RoundcubeIcon
from ._rsocket import RsocketIcon
from ._rss import RssIcon
from ._rstudioide import RstudioIdeIcon
from ._rte import RteIcon
from ._rtl import RtlIcon
from ._rtlzwei import RtlzweiIcon
from ._rtm import RtmIcon
from ._rubocop import RubocopIcon
from ._ruby import RubyIcon
from ._rubyonrails import RubyOnRailsIcon
from ._rubysinatra import RubySinatraIcon
from ._rubygems import RubygemsIcon
from ._rubymine import RubymineIcon
from ._ruff import RuffIcon
from ._rumahweb import RumahwebIcon
from ._rumble import RumbleIcon
from ._rundeck import RundeckIcon
from ._runkeeper import RunkeeperIcon
from ._runkit import RunkitIcon
from ._runrundotit import RunrundotitIcon
from ._rust import RustIcon
from ._rustdesk import RustdeskIcon
from ._rxdb import RxdbIcon
from ._ryanair import RyanairIcon
from ._rye import RyeIcon
from ._s7airlines import SSevenAirlinesIcon
from ._sabanci import SabanciIcon
from ._safari import SafariIcon
from ._sage import SageIcon
from ._sagemath import SagemathIcon
from ._sahibinden import SahibindenIcon
from ._sailfishos import SailfishOsIcon
from ._sailsdotjs import SailsdotjsIcon
from ._salesforce import SalesforceIcon
from ._salla import SallaIcon
from ._saltproject import SaltProjectIcon
from ._samsclub import SamsClubIcon
from ._samsung import SamsungIcon
from ._samsungpay import SamsungPayIcon
from ._sanfranciscomunicipalrailway import SanFranciscoMunicipalRailwayIcon
from ._sanic import SanicIcon
from ._sanity import SanityIcon
from ._saopaulometro import SaoPauloMetroIcon
from ._sap import SapIcon
from ._sartorius import SartoriusIcon
from ._sass import SassIcon
from ._sat1 import SatdotOneIcon
from ._satellite import SatelliteIcon
from ._saturn import SaturnIcon
from ._saucelabs import SauceLabsIcon
from ._saudia import SaudiaIcon
from ._scala import ScalaIcon
from ._scalar import ScalarIcon
from ._scaleway import ScalewayIcon
from ._scania import ScaniaIcon
from ._schneiderelectric import SchneiderElectricIcon
from ._scikitlearn import ScikitlearnIcon
from ._scilab import ScilabIcon
from ._scipy import ScipyIcon
from ._scopus import ScopusIcon
from ._scpfoundation import ScpFoundationIcon
from ._scrapbox import ScrapboxIcon
from ._scrapy import ScrapyIcon
from ._scratch import ScratchIcon
from ._screencastify import ScreencastifyIcon
from ._scribd import ScribdIcon
from ._scrimba import ScrimbaIcon
from ._scrollreveal import ScrollrevealIcon
from ._scrumalliance import ScrumAllianceIcon
from ._scrutinizerci import ScrutinizerCiIcon
from ._scylladb import ScylladbIcon
from ._seafile import SeafileIcon
from ._seagate import SeagateIcon
from ._searxng import SearxngIcon
from ._seat import SeatIcon
from ._seatgeek import SeatgeekIcon
from ._securityscorecard import SecurityscorecardIcon
from ._sefaria import SefariaIcon
from ._sega import SegaIcon
from ._selenium import SeleniumIcon
from ._sellfy import SellfyIcon
from ._semanticscholar import SemanticScholarIcon
from ._semanticui import SemanticUiIcon
from ._semanticuireact import SemanticUiReactIcon
from ._semanticweb import SemanticWebIcon
from ._semanticrelease import SemanticreleaseIcon
from ._semaphoreci import SemaphoreCiIcon
from ._semrush import SemrushIcon
from ._semver import SemverIcon
from ._sencha import SenchaIcon
from ._sendgrid import SendgridIcon
from ._sennheiser import SennheiserIcon
from ._sensu import SensuIcon
from ._sentry import SentryIcon
from ._sepa import SepaIcon
from ._sequelize import SequelizeIcon
from ._serverfault import ServerFaultIcon
from ._serverless import ServerlessIcon
from ._session import SessionIcon
from ._sessionize import SessionizeIcon
from ._setapp import SetappIcon
from ._sfml import SfmlIcon
from ._shadcnui import ShadcnuiIcon
from ._shadow import ShadowIcon
from ._shanghaimetro import ShanghaiMetroIcon
from ._sharex import SharexIcon
from ._sharp import SharpIcon
from ._shazam import ShazamIcon
from ._shell import ShellIcon
from ._shelly import ShellyIcon
from ._shenzhenmetro import ShenzhenMetroIcon
from ._shieldsdotio import ShieldsdotioIcon
from ._shikimori import ShikimoriIcon
from ._shopee import ShopeeIcon
from ._shopify import ShopifyIcon
from ._shopware import ShopwareIcon
from ._shortcut import ShortcutIcon
from ._showpad import ShowpadIcon
from ._showtime import ShowtimeIcon
from ._showwcase import ShowwcaseIcon
from ._shutterstock import ShutterstockIcon
from ._sidekiq import SidekiqIcon
from ._sidequest import SidequestIcon
from ._siemens import SiemensIcon
from ._sifive import SifiveIcon
from ._signal import SignalIcon
from ._silverairways import SilverAirwaysIcon
from ._similarweb import SimilarwebIcon
from ._simkl import SimklIcon
from ._simpleanalytics import SimpleAnalyticsIcon
from ._simpleicons import SimpleIconsIcon
from ._simplelocalize import SimplelocalizeIcon
from ._simplelogin import SimpleloginIcon
from ._simplenote import SimplenoteIcon
from ._simplex import SimplexIcon
from ._sinaweibo import SinaWeiboIcon
from ._singaporeairlines import SingaporeAirlinesIcon
from ._singlestore import SinglestoreIcon
from ._sitecore import SitecoreIcon
from ._sitepoint import SitepointIcon
from ._siyuan import SiyuanIcon
from ._skaffold import SkaffoldIcon
from ._sketch import SketchIcon
from ._sketchfab import SketchfabIcon
from ._sketchup import SketchupIcon
from ._skillshare import SkillshareIcon
from ._skoda import SkodaIcon
from ._sky import SkyIcon
from ._skypack import SkypackIcon
from ._slack import SlackIcon
from ._slackware import SlackwareIcon
from ._slashdot import SlashdotIcon
from ._slickpic import SlickpicIcon
from ._slides import SlidesIcon
from ._slideshare import SlideshareIcon
from ._slint import SlintIcon
from ._smart import SmartIcon
from ._smartthings import SmartthingsIcon
from ._smashingmagazine import SmashingMagazineIcon
from ._smrt import SmrtIcon
from ._smugmug import SmugmugIcon
from ._snapchat import SnapchatIcon
from ._snapcraft import SnapcraftIcon
from ._snapdragon import SnapdragonIcon
from ._sncf import SncfIcon
from ._snort import SnortIcon
from ._snowflake import SnowflakeIcon
from ._snowpack import SnowpackIcon
from ._snyk import SnykIcon
from ._socialblade import SocialBladeIcon
from ._society6 import SocietySixIcon
from ._socket import SocketIcon
from ._socketdotio import SocketdotioIcon
from ._softcatala import SoftcatalaIcon
from ._softpedia import SoftpediaIcon
from ._sogou import SogouIcon
from ._solana import SolanaIcon
from ._solid import SolidIcon
from ._solidity import SolidityIcon
from ._sololearn import SololearnIcon
from ._solus import SolusIcon
from ._sonar import SonarIcon
from ._sonarqubecloud import SonarqubeCloudIcon
from ._sonarqubeforide import SonarqubeForIdeIcon
from ._sonarqubeserver import SonarqubeServerIcon
from ._sonarr import SonarrIcon
from ._sonatype import SonatypeIcon
from ._songkick import SongkickIcon
from ._songoda import SongodaIcon
from ._sonicwall import SonicwallIcon
from ._sonos import SonosIcon
from ._sony import SonyIcon
from ._soriana import SorianaIcon
from ._soundcharts import SoundchartsIcon
from ._soundcloud import SoundcloudIcon
from ._sourceengine import SourceEngineIcon
from ._sourceforge import SourceforgeIcon
from ._sourcehut import SourcehutIcon
from ._sourcetree import SourcetreeIcon
from ._southwestairlines import SouthwestAirlinesIcon
from ._spacemacs import SpacemacsIcon
from ._spaceship import SpaceshipIcon
from ._spacex import SpacexIcon
from ._spacy import SpacyIcon
from ._sparkar import SparkArIcon
from ._sparkasse import SparkasseIcon
from ._sparkfun import SparkfunIcon
from ._sparkpost import SparkpostIcon
from ._spdx import SpdxIcon
from ._speakerdeck import SpeakerDeckIcon
from ._spectrum import SpectrumIcon
from ._speedtest import SpeedtestIcon
from ._speedypage import SpeedypageIcon
from ._spoj import SphereOnlineJudgeIcon
from ._sphinx import SphinxIcon
from ._spigotmc import SpigotmcIcon
from ._spine import SpineIcon
from ._spinnaker import SpinnakerIcon
from ._splunk import SplunkIcon
from ._spond import SpondIcon
from ._spotify import SpotifyIcon
from ._spotlight import SpotlightIcon
from ._spreadshirt import SpreadshirtIcon
from ._spreaker import SpreakerIcon
from ._spring import SpringIcon
from ._spring_creators import SpringCreatorsIcon
from ._springboot import SpringBootIcon
from ._springsecurity import SpringSecurityIcon
from ._spyderide import SpyderIdeIcon
from ._sqlalchemy import SqlalchemyIcon
from ._sqlite import SqliteIcon
from ._square import SquareIcon
from ._squareenix import SquareEnixIcon
from ._squarespace import SquarespaceIcon
from ._srgssr import SrgSsrIcon
from ._ssrn import SsrnIcon
from ._sst import SstIcon
from ._stackexchange import StackExchangeIcon
from ._stackoverflow import StackOverflowIcon
from ._stackbit import StackbitIcon
from ._stackblitz import StackblitzIcon
from ._stackedit import StackeditIcon
from ._stackhawk import StackhawkIcon
from ._stackshare import StackshareIcon
from ._stadia import StadiaIcon
from ._staffbase import StaffbaseIcon
from ._stagetimer import StagetimerIcon
from ._standardresume import StandardResumeIcon
from ._standardjs import StandardjsIcon
from ._startrek import StarTrekIcon
from ._starbucks import StarbucksIcon
from ._stardock import StardockIcon
from ._starlingbank import StarlingBankIcon
from ._starship import StarshipIcon
from ._startdotgg import StartdotggIcon
from ._startpage import StartpageIcon
from ._starz import StarzIcon
from ._statamic import StatamicIcon
from ._statista import StatistaIcon
from ._statuspage import StatuspageIcon
from ._statuspal import StatuspalIcon
from ._steam import SteamIcon
from ._steamdeck import SteamDeckIcon
from ._steamdb import SteamdbIcon
from ._steamworks import SteamworksIcon
from ._steelseries import SteelseriesIcon
from ._steem import SteemIcon
from ._steemit import SteemitIcon
from ._steinberg import SteinbergIcon
from ._stellar import StellarIcon
from ._stencil import StencilIcon
from ._stencyl import StencylIcon
from ._stimulus import StimulusIcon
from ._stmicroelectronics import StmicroelectronicsIcon
from ._stockx import StockxIcon
from ._stopstalk import StopstalkIcon
from ._storyblok import StoryblokIcon
from ._storybook import StorybookIcon
from ._strapi import StrapiIcon
from ._strava import StravaIcon
from ._streamlabs import StreamlabsIcon
from ._streamlit import StreamlitIcon
from ._streamrunners import StreamrunnersIcon
from ._stremio import StremioIcon
from ._stripe import StripeIcon
from ._strongswan import StrongswanIcon
from ._stryker import StrykerIcon
from ._stubhub import StubhubIcon
from ._studio3t import StudioThreeTIcon
from ._styledcomponents import StyledcomponentsIcon
from ._stylelint import StylelintIcon
from ._styleshare import StyleshareIcon
from ._stylus import StylusIcon
from ._subaru import SubaruIcon
from ._sublimetext import SublimeTextIcon
from ._substack import SubstackIcon
from ._subtitleedit import SubtitleEditIcon
from ._subversion import SubversionIcon
from ._suckless import SucklessIcon
from ._sui import SuiIcon
from ._sumologic import SumoLogicIcon
from ._suno import SunoIcon
from ._sunrise import SunriseIcon
from ._supabase import SupabaseIcon
from ._superuser import SuperUserIcon
from ._supercrease import SupercreaseIcon
from ._supermicro import SupermicroIcon
from ._surfshark import SurfsharkIcon
from ._surrealdb import SurrealdbIcon
from ._surveymonkey import SurveymonkeyIcon
from ._suse import SuseIcon
from ._suzuki import SuzukiIcon
from ._svelte import SvelteIcon
from ._svg import SvgIcon
from ._svgdotjs import SvgdotjsIcon
from ._svgo import SvgoIcon
from ._svgtrace import SvgtraceIcon
from ._swagger import SwaggerIcon
from ._swarm import SwarmIcon
from ._sway import SwayIcon
from ._swc import SwcIcon
from ._swift import SwiftIcon
from ._swiggy import SwiggyIcon
from ._swiper import SwiperIcon
from ._swisscows import SwisscowsIcon
from ._swr import SwrIcon
from ._symantec import SymantecIcon
from ._symbolab import SymbolabIcon
from ._symfony import SymfonyIcon
from ._symphony import SymphonyIcon
from ._sympy import SympyIcon
from ._syncthing import SyncthingIcon
from ._synology import SynologyIcon
from ._system76 import SystemSeventySixIcon
from ._tabelog import TabelogIcon
from ._tablecheck import TablecheckIcon
from ._tacobell import TacoBellIcon
from ._tado import TadoIcon
from ._taichigraphics import TaichiGraphicsIcon
from ._taichilang import TaichiLangIcon
from ._tails import TailsIcon
from ._tailscale import TailscaleIcon
from ._tailwindcss import TailwindCssIcon
from ._taipy import TaipyIcon
from ._taketwointeractivesoftware import TaketwoInteractiveSoftwareIcon
from ._talend import TalendIcon
from ._talenthouse import TalenthouseIcon
from ._talos import TalosIcon
from ._tamiya import TamiyaIcon
from ._tampermonkey import TampermonkeyIcon
from ._taobao import TaobaoIcon
from ._tapas import TapasIcon
from ._target import TargetIcon
from ._tarom import TaromIcon
from ._task import TaskIcon
from ._tasmota import TasmotaIcon
from ._tata import TataIcon
from ._tcs import TataConsultancyServicesIcon
from ._tauri import TauriIcon
from ._taxbuzz import TaxbuzzIcon
from ._teal import TealIcon
from ._teamcity import TeamcityIcon
from ._teamspeak import TeamspeakIcon
from ._teamviewer import TeamviewerIcon
from ._techcrunch import TechcrunchIcon
from ._ted import TedIcon
from ._teepublic import TeepublicIcon
from ._teespring import TeespringIcon
from ._tekton import TektonIcon
from ._tele5 import TeleFiveIcon
from ._telequebec import TelequebecIcon
from ._telefonica import TelefonicaIcon
from ._telegram import TelegramIcon
from ._telegraph import TelegraphIcon
from ._telenor import TelenorIcon
from ._temporal import TemporalIcon
from ._tensorflow import TensorflowIcon
from ._teradata import TeradataIcon
from ._teratail import TeratailIcon
from ._termius import TermiusIcon
from ._terraform import TerraformIcon
from ._tesco import TescoIcon
from ._tesla import TeslaIcon
from ._testcafe import TestcafeIcon
from ._testin import TestinIcon
from ._testinglibrary import TestingLibraryIcon
from ._testrail import TestrailIcon
from ._tether import TetherIcon
from ._textpattern import TextpatternIcon
from ._tga import TgaIcon
from ._thangs import ThangsIcon
from ._thanos import ThanosIcon
from ._thealgorithms import TheAlgorithmsIcon
from ._theboringcompany import TheBoringCompanyIcon
from ._theconversation import TheConversationIcon
from ._thefinals import TheFinalsIcon
from ._theguardian import TheGuardianIcon
from ._theirishtimes import TheIrishTimesIcon
from ._themighty import TheMightyIcon
from ._themodelsresource import TheModelsResourceIcon
from ._themoviedatabase import TheMovieDatabaseIcon
from ._thenorthface import TheNorthFaceIcon
from ._theodinproject import TheOdinProjectIcon
from ._theplanetarysociety import ThePlanetarySocietyIcon
from ._theregister import TheRegisterIcon
from ._thesoundsresource import TheSoundsResourceIcon
from ._thespritersresource import TheSpritersResourceIcon
from ._thestorygraph import TheStorygraphIcon
from ._thewashingtonpost import TheWashingtonPostIcon
from ._theweatherchannel import TheWeatherChannelIcon
from ._thingiverse import ThingiverseIcon
from ._thinkpad import ThinkpadIcon
from ._thirdweb import ThirdwebIcon
from ._threadless import ThreadlessIcon
from ._threads import ThreadsIcon
from ._threedotjs import ThreedotjsIcon
from ._threema import ThreemaIcon
from ._thumbtack import ThumbtackIcon
from ._thunderbird import ThunderbirdIcon
from ._thunderstore import ThunderstoreIcon
from ._thurgauerkantonalbank import ThurgauerKantonalbankIcon
from ._thymeleaf import ThymeleafIcon
from ._ticketmaster import TicketmasterIcon
from ._ticktick import TicktickIcon
from ._tidal import TidalIcon
from ._tiddlywiki import TiddlywikiIcon
from ._tide import TideIcon
from ._tidyverse import TidyverseIcon
from ._tietoevry import TietoevryIcon
from ._tiktok import TiktokIcon
from ._tildapublishing import TildaPublishingIcon
from ._tile import TileIcon
from ._timescale import TimescaleIcon
from ._tina import TinaIcon
from ._tinder import TinderIcon
from ._tindie import TindieIcon
from ._tinkercad import TinkercadIcon
from ._tinygrad import TinygradIcon
from ._tinyletter import TinyletterIcon
from ._tistory import TistoryIcon
from ._tldraw import TldrawIcon
from ._tmux import TmuxIcon
from ._todoist import TodoistIcon
from ._toggl import TogglIcon
from ._toggltrack import TogglTrackIcon
from ._tokio import TokioIcon
from ._tokyometro import TokyoMetroIcon
from ._toll import TollIcon
from ._toml import TomlIcon
from ._tomorrowland import TomorrowlandIcon
from ._tomtom import TomtomIcon
from ._ton import TonIcon
from ._topdotgg import TopdotggIcon
from ._topcoder import TopcoderIcon
from ._toptal import ToptalIcon
from ._torbrowser import TorBrowserIcon
from ._torproject import TorProjectIcon
from ._torizon import TorizonIcon
from ._toshiba import ToshibaIcon
from ._totvs import TotvsIcon
from ._tourbox import TourboxIcon
from ._tower import TowerIcon
from ._toyota import ToyotaIcon
from ._tplink import TplinkIcon
from ._tqdm import TqdmIcon
from ._traccar import TraccarIcon
from ._tradingview import TradingviewIcon
from ._traefikmesh import TraefikMeshIcon
from ._traefikproxy import TraefikProxyIcon
from ._trailforks import TrailforksIcon
from ._trainerroad import TrainerroadIcon
from ._trakt import TraktIcon
from ._transifex import TransifexIcon
from ._transmission import TransmissionIcon
from ._transportforireland import TransportForIrelandIcon
from ._transportforlondon import TransportForLondonIcon
from ._travisci import TravisCiIcon
from ._treehouse import TreehouseIcon
from ._trello import TrelloIcon
from ._trendmicro import TrendMicroIcon
from ._tresorit import TresoritIcon
from ._treyarch import TreyarchIcon
from ._tricentis import TricentisIcon
from ._trilium import TriliumIcon
from ._triller import TrillerIcon
from ._trillertv import TrillertvIcon
from ._trimble import TrimbleIcon
from ._trino import TrinoIcon
from ._tripdotcom import TripdotcomIcon
from ._tripadvisor import TripadvisorIcon
from ._trivago import TrivagoIcon
from ._trivy import TrivyIcon
from ._trove import TroveIcon
from ._trpc import TrpcIcon
from ._truenas import TruenasIcon
from ._trueup import TrueupIcon
from ._trulia import TruliaIcon
from ._trustedshops import TrustedShopsIcon
from ._trustpilot import TrustpilotIcon
from ._tryitonline import TryItOnlineIcon
from ._tryhackme import TryhackmeIcon
from ._tsnode import TsnodeIcon
from ._tubi import TubiIcon
from ._tui import TuiIcon
from ._tumblr import TumblrIcon
from ._tunein import TuneinIcon
from ._turbo import TurboIcon
from ._turborepo import TurborepoIcon
from ._turbosquid import TurbosquidIcon
from ._turkishairlines import TurkishAirlinesIcon
from ._turso import TursoIcon
from ._tuta import TutaIcon
from ._tuxedocomputers import TuxedoComputersIcon
from ._tvtime import TvTimeIcon
from ._tv4play import TvFourPlayIcon
from ._twenty import TwentyIcon
from ._twilio import TwilioIcon
from ._twinkly import TwinklyIcon
from ._twinmotion import TwinmotionIcon
from ._twitch import TwitchIcon
from ._typeform import TypeformIcon
from ._typeorm import TypeormIcon
from ._typer import TyperIcon
from ._typescript import TypescriptIcon
from ._typo3 import TypoThreeIcon
from ._typst import TypstIcon
from ._udotsdotnews import UdotsdotNewsIcon
from ._uber import UberIcon
from ._ubereats import UberEatsIcon
from ._ubiquiti import UbiquitiIcon
from ._ubisoft import UbisoftIcon
from ._ublockorigin import UblockOriginIcon
from ._ubuntu import UbuntuIcon
from ._ubuntumate import UbuntuMateIcon
from ._udacity import UdacityIcon
from ._udemy import UdemyIcon
from ._ufc import UfcIcon
from ._uikit import UikitIcon
from ._uipath import UipathIcon
from ._ukca import UkcaIcon
from ._ultralytics import UltralyticsIcon
from ._ulule import UluleIcon
from ._umami import UmamiIcon
from ._umbraco import UmbracoIcon
from ._umbrel import UmbrelIcon
from ._uml import UmlIcon
from ._unacademy import UnacademyIcon
from ._underarmour import UnderArmourIcon
from ._underscoredotjs import UnderscoredotjsIcon
from ._undertale import UndertaleIcon
from ._unicode import UnicodeIcon
from ._unilever import UnileverIcon
from ._uniqlo import UniqloIcon
from ._uniqlo_ja import UniqloJaIcon
from ._unitedairlines import UnitedAirlinesIcon
from ._unitednations import UnitedNationsIcon
from ._unity import UnityIcon
from ._unjs import UnjsIcon
from ._unlicense import UnlicenseIcon
from ._unocss import UnocssIcon
from ._unpkg import UnpkgIcon
from ._unraid import UnraidIcon
from ._unrealengine import UnrealEngineIcon
from ._unsplash import UnsplashIcon
from ._untappd import UntappdIcon
from ._upcloud import UpcloudIcon
from ._uphold import UpholdIcon
from ._uplabs import UplabsIcon
from ._upptime import UpptimeIcon
from ._ups import UpsIcon
from ._upstash import UpstashIcon
from ._uptimekuma import UptimeKumaIcon
from ._upwork import UpworkIcon
from ._uservoice import UservoiceIcon
from ._usps import UspsIcon
from ._utorrent import UtorrentIcon
from ._uv import UvIcon
from ._v import VIcon
from ._v0 import VZeroIcon
from ._v2ex import VTwoExIcon
from ._v8 import VEightIcon
from ._vaadin import VaadinIcon
from ._vagrant import VagrantIcon
from ._vala import ValaIcon
from ._valorant import ValorantIcon
from ._valve import ValveIcon
from ._vanillaextract import VanillaExtractIcon
from ._vapor import VaporIcon
from ._vault import VaultIcon
from ._vaultwarden import VaultwardenIcon
from ._vauxhall import VauxhallIcon
from ._vbulletin import VbulletinIcon
from ._vectary import VectaryIcon
from ._vectorlogozone import VectorLogoZoneIcon
from ._vectorworks import VectorworksIcon
from ._veeam import VeeamIcon
from ._veed import VeedIcon
from ._veepee import VeepeeIcon
from ._vega import VegaIcon
from ._vegas import VegasIcon
from ._velocity import VelocityIcon
from ._velog import VelogIcon
from ._vencord import VencordIcon
from ._venmo import VenmoIcon
from ._vercel import VercelIcon
from ._verdaccio import VerdaccioIcon
from ._veritas import VeritasIcon
from ._verizon import VerizonIcon
from ._vespa import VespaIcon
from ._vestel import VestelIcon
from ._vexxhost import VexxhostIcon
from ._vfairs import VfairsIcon
from ._viadeo import ViadeoIcon
from ._viaplay import ViaplayIcon
from ._viber import ViberIcon
from ._viblo import VibloIcon
from ._victoriametrics import VictoriametricsIcon
from ._victronenergy import VictronEnergyIcon
from ._vikunja import VikunjaIcon
from ._vim import VimIcon
from ._vimeo import VimeoIcon
from ._vimeolivestream import VimeoLivestreamIcon
from ._vinted import VintedIcon
from ._virgin import VirginIcon
from ._virginatlantic import VirginAtlanticIcon
from ._virginmedia import VirginMediaIcon
from ._virtualbox import VirtualboxIcon
from ._virustotal import VirustotalIcon
from ._visa import VisaIcon
from ._visx import VisxIcon
from ._vite import ViteIcon
from ._vitepress import VitepressIcon
from ._vitess import VitessIcon
from ._vitest import VitestIcon
from ._vivawallet import VivaWalletIcon
from ._vivaldi import VivaldiIcon
from ._vivino import VivinoIcon
from ._vivint import VivintIcon
from ._vivo import VivoIcon
from ._vk import VkIcon
from ._vlcmediaplayer import VlcMediaPlayerIcon
from ._vmware import VmwareIcon
from ._vodafone import VodafoneIcon
from ._voelkner import VoelknerIcon
from ._voidlinux import VoidLinuxIcon
from ._voipdotms import VoipdotmsIcon
from ._volkswagen import VolkswagenIcon
from ._volvo import VolvoIcon
from ._vonage import VonageIcon
from ._vorondesign import VoronDesignIcon
from ._vowpalwabbit import VowpalWabbitIcon
from ._vox import VoxIcon
from ._vrchat import VrchatIcon
from ._vsco import VscoIcon
from ._vscodium import VscodiumIcon
from ._vtex import VtexIcon
from ._vuedotjs import VuedotjsIcon
from ._vuetify import VuetifyIcon
from ._vulkan import VulkanIcon
from ._vultr import VultrIcon
from ._vyond import VyondIcon
from ._w3schools import WThreeSchoolsIcon
from ._wacom import WacomIcon
from ._wagmi import WagmiIcon
from ._wagtail import WagtailIcon
from ._wails import WailsIcon
from ._wakatime import WakatimeIcon
from ._walkman import WalkmanIcon
from ._wallabag import WallabagIcon
from ._walletconnect import WalletconnectIcon
from ._walmart import WalmartIcon
from ._wantedly import WantedlyIcon
from ._wappalyzer import WappalyzerIcon
from ._warnerbros import WarnerBrosdotIcon
from ._warp import WarpIcon
from ._wasabi import WasabiIcon
from ._wasmcloud import WasmcloudIcon
from ._wasmer import WasmerIcon
from ._watchtower import WatchtowerIcon
from ._wattpad import WattpadIcon
from ._wayland import WaylandIcon
from ._waze import WazeIcon
from ._wazirx import WazirxIcon
from ._wearos import WearOsIcon
from ._weasyl import WeasylIcon
from ._webdotde import WebdotdeIcon
from ._web3dotjs import WebThreeDotjsIcon
from ._webassembly import WebassemblyIcon
from ._webauthn import WebauthnIcon
from ._webcomponentsdotorg import WebcomponentsdotorgIcon
from ._webdriverio import WebdriverioIcon
from ._webex import WebexIcon
from ._webflow import WebflowIcon
from ._webgl import WebglIcon
from ._webgpu import WebgpuIcon
from ._weblate import WeblateIcon
from ._webmin import WebminIcon
from ._webmoney import WebmoneyIcon
from ._webpack import WebpackIcon
from ._webrtc import WebrtcIcon
from ._webstorm import WebstormIcon
from ._webtoon import WebtoonIcon
from ._webtrees import WebtreesIcon
from ._wechat import WechatIcon
from ._wegame import WegameIcon
from ._weightsandbiases import WeightsandBiasesIcon
from ._welcometothejungle import WelcomeToTheJungleIcon
from ._wellfound import WellfoundIcon
from ._wellsfargo import WellsFargoIcon
from ._wemo import WemoIcon
from ._westerndigital import WesternDigitalIcon
from ._westernunion import WesternUnionIcon
from ._wetransfer import WetransferIcon
from ._wezterm import WeztermIcon
from ._wgpu import WgpuIcon
from ._what3words import WhatThreeWordsIcon
from ._whatsapp import WhatsappIcon
from ._wheniwork import WhenIWorkIcon
from ._wikidotgg import WikidotggIcon
from ._wikidotjs import WikidotjsIcon
from ._wikibooks import WikibooksIcon
from ._wikidata import WikidataIcon
from ._wikimediacommons import WikimediaCommonsIcon
from ._wikimediafoundation import WikimediaFoundationIcon
from ._wikipedia import WikipediaIcon
from ._wikiquote import WikiquoteIcon
from ._wikisource import WikisourceIcon
from ._wikiversity import WikiversityIcon
from ._wikivoyage import WikivoyageIcon
from ._winamp import WinampIcon
from ._windsurf import WindsurfIcon
from ._wine import WineIcon
from ._wipro import WiproIcon
from ._wire import WireIcon
from ._wireguard import WireguardIcon
from ._wireshark import WiresharkIcon
from ._wise import WiseIcon
from ._wish import WishIcon
from ._wistia import WistiaIcon
from ._wix import WixIcon
from ._wizzair import WizzAirIcon
from ._wolfram import WolframIcon
from ._wolframlanguage import WolframLanguageIcon
from ._wolframmathematica import WolframMathematicaIcon
from ._wondershare import WondershareIcon
from ._wondersharefilmora import WondershareFilmoraIcon
from ._woo import WooIcon
from ._woocommerce import WoocommerceIcon
from ._wordpress import WordpressIcon
from ._workplace import WorkplaceIcon
from ._worldhealthorganization import WorldHealthOrganizationIcon
from ._wpengine import WpEngineIcon
from ._wprocket import WpRocketIcon
from ._wpexplorer import WpexplorerIcon
from ._writedotas import WritedotasIcon
from ._wwe import WweIcon
from ._wwise import WwiseIcon
from ._wxt import WxtIcon
from ._wykop import WykopIcon
from ._wyze import WyzeIcon
from ._x import XIcon
from ._xdotorg import XdotorgIcon
from ._xampp import XamppIcon
from ._xcode import XcodeIcon
from ._xdadevelopers import XdaDevelopersIcon
from ._xendit import XenditIcon
from ._xero import XeroIcon
from ._xfce import XfceIcon
from ._xiaohongshu import XiaohongshuIcon
from ._xiaomi import XiaomiIcon
from ._xing import XingIcon
from ._xml import XmlIcon
from ._xmpp import XmppIcon
from ._xo import XoIcon
from ._xrp import XrpIcon
from ._xsplit import XsplitIcon
from ._xstate import XstateIcon
from ._xubuntu import XubuntuIcon
from ._xyflow import XyflowIcon
from ._ycombinator import YCombinatorIcon
from ._yaak import YaakIcon
from ._yabai import YabaiIcon
from ._yale import YaleIcon
from ._yamahacorporation import YamahaCorporationIcon
from ._yamahamotorcorporation import YamahaMotorCorporationIcon
from ._yaml import YamlIcon
from ._yandexcloud import YandexCloudIcon
from ._yarn import YarnIcon
from ._yelp import YelpIcon
from ._yeti import YetiIcon
from ._yii import YiiIcon
from ._yoast import YoastIcon
from ._yolo import YoloIcon
from ._youhodler import YouhodlerIcon
from ._youtube import YoutubeIcon
from ._youtubegaming import YoutubeGamingIcon
from ._youtubekids import YoutubeKidsIcon
from ._youtubemusic import YoutubeMusicIcon
from ._youtubeshorts import YoutubeShortsIcon
from ._youtubestudio import YoutubeStudioIcon
from ._youtubetv import YoutubeTvIcon
from ._yr import YrIcon
from ._yubico import YubicoIcon
from ._yunohost import YunohostIcon
from ._zabka import ZabkaIcon
from ._zaim import ZaimIcon
from ._zalando import ZalandoIcon
from ._zalo import ZaloIcon
from ._zap import ZapIcon
from ._zapier import ZapierIcon
from ._zara import ZaraIcon
from ._zazzle import ZazzleIcon
from ._zcash import ZcashIcon
from ._zcool import ZcoolIcon
from ._zdf import ZdfIcon
from ._zebpay import ZebpayIcon
from ._zebratechnologies import ZebraTechnologiesIcon
from ._zedindustries import ZedIndustriesIcon
from ._zelle import ZelleIcon
from ._zenbrowser import ZenBrowserIcon
from ._zend import ZendIcon
from ._zendesk import ZendeskIcon
from ._zenn import ZennIcon
from ._zenodo import ZenodoIcon
from ._zensar import ZensarIcon
from ._zerodha import ZerodhaIcon
from ._zerotier import ZerotierIcon
from ._zettlr import ZettlrIcon
from ._zhihu import ZhihuIcon
from ._zig import ZigIcon
from ._zigbee import ZigbeeIcon
from ._zigbee2mqtt import ZigbeeTwoMqttIcon
from ._ziggo import ZiggoIcon
from ._zilch import ZilchIcon
from ._zillow import ZillowIcon
from ._zincsearch import ZincsearchIcon
from ._zingat import ZingatIcon
from ._zod import ZodIcon
from ._zoho import ZohoIcon
from ._zoiper import ZoiperIcon
from ._zomato import ZomatoIcon
from ._zoom import ZoomIcon
from ._zorin import ZorinIcon
from ._zotero import ZoteroIcon
from ._zsh import ZshIcon
from ._zulip import ZulipIcon
from ._zyte import ZyteIcon

if TYPE_CHECKING:
    from typing import Final


ICONS: "Final[IconCollection]" = IconCollection({
    'dotenv': DotenvIcon,
    'dotnet': DotnetIcon,
    'e': EIcon,
    '1dot1dot1dot1': OneDotOneDotOneDotOneIcon,
    '1and1': OneAndOneIcon,
    '1001tracklists': OneThousandAndOneTracklistsIcon,
    '1panel': OnePanelIcon,
    '1password': OnePasswordIcon,
    '2fas': TwoFasIcon,
    '2k': TwoKIcon,
    '30secondsofcode': ThirtySecondsOfCodeIcon,
    '365datascience': ThreeHundredAndSixtyFiveDataScienceIcon,
    '3m': ThreeMIcon,
    '42': FortyTwoIcon,
    '4chan': FourChanIcon,
    '4d': FourDIcon,
    '500px': FiveHundredPxIcon,
    '7zip': SevenZipIcon,
    '99designs': NinetyNineDesignsIcon,
    '9gag': NineGagIcon,
    'aframe': AframeIcon,
    'abdownloadmanager': AbDownloadManagerIcon,
    'abb': AbbIcon,
    'abbott': AbbottIcon,
    'abbvie': AbbvieIcon,
    'aboutdotme': AboutdotmeIcon,
    'abstract': AbstractIcon,
    'abusedotch': AbusedotchIcon,
    'academia': AcademiaIcon,
    'accenture': AccentureIcon,
    'accusoft': AccusoftIcon,
    'accuweather': AccuweatherIcon,
    'acer': AcerIcon,
    'acm': AcmIcon,
    'actigraph': ActigraphIcon,
    'activeloop': ActiveloopIcon,
    'activision': ActivisionIcon,
    'activitypub': ActivitypubIcon,
    'actix': ActixIcon,
    'actualbudget': ActualBudgetIcon,
    'acura': AcuraIcon,
    'ada': AdaIcon,
    'adafruit': AdafruitIcon,
    'adaway': AdawayIcon,
    'adblock': AdblockIcon,
    'adblockplus': AdblockPlusIcon,
    'addydotio': AddydotioIcon,
    'adguard': AdguardIcon,
    'adidas': AdidasIcon,
    'adminer': AdminerIcon,
    'adonisjs': AdonisjsIcon,
    'adp': AdpIcon,
    'adroll': AdrollIcon,
    'adventofcode': AdventOfCodeIcon,
    'adyen': AdyenIcon,
    'aegisauthenticator': AegisAuthenticatorIcon,
    'aerlingus': AerLingusIcon,
    'aeroflot': AeroflotIcon,
    'aeromexico': AeromexicoIcon,
    'aerospike': AerospikeIcon,
    'aew': AewIcon,
    'afdian': AfdianIcon,
    'affine': AffineIcon,
    'affinity': AffinityIcon,
    'affinitydesigner': AffinityDesignerIcon,
    'affinityphoto': AffinityPhotoIcon,
    'affinitypublisher': AffinityPublisherIcon,
    'afterpay': AfterpayIcon,
    'aftership': AftershipIcon,
    'agora': AgoraIcon,
    'aidungeon': AiDungeonIcon,
    'aib': AibIcon,
    'aiohttp': AiohttpIcon,
    'aiqfome': AiqfomeIcon,
    'aircanada': AirCanadaIcon,
    'airchina': AirChinaIcon,
    'airfrance': AirFranceIcon,
    'airindia': AirIndiaIcon,
    'airserbia': AirSerbiaIcon,
    'airtransat': AirTransatIcon,
    'airasia': AirasiaIcon,
    'airbnb': AirbnbIcon,
    'airbrake': AirbrakeIcon,
    'airbus': AirbusIcon,
    'airbyte': AirbyteIcon,
    'aircall': AircallIcon,
    'airplayaudio': AirplayAudioIcon,
    'airplayvideo': AirplayVideoIcon,
    'airtable': AirtableIcon,
    'airtel': AirtelIcon,
    'ajv': AjvIcon,
    'akamai': AkamaiIcon,
    'akasaair': AkasaAirIcon,
    'akaunting': AkauntingIcon,
    'akiflow': AkiflowIcon,
    'alacritty': AlacrittyIcon,
    'alamy': AlamyIcon,
    'albertheijn': AlbertHeijnIcon,
    'alby': AlbyIcon,
    'alchemy': AlchemyIcon,
    'aldinord': AldiNordIcon,
    'aldisud': AldiSudIcon,
    'alfaromeo': AlfaRomeoIcon,
    'alfred': AlfredIcon,
    'algolia': AlgoliaIcon,
    'algorand': AlgorandIcon,
    'alibabacloud': AlibabaCloudIcon,
    'alibabadotcom': AlibabadotcomIcon,
    'alienware': AlienwareIcon,
    'aliexpress': AliexpressIcon,
    'alipay': AlipayIcon,
    'alist': AlistIcon,
    'allegro': AllegroIcon,
    'alliedmodders': AlliedmoddersIcon,
    'allocine': AllocineIcon,
    'alltrails': AlltrailsIcon,
    'almalinux': AlmalinuxIcon,
    'alpinelinux': AlpineLinuxIcon,
    'alpinedotjs': AlpinedotjsIcon,
    'alternativeto': AlternativetoIcon,
    'alteryx': AlteryxIcon,
    'altiumdesigner': AltiumDesignerIcon,
    'alwaysdata': AlwaysdataIcon,
    'alx': AlxIcon,
    'amd': AmdIcon,
    'ameba': AmebaIcon,
    'americanairlines': AmericanAirlinesIcon,
    'americanexpress': AmericanExpressIcon,
    'amg': AmgIcon,
    'amp': AmpIcon,
    'amul': AmulIcon,
    'ana': AnaIcon,
    'anaconda': AnacondaIcon,
    'analogue': AnalogueIcon,
    'andela': AndelaIcon,
    'android': AndroidIcon,
    'androidauto': AndroidAutoIcon,
    'androidstudio': AndroidStudioIcon,
    'angular': AngularIcon,
    'anilist': AnilistIcon,
    'animalplanet': AnimalPlanetIcon,
    'ankermake': AnkermakeIcon,
    'anki': AnkiIcon,
    'ansible': AnsibleIcon,
    'answer': AnswerIcon,
    'ansys': AnsysIcon,
    'antdesign': AntDesignIcon,
    'anta': AntaIcon,
    'antena3': AntenaThreeIcon,
    'antennapod': AntennapodIcon,
    'anthropic': AnthropicIcon,
    'antv': AntvIcon,
    'anycubic': AnycubicIcon,
    'anydesk': AnydeskIcon,
    'anytype': AnytypeIcon,
    'apache': ApacheIcon,
    'apacheairflow': ApacheAirflowIcon,
    'apacheant': ApacheAntIcon,
    'apachecassandra': ApacheCassandraIcon,
    'apachecloudstack': ApacheCloudstackIcon,
    'apachecordova': ApacheCordovaIcon,
    'apachecouchdb': ApacheCouchdbIcon,
    'apachedolphinscheduler': ApacheDolphinschedulerIcon,
    'apachedoris': ApacheDorisIcon,
    'apachedruid': ApacheDruidIcon,
    'apacheecharts': ApacheEchartsIcon,
    'apacheflink': ApacheFlinkIcon,
    'apachefreemarker': ApacheFreemarkerIcon,
    'apachegroovy': ApacheGroovyIcon,
    'apacheguacamole': ApacheGuacamoleIcon,
    'apachehadoop': ApacheHadoopIcon,
    'apachehbase': ApacheHbaseIcon,
    'apachehive': ApacheHiveIcon,
    'apachejmeter': ApacheJmeterIcon,
    'apachekafka': ApacheKafkaIcon,
    'apachekylin': ApacheKylinIcon,
    'apachelucene': ApacheLuceneIcon,
    'apachemaven': ApacheMavenIcon,
    'apachenetbeanside': ApacheNetbeansIdeIcon,
    'apachenifi': ApacheNifiIcon,
    'apacheopenoffice': ApacheOpenofficeIcon,
    'apacheparquet': ApacheParquetIcon,
    'apachepulsar': ApachePulsarIcon,
    'apacherocketmq': ApacheRocketmqIcon,
    'apachesolr': ApacheSolrIcon,
    'apachespark': ApacheSparkIcon,
    'apachestorm': ApacheStormIcon,
    'apachesuperset': ApacheSupersetIcon,
    'apachetomcat': ApacheTomcatIcon,
    'aparat': AparatIcon,
    'apifox': ApifoxIcon,
    'apmterminals': ApmTerminalsIcon,
    'apollographql': ApolloGraphqlIcon,
    'apostrophe': ApostropheIcon,
    'appstore': AppStoreIcon,
    'appgallery': AppgalleryIcon,
    'appian': AppianIcon,
    'appium': AppiumIcon,
    'apple': AppleIcon,
    'applearcade': AppleArcadeIcon,
    'applemusic': AppleMusicIcon,
    'applenews': AppleNewsIcon,
    'applepay': ApplePayIcon,
    'applepodcasts': ApplePodcastsIcon,
    'appletv': AppleTvIcon,
    'appsignal': AppsignalIcon,
    'appsmith': AppsmithIcon,
    'appveyor': AppveyorIcon,
    'appwrite': AppwriteIcon,
    'aqua': AquaIcon,
    'aral': AralIcon,
    'arangodb': ArangodbIcon,
    'arc': ArcIcon,
    'arcgis': ArcgisIcon,
    'archlinux': ArchLinuxIcon,
    'archicad': ArchicadIcon,
    'archiveofourown': ArchiveOfOurOwnIcon,
    'ardour': ArdourIcon,
    'arduino': ArduinoIcon,
    'argo': ArgoIcon,
    'argos': ArgosIcon,
    'ariakit': AriakitIcon,
    'arkecosystem': ArkEcosystemIcon,
    'arlo': ArloIcon,
    'arm': ArmIcon,
    'armkeil': ArmKeilIcon,
    'arstechnica': ArsTechnicaIcon,
    'artifacthub': ArtifactHubIcon,
    'artixlinux': ArtixLinuxIcon,
    'artstation': ArtstationIcon,
    'arxiv': ArxivIcon,
    'asahilinux': AsahiLinuxIcon,
    'asana': AsanaIcon,
    'asciidoctor': AsciidoctorIcon,
    'asciinema': AsciinemaIcon,
    'asda': AsdaIcon,
    'aseprite': AsepriteIcon,
    'assemblyscript': AssemblyscriptIcon,
    'asterisk': AsteriskIcon,
    'astonmartin': AstonMartinIcon,
    'astra': AstraIcon,
    'astral': AstralIcon,
    'astro': AstroIcon,
    'asus': AsusIcon,
    'atandt': AtandtIcon,
    'atari': AtariIcon,
    'atlasos': AtlasosIcon,
    'atlassian': AtlassianIcon,
    'auchan': AuchanIcon,
    'audacity': AudacityIcon,
    'audi': AudiIcon,
    'audible': AudibleIcon,
    'audiotechnica': AudiotechnicaIcon,
    'audiobookshelf': AudiobookshelfIcon,
    'audioboom': AudioboomIcon,
    'audiomack': AudiomackIcon,
    'aurelia': AureliaIcon,
    'auth0': AuthZeroIcon,
    'authelia': AutheliaIcon,
    'authentik': AuthentikIcon,
    'authy': AuthyIcon,
    'autocad': AutocadIcon,
    'autocannon': AutocannonIcon,
    'autodesk': AutodeskIcon,
    'autodeskmaya': AutodeskMayaIcon,
    'autodeskrevit': AutodeskRevitIcon,
    'autohotkey': AutohotkeyIcon,
    'autoit': AutoitIcon,
    'automattic': AutomatticIcon,
    'autoprefixer': AutoprefixerIcon,
    'autozone': AutozoneIcon,
    'avajs': AvajsIcon,
    'avast': AvastIcon,
    'avianca': AviancaIcon,
    'avira': AviraIcon,
    'avm': AvmIcon,
    'awesomelists': AwesomeListsIcon,
    'awesomewm': AwesomewmIcon,
    'awwwards': AwwwardsIcon,
    'axios': AxiosIcon,
    'axisbank': AxisBankIcon,
    'bandrautomation': BandrAutomationIcon,
    'babel': BabelIcon,
    'babelio': BabelioIcon,
    'babylondotjs': BabylondotjsIcon,
    'backblaze': BackblazeIcon,
    'backbone': BackboneIcon,
    'backbonedotjs': BackbonedotjsIcon,
    'backendless': BackendlessIcon,
    'backstage': BackstageIcon,
    'backstage_casting': BackstageCastingIcon,
    'badoo': BadooIcon,
    'baidu': BaiduIcon,
    'bakalari': BakalariIcon,
    'bamboo': BambooIcon,
    'bambulab': BambuLabIcon,
    'bandcamp': BandcampIcon,
    'bandlab': BandlabIcon,
    'bandsintown': BandsintownIcon,
    'bankofamerica': BankOfAmericaIcon,
    'barclays': BarclaysIcon,
    'baremetrics': BaremetricsIcon,
    'barmenia': BarmeniaIcon,
    'basecamp': BasecampIcon,
    'baserow': BaserowIcon,
    'basicattentiontoken': BasicAttentionTokenIcon,
    'bastyon': BastyonIcon,
    'bat': BatIcon,
    'bata': BataIcon,
    'battledotnet': BattledotnetIcon,
    'bazel': BazelIcon,
    'beatport': BeatportIcon,
    'beats': BeatsIcon,
    'beatsbydre': BeatsByDreIcon,
    'beatstars': BeatstarsIcon,
    'beekeeperstudio': BeekeeperStudioIcon,
    'behance': BehanceIcon,
    'beijingsubway': BeijingSubwayIcon,
    'bem': BemIcon,
    'bentley': BentleyIcon,
    'bento': BentoIcon,
    'bentobox': BentoboxIcon,
    'bentoml': BentomlIcon,
    'bereal': BerealIcon,
    'betfair': BetfairIcon,
    'betterauth': BetterAuthIcon,
    'betterstack': BetterStackIcon,
    'betterdiscord': BetterdiscordIcon,
    'bevy': BevyIcon,
    'bigcartel': BigCartelIcon,
    'bigbasket': BigbasketIcon,
    'bigbluebutton': BigbluebuttonIcon,
    'bigcommerce': BigcommerceIcon,
    'bilibili': BilibiliIcon,
    'billboard': BillboardIcon,
    'bim': BimIcon,
    'binance': BinanceIcon,
    'biolink': BioLinkIcon,
    'biome': BiomeIcon,
    'bisecthosting': BisecthostingIcon,
    'bit': BitIcon,
    'bitbucket': BitbucketIcon,
    'bitcoin': BitcoinIcon,
    'bitcoincash': BitcoinCashIcon,
    'bitcoinsv': BitcoinSvIcon,
    'bitcomet': BitcometIcon,
    'bitdefender': BitdefenderIcon,
    'bitly': BitlyIcon,
    'bitrise': BitriseIcon,
    'bittorrent': BittorrentIcon,
    'bitwarden': BitwardenIcon,
    'bitwig': BitwigIcon,
    'black': BlackIcon,
    'blackberry': BlackberryIcon,
    'blackmagicdesign': BlackmagicDesignIcon,
    'blazemeter': BlazemeterIcon,
    'blazor': BlazorIcon,
    'blender': BlenderIcon,
    'blibli': BlibliIcon,
    'blockbench': BlockbenchIcon,
    'blockchaindotcom': BlockchaindotcomIcon,
    'blogger': BloggerIcon,
    'bloglovin': BloglovinIcon,
    'blueprint': BlueprintIcon,
    'bluesky': BlueskyIcon,
    'bluesound': BluesoundIcon,
    'bluetooth': BluetoothIcon,
    'bmcsoftware': BmcSoftwareIcon,
    'bmw': BmwIcon,
    'bnbchain': BnbChainIcon,
    'boardgamegeek': BoardgamegeekIcon,
    'boat': BoatIcon,
    'boehringeringelheim': BoehringerIngelheimIcon,
    'boeing': BoeingIcon,
    'bohemiainteractive': BohemiaInteractiveIcon,
    'bombardier': BombardierIcon,
    'bookalope': BookalopeIcon,
    'bookbub': BookbubIcon,
    'bookingdotcom': BookingdotcomIcon,
    'bookmeter': BookmeterIcon,
    'bookmyshow': BookmyshowIcon,
    'bookstack': BookstackIcon,
    'boost': BoostIcon,
    'boosty': BoostyIcon,
    'boots': BootsIcon,
    'bootstrap': BootstrapIcon,
    'borgbackup': BorgbackupIcon,
    'bosch': BoschIcon,
    'bose': BoseIcon,
    'botblecms': BotbleCmsIcon,
    'boulanger': BoulangerIcon,
    'bower': BowerIcon,
    'box': BoxIcon,
    'boxysvg': BoxySvgIcon,
    'braintree': BraintreeIcon,
    'braintrust': BraintrustIcon,
    'brandfetch': BrandfetchIcon,
    'brandfolder': BrandfolderIcon,
    'brave': BraveIcon,
    'breaker': BreakerIcon,
    'brenntag': BrenntagIcon,
    'brevo': BrevoIcon,
    'brex': BrexIcon,
    'bricks': BricksIcon,
    'britishairways': BritishAirwaysIcon,
    'broadcom': BroadcomIcon,
    'bruno': BrunoIcon,
    'bsd': BsdIcon,
    'bspwm': BspwmIcon,
    'bt': BtIcon,
    'buddy': BuddyIcon,
    'budibase': BudibaseIcon,
    'buefy': BuefyIcon,
    'buffer': BufferIcon,
    'bugatti': BugattiIcon,
    'bugcrowd': BugcrowdIcon,
    'buhl': BuhlIcon,
    'buildkite': BuildkiteIcon,
    'builtbybit': BuiltbybitIcon,
    'bukalapak': BukalapakIcon,
    'bulma': BulmaIcon,
    'bun': BunIcon,
    'bungie': BungieIcon,
    'bunnydotnet': BunnydotnetIcon,
    'bunq': BunqIcon,
    'burgerking': BurgerKingIcon,
    'burpsuite': BurpSuiteIcon,
    'burton': BurtonIcon,
    'buymeacoffee': BuyMeACoffeeIcon,
    'buysellads': BuyselladsIcon,
    'buzzfeed': BuzzfeedIcon,
    'bvg': BvgIcon,
    'byjus': ByjusIcon,
    'bytedance': BytedanceIcon,
    'c': CIcon,
    'cplusplus': CplusplusIcon,
    'cplusplusbuilder': CplusplusBuilderIcon,
    'cachet': CachetIcon,
    'caddy': CaddyIcon,
    'cadillac': CadillacIcon,
    'cafepress': CafepressIcon,
    'cairographics': CairoGraphicsIcon,
    'cairometro': CairoMetroIcon,
    'caixabank': CaixabankIcon,
    'cakephp': CakephpIcon,
    'caldotcom': CaldotcomIcon,
    'calendly': CalendlyIcon,
    'calibreweb': CalibrewebIcon,
    'campaignmonitor': CampaignMonitorIcon,
    'camunda': CamundaIcon,
    'canonical': CanonicalIcon,
    'canva': CanvaIcon,
    'canvas': CanvasIcon,
    'capacitor': CapacitorIcon,
    'caprover': CaproverIcon,
    'carthrottle': CarThrottleIcon,
    'cardano': CardanoIcon,
    'cardmarket': CardmarketIcon,
    'carlsberggroup': CarlsbergGroupIcon,
    'carrd': CarrdIcon,
    'carrefour': CarrefourIcon,
    'carto': CartoIcon,
    'cashapp': CashAppIcon,
    'castbox': CastboxIcon,
    'castorama': CastoramaIcon,
    'castro': CastroIcon,
    'caterpillar': CaterpillarIcon,
    'cbc': CbcIcon,
    'cbs': CbsIcon,
    'ccc': CccIcon,
    'ccleaner': CcleanerIcon,
    'cdprojekt': CdProjektIcon,
    'ce': CeIcon,
    'celery': CeleryIcon,
    'celestron': CelestronIcon,
    'centos': CentosIcon,
    'ceph': CephIcon,
    'cesium': CesiumIcon,
    'chai': ChaiIcon,
    'chainguard': ChainguardIcon,
    'chainlink': ChainlinkIcon,
    'chakraui': ChakraUiIcon,
    'changedetection': ChangeDetectionIcon,
    'channel4': ChannelFourIcon,
    'charles': CharlesIcon,
    'chartdotjs': ChartdotjsIcon,
    'chartmogul': ChartmogulIcon,
    'chase': ChaseIcon,
    'chatbot': ChatbotIcon,
    'chatwoot': ChatwootIcon,
    'checkio': CheckioIcon,
    'checkmarx': CheckmarxIcon,
    'checkmk': CheckmkIcon,
    'chedraui': ChedrauiIcon,
    'cheerio': CheerioIcon,
    'chef': ChefIcon,
    'chemex': ChemexIcon,
    'chessdotcom': ChessdotcomIcon,
    'chevrolet': ChevroletIcon,
    'chianetwork': ChiaNetworkIcon,
    'chinaeasternairlines': ChinaEasternAirlinesIcon,
    'chinasouthernairlines': ChinaSouthernAirlinesIcon,
    'chocolatey': ChocolateyIcon,
    'chromatic': ChromaticIcon,
    'chromewebstore': ChromeWebStoreIcon,
    'chrysler': ChryslerIcon,
    'chupachups': ChupaChupsIcon,
    'cilium': CiliumIcon,
    'cinema4d': CinemaFourDIcon,
    'cinnamon': CinnamonIcon,
    'circle': CircleIcon,
    'circleci': CircleciIcon,
    'circuitverse': CircuitverseIcon,
    'cirrusci': CirrusCiIcon,
    'cisco': CiscoIcon,
    'citrix': CitrixIcon,
    'citroen': CitroenIcon,
    'civicrm': CivicrmIcon,
    'civo': CivoIcon,
    'clarifai': ClarifaiIcon,
    'claris': ClarisIcon,
    'clarivate': ClarivateIcon,
    'claude': ClaudeIcon,
    'clerk': ClerkIcon,
    'clevercloud': CleverCloudIcon,
    'clickhouse': ClickhouseIcon,
    'clickup': ClickupIcon,
    'clion': ClionIcon,
    'clockify': ClockifyIcon,
    'clojure': ClojureIcon,
    'cloud66': CloudSixtySixIcon,
    'cloudfoundry': CloudFoundryIcon,
    'cloudnativebuild': CloudNativeBuildIcon,
    'cloudbees': CloudbeesIcon,
    'cloudcannon': CloudcannonIcon,
    'cloudera': ClouderaIcon,
    'cloudflare': CloudflareIcon,
    'cloudflarepages': CloudflarePagesIcon,
    'cloudflareworkers': CloudflareWorkersIcon,
    'cloudinary': CloudinaryIcon,
    'cloudron': CloudronIcon,
    'cloudsmith': CloudsmithIcon,
    'cloudways': CloudwaysIcon,
    'clubforce': ClubforceIcon,
    'clubhouse': ClubhouseIcon,
    'clyp': ClypIcon,
    'cmake': CmakeIcon,
    'cncf': CncfIcon,
    'cnes': CnesIcon,
    'cnet': CnetIcon,
    'cnn': CnnIcon,
    'coop': CoopIcon,
    'cobalt': CobaltIcon,
    'cocacola': CocacolaIcon,
    'cockpit': CockpitIcon,
    'cockroachlabs': CockroachLabsIcon,
    'cocoapods': CocoapodsIcon,
    'cocos': CocosIcon,
    'coda': CodaIcon,
    'codacy': CodacyIcon,
    'codeclimate': CodeClimateIcon,
    'codeblocks': CodeblocksIcon,
    'codeberg': CodebergIcon,
    'codecademy': CodecademyIcon,
    'codeceptjs': CodeceptjsIcon,
    'codechef': CodechefIcon,
    'codecov': CodecovIcon,
    'codecrafters': CodecraftersIcon,
    'codefactor': CodefactorIcon,
    'codeforces': CodeforcesIcon,
    'codefresh': CodefreshIcon,
    'codeigniter': CodeigniterIcon,
    'codemagic': CodemagicIcon,
    'codementor': CodementorIcon,
    'codemirror': CodemirrorIcon,
    'codenewbie': CodenewbieIcon,
    'codepen': CodepenIcon,
    'codeproject': CodeprojectIcon,
    'coder': CoderIcon,
    'coderabbit': CoderabbitIcon,
    'codersrank': CodersrankIcon,
    'coderwall': CoderwallIcon,
    'codesandbox': CodesandboxIcon,
    'codeship': CodeshipIcon,
    'codesignal': CodesignalIcon,
    'codestream': CodestreamIcon,
    'codewars': CodewarsIcon,
    'codingninjas': CodingNinjasIcon,
    'codingame': CodingameIcon,
    'codio': CodioIcon,
    'coffeescript': CoffeescriptIcon,
    'coggle': CoggleIcon,
    'cognizant': CognizantIcon,
    'coinbase': CoinbaseIcon,
    'coinmarketcap': CoinmarketcapIcon,
    'collaboraonline': CollaboraOnlineIcon,
    'comicfury': ComicfuryIcon,
    'comma': CommaIcon,
    'commerzbank': CommerzbankIcon,
    'commitlint': CommitlintIcon,
    'commodore': CommodoreIcon,
    'commonlisp': CommonLispIcon,
    'commonworkflowlanguage': CommonWorkflowLanguageIcon,
    'compilerexplorer': CompilerExplorerIcon,
    'composer': ComposerIcon,
    'comptia': ComptiaIcon,
    'comsol': ComsolIcon,
    'conan': ConanIcon,
    'concourse': ConcourseIcon,
    'condaforge': CondaforgeIcon,
    'conekta': ConektaIcon,
    'confluence': ConfluenceIcon,
    'construct3': ConstructThreeIcon,
    'consul': ConsulIcon,
    'contabo': ContaboIcon,
    'contactlesspayment': ContactlessPaymentIcon,
    'containerd': ContainerdIcon,
    'contao': ContaoIcon,
    'contentful': ContentfulIcon,
    'contentstack': ContentstackIcon,
    'continente': ContinenteIcon,
    'contributorcovenant': ContributorCovenantIcon,
    'conventionalcommits': ConventionalCommitsIcon,
    'convertio': ConvertioIcon,
    'cookiecutter': CookiecutterIcon,
    'coolermaster': CoolerMasterIcon,
    'copaairlines': CopaAirlinesIcon,
    'coppel': CoppelIcon,
    'cora': CoraIcon,
    'coreldraw': CoreldrawIcon,
    'coronaengine': CoronaEngineIcon,
    'coronarenderer': CoronaRendererIcon,
    'corsair': CorsairIcon,
    'couchbase': CouchbaseIcon,
    'counterstrike': CounterstrikeIcon,
    'countingworkspro': CountingworksProIcon,
    'coursera': CourseraIcon,
    'coveralls': CoverallsIcon,
    'coze': CozeIcon,
    'cpanel': CpanelIcon,
    'craftcms': CraftCmsIcon,
    'craftsman': CraftsmanIcon,
    'cratedb': CratedbIcon,
    'crayon': CrayonIcon,
    'creality': CrealityIcon,
    'createreactapp': CreateReactAppIcon,
    'creativecommons': CreativeCommonsIcon,
    'creativetechnology': CreativeTechnologyIcon,
    'credly': CredlyIcon,
    'crehana': CrehanaIcon,
    'crewunited': CrewUnitedIcon,
    'crewai': CrewaiIcon,
    'criticalrole': CriticalRoleIcon,
    'crowdin': CrowdinIcon,
    'crowdsource': CrowdsourceIcon,
    'crunchbase': CrunchbaseIcon,
    'crunchyroll': CrunchyrollIcon,
    'cryengine': CryengineIcon,
    'cryptomator': CryptomatorIcon,
    'cryptpad': CryptpadIcon,
    'crystal': CrystalIcon,
    'csdn': CsdnIcon,
    'css': CssIcon,
    'cssdesignawards': CssDesignAwardsIcon,
    'cssmodules': CssModulesIcon,
    'csswizardry': CssWizardryIcon,
    'cts': CtsIcon,
    'cucumber': CucumberIcon,
    'cultura': CulturaIcon,
    'curl': CurlIcon,
    'curseforge': CurseforgeIcon,
    'customink': CustomInkIcon,
    'cyberdefenders': CyberdefendersIcon,
    'cycling74': CyclingSeventyFourIcon,
    'cypress': CypressIcon,
    'cytoscapedotjs': CytoscapedotjsIcon,
    'd': DIcon,
    'dedge': DedgeIcon,
    'dwavesystems': DwaveSystemsIcon,
    'd3': DThreeIcon,
    'dacia': DaciaIcon,
    'daf': DafIcon,
    'dailydotdev': DailydotdevIcon,
    'dailymotion': DailymotionIcon,
    'daisyui': DaisyuiIcon,
    'dapr': DaprIcon,
    'darkreader': DarkReaderIcon,
    'dart': DartIcon,
    'darty': DartyIcon,
    'daserste': DasErsteIcon,
    'dash': DashIcon,
    'dashlane': DashlaneIcon,
    'dask': DaskIcon,
    'dassaultsystemes': DassaultSystemesIcon,
    'datadotai': DatadotaiIcon,
    'databricks': DatabricksIcon,
    'datacamp': DatacampIcon,
    'datadog': DatadogIcon,
    'datagrip': DatagripIcon,
    'dataiku': DataikuIcon,
    'datastax': DatastaxIcon,
    'datefns': DatefnsIcon,
    'datev': DatevIcon,
    'datocms': DatocmsIcon,
    'datto': DattoIcon,
    'davinciresolve': DavinciResolveIcon,
    'dazhongdianping': DazhongDianpingIcon,
    'dazn': DaznIcon,
    'dbeaver': DbeaverIcon,
    'dblp': DblpIcon,
    'dbt': DbtIcon,
    'dcentertainment': DcEntertainmentIcon,
    'delonghi': DelonghiIcon,
    'debian': DebianIcon,
    'debridlink': DebridlinkIcon,
    'decapcms': DecapCmsIcon,
    'decentraland': DecentralandIcon,
    'deepcool': DeepcoolIcon,
    'deepgram': DeepgramIcon,
    'deepin': DeepinIcon,
    'deepl': DeeplIcon,
    'deepnote': DeepnoteIcon,
    'deliveroo': DeliverooIcon,
    'dell': DellIcon,
    'delphi': DelphiIcon,
    'delta': DeltaIcon,
    'deluge': DelugeIcon,
    'deno': DenoIcon,
    'denon': DenonIcon,
    'dependabot': DependabotIcon,
    'depositphotos': DepositphotosIcon,
    'derspiegel': DerSpiegelIcon,
    'deutschebahn': DeutscheBahnIcon,
    'deutschebank': DeutscheBankIcon,
    'deutschepost': DeutschePostIcon,
    'deutschetelekom': DeutscheTelekomIcon,
    'deutschewelle': DeutscheWelleIcon,
    'devdotto': DevdottoIcon,
    'devbox': DevboxIcon,
    'devexpress': DevexpressIcon,
    'deviantart': DeviantartIcon,
    'devpost': DevpostIcon,
    'devrant': DevrantIcon,
    'dgraph': DgraphIcon,
    'dhl': DhlIcon,
    'diagramsdotnet': DiagramsdotnetIcon,
    'dialogflow': DialogflowIcon,
    'diaspora': DiasporaIcon,
    'dictionarydotcom': DictionarydotcomIcon,
    'digg': DiggIcon,
    'digikeyelectronics': DigikeyElectronicsIcon,
    'digitalocean': DigitaloceanIcon,
    'dinersclub': DinersClubIcon,
    'dior': DiorIcon,
    'directus': DirectusIcon,
    'discogs': DiscogsIcon,
    'discord': DiscordIcon,
    'discorddotjs': DiscorddotjsIcon,
    'discourse': DiscourseIcon,
    'discover': DiscoverIcon,
    'disqus': DisqusIcon,
    'disroot': DisrootIcon,
    'distrobox': DistroboxIcon,
    'distrokid': DistrokidIcon,
    'django': DjangoIcon,
    'dji': DjiIcon,
    'dlib': DlibIcon,
    'dlna': DlnaIcon,
    'dm': DmIcon,
    'dmm': DmmIcon,
    'docker': DockerIcon,
    'docsdotrs': DocsdotrsIcon,
    'docsify': DocsifyIcon,
    'doctrine': DoctrineIcon,
    'docusaurus': DocusaurusIcon,
    'dogecoin': DogecoinIcon,
    'doi': DoiIcon,
    'dolby': DolbyIcon,
    'dolibarr': DolibarrIcon,
    'dolphin': DolphinIcon,
    'doordash': DoordashIcon,
    'dota2': DotaTwoIcon,
    'douban': DoubanIcon,
    'doubanread': DoubanReadIcon,
    'dovecot': DovecotIcon,
    'dovetail': DovetailIcon,
    'downdetector': DowndetectorIcon,
    'doxygen': DoxygenIcon,
    'dpd': DpdIcon,
    'dragonframe': DragonframeIcon,
    'draugiemdotlv': DraugiemdotlvIcon,
    'dreamstime': DreamstimeIcon,
    'dribbble': DribbbleIcon,
    'drizzle': DrizzleIcon,
    'drone': DroneIcon,
    'drooble': DroobleIcon,
    'dropbox': DropboxIcon,
    'drupal': DrupalIcon,
    'dsautomobiles': DsAutomobilesIcon,
    'dts': DtsIcon,
    'dtube': DtubeIcon,
    'ducati': DucatiIcon,
    'duckdb': DuckdbIcon,
    'duckduckgo': DuckduckgoIcon,
    'dungeonsanddragons': DungeonsandDragonsIcon,
    'dunked': DunkedIcon,
    'dunzo': DunzoIcon,
    'duolingo': DuolingoIcon,
    'duplicati': DuplicatiIcon,
    'dvc': DvcIcon,
    'dwm': DwmIcon,
    'dynatrace': DynatraceIcon,
    'edotleclerc': EdotleclercIcon,
    'e3': EThreeIcon,
    'ea': EaIcon,
    'eac': EacIcon,
    'eagle': EagleIcon,
    'easyeda': EasyedaIcon,
    'easyjet': EasyjetIcon,
    'ebay': EbayIcon,
    'ebox': EboxIcon,
    'eclipseadoptium': EclipseAdoptiumIcon,
    'eclipseche': EclipseCheIcon,
    'eclipseide': EclipseIdeIcon,
    'eclipsejetty': EclipseJettyIcon,
    'eclipsemosquitto': EclipseMosquittoIcon,
    'eclipsevertdotx': EclipseVertdotxIcon,
    'ecosia': EcosiaIcon,
    'ecovacs': EcovacsIcon,
    'edeka': EdekaIcon,
    'edgeimpulse': EdgeImpulseIcon,
    'editorconfig': EditorconfigIcon,
    'educative': EducativeIcon,
    'edx': EdxIcon,
    'egghead': EggheadIcon,
    'egnyte': EgnyteIcon,
    'eight': EightIcon,
    'eightsleep': EightSleepIcon,
    'ejs': EjsIcon,
    'elastic': ElasticIcon,
    'elasticcloud': ElasticCloudIcon,
    'elasticstack': ElasticStackIcon,
    'elasticsearch': ElasticsearchIcon,
    'elavon': ElavonIcon,
    'electron': ElectronIcon,
    'electronfiddle': ElectronFiddleIcon,
    'electronbuilder': ElectronbuilderIcon,
    'elegoo': ElegooIcon,
    'element': ElementIcon,
    'elementary': ElementaryIcon,
    'elementor': ElementorIcon,
    'elevenlabs': ElevenlabsIcon,
    'eleventy': EleventyIcon,
    'elgato': ElgatoIcon,
    'elixir': ElixirIcon,
    'elm': ElmIcon,
    'elsevier': ElsevierIcon,
    'embarcadero': EmbarcaderoIcon,
    'embark': EmbarkIcon,
    'emberdotjs': EmberdotjsIcon,
    'emby': EmbyIcon,
    'emirates': EmiratesIcon,
    'emlakjet': EmlakjetIcon,
    'endeavouros': EndeavourosIcon,
    'enpass': EnpassIcon,
    'ens': EnsIcon,
    'ente': EnteIcon,
    'enterprisedb': EnterprisedbIcon,
    'envato': EnvatoIcon,
    'envoyproxy': EnvoyProxyIcon,
    'epel': EpelIcon,
    'epicgames': EpicGamesIcon,
    'epson': EpsonIcon,
    'equinixmetal': EquinixMetalIcon,
    'eraser': EraserIcon,
    'ericsson': EricssonIcon,
    'erlang': ErlangIcon,
    'erpnext': ErpnextIcon,
    'esbuild': EsbuildIcon,
    'esea': EseaIcon,
    'eslgaming': EslgamingIcon,
    'eslint': EslintIcon,
    'esotericsoftware': EsotericSoftwareIcon,
    'esphome': EsphomeIcon,
    'espressif': EspressifIcon,
    'esri': EsriIcon,
    'etcd': EtcdIcon,
    'ethereum': EthereumIcon,
    'ethers': EthersIcon,
    'ethiopianairlines': EthiopianAirlinesIcon,
    'etihadairways': EtihadAirwaysIcon,
    'etsy': EtsyIcon,
    'europeanunion': EuropeanUnionIcon,
    'eventstore': EventStoreIcon,
    'evernote': EvernoteIcon,
    'everydotorg': EverydotorgIcon,
    'excalidraw': ExcalidrawIcon,
    'exercism': ExercismIcon,
    'exordo': ExordoIcon,
    'exoscale': ExoscaleIcon,
    'expedia': ExpediaIcon,
    'expensify': ExpensifyIcon,
    'expertsexchange': ExpertsExchangeIcon,
    'expo': ExpoIcon,
    'express': ExpressIcon,
    'expressdotcom': ExpressdotcomIcon,
    'expressvpn': ExpressvpnIcon,
    'eyeem': EyeemIcon,
    'fdroid': FdroidIcon,
    'fsharp': FSharpIcon,
    'f1': FOneIcon,
    'f5': FFiveIcon,
    'facebook': FacebookIcon,
    'facebookgaming': FacebookGamingIcon,
    'facebooklive': FacebookLiveIcon,
    'faceit': FaceitIcon,
    'facepunch': FacepunchIcon,
    'fairphone': FairphoneIcon,
    'falco': FalcoIcon,
    'falcon': FalconIcon,
    'fampay': FampayIcon,
    'fandango': FandangoIcon,
    'fandom': FandomIcon,
    'fanfou': FanfouIcon,
    'fantom': FantomIcon,
    'farcaster': FarcasterIcon,
    'fareharbor': FareharborIcon,
    'farfetch': FarfetchIcon,
    'fastapi': FastapiIcon,
    'fastify': FastifyIcon,
    'fastlane': FastlaneIcon,
    'fastly': FastlyIcon,
    'fathom': FathomIcon,
    'fauna': FaunaIcon,
    'favro': FavroIcon,
    'fcc': FccIcon,
    'fedex': FedexIcon,
    'fedora': FedoraIcon,
    'feedly': FeedlyIcon,
    'ferrari': FerrariIcon,
    'ferrarinv': FerrariNdotvdotIcon,
    'ferretdb': FerretdbIcon,
    'ffmpeg': FfmpegIcon,
    'fi': FiIcon,
    'fiat': FiatIcon,
    'fidoalliance': FidoAllianceIcon,
    'fifa': FifaIcon,
    'fig': FigIcon,
    'figma': FigmaIcon,
    'figshare': FigshareIcon,
    'fila': FilaIcon,
    'filament': FilamentIcon,
    'filedotio': FiledotioIcon,
    'filen': FilenIcon,
    'files': FilesIcon,
    'filezilla': FilezillaIcon,
    'fineco': FinecoIcon,
    'fing': FingIcon,
    'firebase': FirebaseIcon,
    'firefish': FirefishIcon,
    'fireflyiii': FireflyIiiIcon,
    'firefox': FirefoxIcon,
    'firefoxbrowser': FirefoxBrowserIcon,
    'fireship': FireshipIcon,
    'firewalla': FirewallaIcon,
    'first': FirstIcon,
    'fishshell': FishShellIcon,
    'fitbit': FitbitIcon,
    'fivem': FivemIcon,
    'fiverr': FiverrIcon,
    'fizz': FizzIcon,
    'flashforge': FlashforgeIcon,
    'flask': FlaskIcon,
    'flat': FlatIcon,
    'flathub': FlathubIcon,
    'flatpak': FlatpakIcon,
    'flickr': FlickrIcon,
    'flightaware': FlightawareIcon,
    'flipboard': FlipboardIcon,
    'flipkart': FlipkartIcon,
    'floatplane': FloatplaneIcon,
    'flood': FloodIcon,
    'floorp': FloorpIcon,
    'fluentbit': FluentBitIcon,
    'fluentd': FluentdIcon,
    'fluke': FlukeIcon,
    'flutter': FlutterIcon,
    'flux': FluxIcon,
    'flydotio': FlydotioIcon,
    'flyway': FlywayIcon,
    'fmod': FmodIcon,
    'fnac': FnacIcon,
    'folium': FoliumIcon,
    'folo': FoloIcon,
    'fonoma': FonomaIcon,
    'fontawesome': FontAwesomeIcon,
    'fontbase': FontbaseIcon,
    'fontforge': FontforgeIcon,
    'foobar2000': FoobarTwoThousandIcon,
    'foodpanda': FoodpandaIcon,
    'ford': FordIcon,
    'forgejo': ForgejoIcon,
    'formbricks': FormbricksIcon,
    'formik': FormikIcon,
    'formspree': FormspreeIcon,
    'formstack': FormstackIcon,
    'fortinet': FortinetIcon,
    'fortnite': FortniteIcon,
    'fortran': FortranIcon,
    'fossa': FossaIcon,
    'fossilscm': FossilScmIcon,
    'foundryvirtualtabletop': FoundryVirtualTabletopIcon,
    'foursquare': FoursquareIcon,
    'fox': FoxIcon,
    'foxtel': FoxtelIcon,
    'fozzy': FozzyIcon,
    'framer': FramerIcon,
    'framework': FrameworkIcon,
    'framework7': FrameworkSevenIcon,
    'franprix': FranprixIcon,
    'frappe': FrappeIcon,
    'fraunhofergesellschaft': FraunhofergesellschaftIcon,
    'freebsd': FreebsdIcon,
    'freecad': FreecadIcon,
    'freecodecamp': FreecodecampIcon,
    'freedesktopdotorg': FreedesktopdotorgIcon,
    'freelancer': FreelancerIcon,
    'freelancermap': FreelancermapIcon,
    'freenas': FreenasIcon,
    'freenet': FreenetIcon,
    'freepik': FreepikIcon,
    'freetube': FreetubeIcon,
    'fresh': FreshIcon,
    'frigate': FrigateIcon,
    'fritz': FritzIcon,
    'frontendmentor': FrontendMentorIcon,
    'frontify': FrontifyIcon,
    'fubo': FuboIcon,
    'fueler': FuelerIcon,
    'fugacloud': FugaCloudIcon,
    'fujifilm': FujifilmIcon,
    'fujitsu': FujitsuIcon,
    'furaffinity': FurAffinityIcon,
    'furrynetwork': FurryNetworkIcon,
    'fusionauth': FusionauthIcon,
    'futurelearn': FuturelearnIcon,
    'fyle': FyleIcon,
    'g2': GTwoIcon,
    'g2a': GTwoAIcon,
    'g2g': GTwoGIcon,
    'galaxus': GalaxusIcon,
    'gamedeveloper': GameDeveloperIcon,
    'gamejolt': GameJoltIcon,
    'gamescience': GameScienceIcon,
    'gamebanana': GamebananaIcon,
    'gameloft': GameloftIcon,
    'gamemaker': GamemakerIcon,
    'gandi': GandiIcon,
    'garmin': GarminIcon,
    'gatling': GatlingIcon,
    'gatsby': GatsbyIcon,
    'gcore': GcoreIcon,
    'gdal': GdalIcon,
    'geeksforgeeks': GeeksforgeeksIcon,
    'generalelectric': GeneralElectricIcon,
    'generalmotors': GeneralMotorsIcon,
    'genius': GeniusIcon,
    'gentoo': GentooIcon,
    'geocaching': GeocachingIcon,
    'geode': GeodeIcon,
    'geopandas': GeopandasIcon,
    'gerrit': GerritIcon,
    'getx': GetxIcon,
    'ghost': GhostIcon,
    'ghostery': GhosteryIcon,
    'gimp': GimpIcon,
    'gin': GinIcon,
    'giphy': GiphyIcon,
    'git': GitIcon,
    'gitextensions': GitExtensionsIcon,
    'gitforwindows': GitForWindowsIcon,
    'gitlfs': GitLfsIcon,
    'gitbook': GitbookIcon,
    'gitconnected': GitconnectedIcon,
    'gitea': GiteaIcon,
    'gitee': GiteeIcon,
    'github': GithubIcon,
    'githubactions': GithubActionsIcon,
    'githubcopilot': GithubCopilotIcon,
    'githubpages': GithubPagesIcon,
    'githubsponsors': GithubSponsorsIcon,
    'gitignoredotio': GitignoredotioIcon,
    'gitkraken': GitkrakenIcon,
    'gitlab': GitlabIcon,
    'gitpod': GitpodIcon,
    'gitter': GitterIcon,
    'gldotinet': GldotinetIcon,
    'glassdoor': GlassdoorIcon,
    'gleam': GleamIcon,
    'glide': GlideIcon,
    'glitch': GlitchIcon,
    'globus': GlobusIcon,
    'glovo': GlovoIcon,
    'gltf': GltfIcon,
    'gmail': GmailIcon,
    'gmx': GmxIcon,
    'gnome': GnomeIcon,
    'gnometerminal': GnomeTerminalIcon,
    'gnu': GnuIcon,
    'gnubash': GnuBashIcon,
    'gnuemacs': GnuEmacsIcon,
    'gnuicecat': GnuIcecatIcon,
    'gnuprivacyguard': GnuPrivacyGuardIcon,
    'gnusocial': GnuSocialIcon,
    'go': GoIcon,
    'gocd': GocdIcon,
    'godaddy': GodaddyIcon,
    'godotengine': GodotEngineIcon,
    'gofundme': GofundmeIcon,
    'gogdotcom': GogdotcomIcon,
    'gojek': GojekIcon,
    'goland': GolandIcon,
    'goldmansachs': GoldmanSachsIcon,
    'goodreads': GoodreadsIcon,
    'google': GoogleIcon,
    'googleadmob': GoogleAdmobIcon,
    'googleads': GoogleAdsIcon,
    'googleadsense': GoogleAdsenseIcon,
    'googleanalytics': GoogleAnalyticsIcon,
    'googleappsscript': GoogleAppsScriptIcon,
    'googleassistant': GoogleAssistantIcon,
    'googleauthenticator': GoogleAuthenticatorIcon,
    'googlebigquery': GoogleBigqueryIcon,
    'googlebigtable': GoogleBigtableIcon,
    'googlecalendar': GoogleCalendarIcon,
    'googlecampaignmanager360': GoogleCampaignManagerThreeHundredAndSixtyIcon,
    'googlecardboard': GoogleCardboardIcon,
    'googlecast': GoogleCastIcon,
    'googlechat': GoogleChatIcon,
    'googlechrome': GoogleChromeIcon,
    'googlechronicle': GoogleChronicleIcon,
    'googleclassroom': GoogleClassroomIcon,
    'googlecloud': GoogleCloudIcon,
    'googlecloudcomposer': GoogleCloudComposerIcon,
    'googlecloudspanner': GoogleCloudSpannerIcon,
    'googlecloudstorage': GoogleCloudStorageIcon,
    'googlecolab': GoogleColabIcon,
    'googlecontaineroptimizedos': GoogleContainerOptimizedOsIcon,
    'googledataflow': GoogleDataflowIcon,
    'googledataproc': GoogleDataprocIcon,
    'googledisplayandvideo360': GoogleDisplayandVideoThreeHundredAndSixtyIcon,
    'googledocs': GoogleDocsIcon,
    'googledrive': GoogleDriveIcon,
    'googleearth': GoogleEarthIcon,
    'googleearthengine': GoogleEarthEngineIcon,
    'googlefit': GoogleFitIcon,
    'googlefonts': GoogleFontsIcon,
    'googleforms': GoogleFormsIcon,
    'googlegemini': GoogleGeminiIcon,
    'googlehome': GoogleHomeIcon,
    'googlekeep': GoogleKeepIcon,
    'googlelens': GoogleLensIcon,
    'googlemaps': GoogleMapsIcon,
    'googlemarketingplatform': GoogleMarketingPlatformIcon,
    'googlemeet': GoogleMeetIcon,
    'googlemessages': GoogleMessagesIcon,
    'googlenearby': GoogleNearbyIcon,
    'googlenews': GoogleNewsIcon,
    'googlepay': GooglePayIcon,
    'googlephotos': GooglePhotosIcon,
    'googleplay': GooglePlayIcon,
    'googlepubsub': GooglePubsubIcon,
    'googlescholar': GoogleScholarIcon,
    'googlesearchconsole': GoogleSearchConsoleIcon,
    'googlesheets': GoogleSheetsIcon,
    'googleslides': GoogleSlidesIcon,
    'googlestreetview': GoogleStreetViewIcon,
    'googlesummerofcode': GoogleSummerOfCodeIcon,
    'googletagmanager': GoogleTagManagerIcon,
    'googletasks': GoogleTasksIcon,
    'googletranslate': GoogleTranslateIcon,
    'googletv': GoogleTvIcon,
    'gotomeeting': GotomeetingIcon,
    'gplv3': GplvThreeIcon,
    'grab': GrabIcon,
    'gradio': GradioIcon,
    'gradle': GradleIcon,
    'gradleplaypublisher': GradlePlayPublisherIcon,
    'grafana': GrafanaIcon,
    'grammarly': GrammarlyIcon,
    'grandfrais': GrandFraisIcon,
    'grapheneos': GrapheneosIcon,
    'graphite': GraphiteIcon,
    'graphql': GraphqlIcon,
    'grav': GravIcon,
    'gravatar': GravatarIcon,
    'graylog': GraylogIcon,
    'greasyfork': GreasyForkIcon,
    'greatlearning': GreatLearningIcon,
    'greenhouse': GreenhouseIcon,
    'greensock': GreensockIcon,
    'griddotai': GriddotaiIcon,
    'gridsome': GridsomeIcon,
    'grocy': GrocyIcon,
    'groupme': GroupmeIcon,
    'groupon': GrouponIcon,
    'grunt': GruntIcon,
    'gsk': GskIcon,
    'gsma': GsmaIcon,
    'gsmarenadotcom': GsmarenadotcomIcon,
    'gstreamer': GstreamerIcon,
    'gtk': GtkIcon,
    'guangzhoumetro': GuangzhouMetroIcon,
    'guilded': GuildedIcon,
    'guitarpro': GuitarProIcon,
    'gulp': GulpIcon,
    'gumroad': GumroadIcon,
    'gumtree': GumtreeIcon,
    'gunicorn': GunicornIcon,
    'gurobi': GurobiIcon,
    'gusto': GustoIcon,
    'gutenberg': GutenbergIcon,
    'handm': HandmIcon,
    'h2database': HTwoDatabaseIcon,
    'h3': HThreeIcon,
    'habr': HabrIcon,
    'hackclub': HackClubIcon,
    'hackthebox': HackTheBoxIcon,
    'hackaday': HackadayIcon,
    'hackernoon': HackerNoonIcon,
    'hackerearth': HackerearthIcon,
    'hackerone': HackeroneIcon,
    'hackerrank': HackerrankIcon,
    'hackster': HacksterIcon,
    'hal': HalIcon,
    'handlebarsdotjs': HandlebarsdotjsIcon,
    'handshake': HandshakeIcon,
    'handshake_protocol': HandshakeProtocolIcon,
    'happycow': HappycowIcon,
    'harbor': HarborIcon,
    'harmonyos': HarmonyosIcon,
    'hashicorp': HashicorpIcon,
    'hashnode': HashnodeIcon,
    'haskell': HaskellIcon,
    'hasura': HasuraIcon,
    'hatenabookmark': HatenaBookmarkIcon,
    'haveibeenpwned': HaveIBeenPwnedIcon,
    'havells': HavellsIcon,
    'haxe': HaxeIcon,
    'haystack': HaystackIcon,
    'hbo': HboIcon,
    'hbomax': HboMaxIcon,
    'hcl': HclIcon,
    'hdfcbank': HdfcBankIcon,
    'headlessui': HeadlessUiIcon,
    'headphonezone': HeadphoneZoneIcon,
    'headspace': HeadspaceIcon,
    'hearth': HearthIcon,
    'hearthisdotat': HearthisdotatIcon,
    'hedera': HederaIcon,
    'hedgedoc': HedgedocIcon,
    'helium': HeliumIcon,
    'helix': HelixIcon,
    'hellofresh': HellofreshIcon,
    'hellyhansen': HellyHansenIcon,
    'helm': HelmIcon,
    'helpscout': HelpScoutIcon,
    'helpdesk': HelpdeskIcon,
    'hepsiemlak': HepsiemlakIcon,
    'here': HereIcon,
    'hermes': HermesIcon,
    'heroicgameslauncher': HeroicGamesLauncherIcon,
    'heroku': HerokuIcon,
    'heroui': HerouiIcon,
    'hetzner': HetznerIcon,
    'hevy': HevyIcon,
    'hexlet': HexletIcon,
    'hexo': HexoIcon,
    'hey': HeyIcon,
    'hibob': HiBobIcon,
    'hibernate': HibernateIcon,
    'hilton': HiltonIcon,
    'hiltonhotelsandresorts': HiltonHotelsandResortsIcon,
    'hitachi': HitachiIcon,
    'hive': HiveIcon,
    'hive_blockchain': HiveBlockchainIcon,
    'hivemq': HivemqIcon,
    'homarr': HomarrIcon,
    'homeassistant': HomeAssistantIcon,
    'homeassistantcommunitystore': HomeAssistantCommunityStoreIcon,
    'homeadvisor': HomeadvisorIcon,
    'homebrew': HomebrewIcon,
    'homebridge': HomebridgeIcon,
    'homepage': HomepageIcon,
    'homify': HomifyIcon,
    'honda': HondaIcon,
    'honey': HoneyIcon,
    'honeybadger': HoneybadgerIcon,
    'honeygain': HoneygainIcon,
    'hono': HonoIcon,
    'honor': HonorIcon,
    'hootsuite': HootsuiteIcon,
    'hoppscotch': HoppscotchIcon,
    'hostinger': HostingerIcon,
    'hotelsdotcom': HotelsdotcomIcon,
    'hotjar': HotjarIcon,
    'hotwire': HotwireIcon,
    'houdini': HoudiniIcon,
    'houzz': HouzzIcon,
    'hp': HpIcon,
    'hsbc': HsbcIcon,
    'htc': HtcIcon,
    'htcvive': HtcViveIcon,
    'htmlacademy': HtmlAcademyIcon,
    'html5': HtmlFiveIcon,
    'htmx': HtmxIcon,
    'htop': HtopIcon,
    'httpie': HttpieIcon,
    'huawei': HuaweiIcon,
    'hubspot': HubspotIcon,
    'huggingface': HuggingFaceIcon,
    'hugo': HugoIcon,
    'humblebundle': HumbleBundleIcon,
    'humhub': HumhubIcon,
    'hungryjacks': HungryJacksIcon,
    'husqvarna': HusqvarnaIcon,
    'hyper': HyperIcon,
    'hyperskill': HyperskillIcon,
    'hyperx': HyperxIcon,
    'hypothesis': HypothesisIcon,
    'hyprland': HyprlandIcon,
    'hyundai': HyundaiIcon,
    'i18next': IEighteenNextIcon,
    'i3': IThreeIcon,
    'iata': IataIcon,
    'ibeacon': IbeaconIcon,
    'iberia': IberiaIcon,
    'iced': IcedIcon,
    'iceland': IcelandIcon,
    'icicibank': IciciBankIcon,
    'icinga': IcingaIcon,
    'icloud': IcloudIcon,
    'icomoon': IcomoonIcon,
    'icon': IconIcon,
    'iconfinder': IconfinderIcon,
    'iconify': IconifyIcon,
    'iconjar': IconjarIcon,
    'icons8': IconsEightIcon,
    'icq': IcqIcon,
    'ieee': IeeeIcon,
    'ifixit': IfixitIcon,
    'ifood': IfoodIcon,
    'ifttt': IftttIcon,
    'igdb': IgdbIcon,
    'ign': IgnIcon,
    'iheartradio': IheartradioIcon,
    'ikea': IkeaIcon,
    'iledefrancemobilites': IledefranceMobilitesIcon,
    'ilovepdf': IlovepdfIcon,
    'imagedotsc': ImagedotscIcon,
    'imagej': ImagejIcon,
    'imdb': ImdbIcon,
    'imessage': ImessageIcon,
    'imgur': ImgurIcon,
    'immer': ImmerIcon,
    'immich': ImmichIcon,
    'imou': ImouIcon,
    'improvmx': ImprovmxIcon,
    'indeed': IndeedIcon,
    'indiansuperleague': IndianSuperLeagueIcon,
    'indiehackers': IndieHackersIcon,
    'indigo': IndigoIcon,
    'inductiveautomation': InductiveAutomationIcon,
    'inertia': InertiaIcon,
    'infiniti': InfinitiIcon,
    'infinityfree': InfinityfreeIcon,
    'influxdb': InfluxdbIcon,
    'infomaniak': InfomaniakIcon,
    'infoq': InfoqIcon,
    'informatica': InformaticaIcon,
    'infosys': InfosysIcon,
    'infracost': InfracostIcon,
    'ingress': IngressIcon,
    'inkdrop': InkdropIcon,
    'inkscape': InkscapeIcon,
    'inoreader': InoreaderIcon,
    'inquirer': InquirerIcon,
    'insomnia': InsomniaIcon,
    'inspire': InspireIcon,
    'insta360': InstaThreeHundredAndSixtyIcon,
    'instacart': InstacartIcon,
    'instagram': InstagramIcon,
    'instapaper': InstapaperIcon,
    'instatus': InstatusIcon,
    'instructables': InstructablesIcon,
    'instructure': InstructureIcon,
    'intel': IntelIcon,
    'intellijidea': IntellijIdeaIcon,
    'interactiondesignfoundation': InteractionDesignFoundationIcon,
    'interactjs': InteractjsIcon,
    'interbase': InterbaseIcon,
    'intercom': IntercomIcon,
    'intermarche': IntermarcheIcon,
    'internetarchive': InternetArchiveIcon,
    'internetcomputer': InternetComputerIcon,
    'intigriti': IntigritiIcon,
    'intuit': IntuitIcon,
    'invidious': InvidiousIcon,
    'invision': InvisionIcon,
    'invoiceninja': InvoiceNinjaIcon,
    'iobroker': IobrokerIcon,
    'ionic': IonicIcon,
    'ionos': IonosIcon,
    'ios': IosIcon,
    'iota': IotaIcon,
    'ipfs': IpfsIcon,
    'iris': IrisIcon,
    'irobot': IrobotIcon,
    'isc2': IscTwoIcon,
    'isro': IsroIcon,
    'issuu': IssuuIcon,
    'istio': IstioIcon,
    'itchdotio': ItchdotioIcon,
    'iterm2': ItermTwoIcon,
    'itunes': ItunesIcon,
    'itvx': ItvxIcon,
    'iveco': IvecoIcon,
    'jabber': JabberIcon,
    'jaeger': JaegerIcon,
    'jaguar': JaguarIcon,
    'jameson': JamesonIcon,
    'jamstack': JamstackIcon,
    'japanairlines': JapanAirlinesIcon,
    'jasmine': JasmineIcon,
    'javascript': JavascriptIcon,
    'jbl': JblIcon,
    'jcb': JcbIcon,
    'jdoodle': JdoodleIcon,
    'jeep': JeepIcon,
    'jekyll': JekyllIcon,
    'jellyfin': JellyfinIcon,
    'jenkins': JenkinsIcon,
    'jest': JestIcon,
    'jet': JetIcon,
    'jetblue': JetblueIcon,
    'jetbrains': JetbrainsIcon,
    'jetpackcompose': JetpackComposeIcon,
    'jfrog': JfrogIcon,
    'jfrogpipelines': JfrogPipelinesIcon,
    'jhipster': JhipsterIcon,
    'jinja': JinjaIcon,
    'jio': JioIcon,
    'jira': JiraIcon,
    'jirasoftware': JiraSoftwareIcon,
    'jitpack': JitpackIcon,
    'jitsi': JitsiIcon,
    'johndeere': JohnDeereIcon,
    'joomla': JoomlaIcon,
    'joplin': JoplinIcon,
    'jordan': JordanIcon,
    'jouav': JouavIcon,
    'jovian': JovianIcon,
    'jpeg': JpegIcon,
    'jquery': JqueryIcon,
    'jrgroup': JrGroupIcon,
    'jsdelivr': JsdelivrIcon,
    'jsfiddle': JsfiddleIcon,
    'json': JsonIcon,
    'jsonwebtokens': JsonWebTokensIcon,
    'jsr': JsrIcon,
    'jss': JssIcon,
    'juce': JuceIcon,
    'juejin': JuejinIcon,
    'juke': JukeIcon,
    'julia': JuliaIcon,
    'junipernetworks': JuniperNetworksIcon,
    'junit5': JunitFiveIcon,
    'jupyter': JupyterIcon,
    'justeat': JustEatIcon,
    'justgiving': JustgivingIcon,
    'k3s': KThreeSIcon,
    'k6': KSixIcon,
    'kaggle': KaggleIcon,
    'kagi': KagiIcon,
    'kahoot': KahootIcon,
    'kaios': KaiosIcon,
    'kakao': KakaoIcon,
    'kakaotalk': KakaotalkIcon,
    'kalilinux': KaliLinuxIcon,
    'kamailio': KamailioIcon,
    'kaniko': KanikoIcon,
    'karlsruherverkehrsverbund': KarlsruherVerkehrsverbundIcon,
    'kasasmart': KasaSmartIcon,
    'kashflow': KashflowIcon,
    'kaspersky': KasperskyIcon,
    'katana': KatanaIcon,
    'kaufland': KauflandIcon,
    'kde': KdeIcon,
    'kdeneon': KdeNeonIcon,
    'kdeplasma': KdePlasmaIcon,
    'kdenlive': KdenliveIcon,
    'kedro': KedroIcon,
    'keenetic': KeeneticIcon,
    'keepachangelog': KeepAChangelogIcon,
    'keepassxc': KeepassxcIcon,
    'keeper': KeeperIcon,
    'keeweb': KeewebIcon,
    'kenmei': KenmeiIcon,
    'kentico': KenticoIcon,
    'keras': KerasIcon,
    'keybase': KeybaseIcon,
    'keycdn': KeycdnIcon,
    'keycloak': KeycloakIcon,
    'keystone': KeystoneIcon,
    'kfc': KfcIcon,
    'khanacademy': KhanAcademyIcon,
    'khronosgroup': KhronosGroupIcon,
    'kia': KiaIcon,
    'kibana': KibanaIcon,
    'kicad': KicadIcon,
    'kick': KickIcon,
    'kickstarter': KickstarterIcon,
    'kik': KikIcon,
    'kingstontechnology': KingstonTechnologyIcon,
    'kinopoisk': KinopoiskIcon,
    'kinsta': KinstaIcon,
    'kirby': KirbyIcon,
    'kit': KitIcon,
    'kitsu': KitsuIcon,
    'kiwix': KiwixIcon,
    'klarna': KlarnaIcon,
    'kleinanzeigen': KleinanzeigenIcon,
    'klm': KlmIcon,
    'klook': KlookIcon,
    'knative': KnativeIcon,
    'knexdotjs': KnexdotjsIcon,
    'knime': KnimeIcon,
    'knip': KnipIcon,
    'knowledgebase': KnowledgebaseIcon,
    'known': KnownIcon,
    'kofi': KofiIcon,
    'koa': KoaIcon,
    'koc': KocIcon,
    'kodak': KodakIcon,
    'kodi': KodiIcon,
    'koenigsegg': KoenigseggIcon,
    'kofax': KofaxIcon,
    'komoot': KomootIcon,
    'konami': KonamiIcon,
    'kong': KongIcon,
    'kongregate': KongregateIcon,
    'konva': KonvaIcon,
    'koreader': KoreaderIcon,
    'kotlin': KotlinIcon,
    'koyeb': KoyebIcon,
    'kred': KredIcon,
    'krita': KritaIcon,
    'ktm': KtmIcon,
    'ktor': KtorIcon,
    'kuaishou': KuaishouIcon,
    'kubernetes': KubernetesIcon,
    'kubespray': KubesprayIcon,
    'kubuntu': KubuntuIcon,
    'kucoin': KucoinIcon,
    'kueski': KueskiIcon,
    'kuma': KumaIcon,
    'kununu': KununuIcon,
    'kuula': KuulaIcon,
    'kx': KxIcon,
    'kyocera': KyoceraIcon,
    'lequipe': LequipeIcon,
    'labview': LabviewIcon,
    'lada': LadaIcon,
    'lamborghini': LamborghiniIcon,
    'landrover': LandRoverIcon,
    'langchain': LangchainIcon,
    'langflow': LangflowIcon,
    'langgraph': LanggraphIcon,
    'languagetool': LanguagetoolIcon,
    'lapce': LapceIcon,
    'laragon': LaragonIcon,
    'laravel': LaravelIcon,
    'laravelhorizon': LaravelHorizonIcon,
    'laravelnova': LaravelNovaIcon,
    'lastdotfm': LastdotfmIcon,
    'lastpass': LastpassIcon,
    'latex': LatexIcon,
    'launchpad': LaunchpadIcon,
    'lazarus': LazarusIcon,
    'lazyvim': LazyvimIcon,
    'lbry': LbryIcon,
    'leaderprice': LeaderPriceIcon,
    'leaflet': LeafletIcon,
    'leagueoflegends': LeagueOfLegendsIcon,
    'leanpub': LeanpubIcon,
    'leetcode': LeetcodeIcon,
    'lefthook': LefthookIcon,
    'legacygames': LegacyGamesIcon,
    'leica': LeicaIcon,
    'lemmy': LemmyIcon,
    'lemonsqueezy': LemonSqueezyIcon,
    'lenovo': LenovoIcon,
    'lens': LensIcon,
    'leptos': LeptosIcon,
    'lerna': LernaIcon,
    'leroymerlin': LeroyMerlinIcon,
    'leslibraires': LesLibrairesIcon,
    'less': LessIcon,
    'letsencrypt': LetsEncryptIcon,
    'letterboxd': LetterboxdIcon,
    'levelsdotfyi': LevelsdotfyiIcon,
    'lg': LgIcon,
    'lining': LiningIcon,
    'liberadotchat': LiberadotchatIcon,
    'liberapay': LiberapayIcon,
    'librariesdotio': LibrariesdotioIcon,
    'librarything': LibrarythingIcon,
    'libreoffice': LibreofficeIcon,
    'libreofficebase': LibreofficeBaseIcon,
    'libreofficecalc': LibreofficeCalcIcon,
    'libreofficedraw': LibreofficeDrawIcon,
    'libreofficeimpress': LibreofficeImpressIcon,
    'libreofficemath': LibreofficeMathIcon,
    'libreofficewriter': LibreofficeWriterIcon,
    'libretranslate': LibretranslateIcon,
    'libretube': LibretubeIcon,
    'librewolf': LibrewolfIcon,
    'libuv': LibuvIcon,
    'lichess': LichessIcon,
    'lidl': LidlIcon,
    'lifx': LifxIcon,
    'lightburn': LightburnIcon,
    'lighthouse': LighthouseIcon,
    'lightning': LightningIcon,
    'limesurvey': LimesurveyIcon,
    'line': LineIcon,
    'lineageos': LineageosIcon,
    'linear': LinearIcon,
    'linkerd': LinkerdIcon,
    'linkfire': LinkfireIcon,
    'linksys': LinksysIcon,
    'linktree': LinktreeIcon,
    'linphone': LinphoneIcon,
    'lintcode': LintcodeIcon,
    'linux': LinuxIcon,
    'linuxcontainers': LinuxContainersIcon,
    'linuxfoundation': LinuxFoundationIcon,
    'linuxmint': LinuxMintIcon,
    'linuxprofessionalinstitute': LinuxProfessionalInstituteIcon,
    'linuxserver': LinuxserverIcon,
    'lionair': LionAirIcon,
    'liquibase': LiquibaseIcon,
    'listmonk': ListmonkIcon,
    'lit': LitIcon,
    'litecoin': LitecoinIcon,
    'literal': LiteralIcon,
    'litiengine': LitiengineIcon,
    'livechat': LivechatIcon,
    'livejournal': LivejournalIcon,
    'livewire': LivewireIcon,
    'llvm': LlvmIcon,
    'lmms': LmmsIcon,
    'lobsters': LobstersIcon,
    'local': LocalIcon,
    'lodash': LodashIcon,
    'logitech': LogitechIcon,
    'logitechg': LogitechGIcon,
    'logmein': LogmeinIcon,
    'logseq': LogseqIcon,
    'logstash': LogstashIcon,
    'looker': LookerIcon,
    'loom': LoomIcon,
    'loop': LoopIcon,
    'loopback': LoopbackIcon,
    'lootcrate': LootCrateIcon,
    'lospec': LospecIcon,
    'lotpolishairlines': LotPolishAirlinesIcon,
    'lottiefiles': LottiefilesIcon,
    'ltspice': LtspiceIcon,
    'lua': LuaIcon,
    'luau': LuauIcon,
    'lubuntu': LubuntuIcon,
    'lucia': LuciaIcon,
    'lucid': LucidIcon,
    'lucide': LucideIcon,
    'ludwig': LudwigIcon,
    'lufthansa': LufthansaIcon,
    'lumen': LumenIcon,
    'lunacy': LunacyIcon,
    'lutris': LutrisIcon,
    'lvgl': LvglIcon,
    'lydia': LydiaIcon,
    'lyft': LyftIcon,
    'maas': MaasIcon,
    'macos': MacosIcon,
    'macpaw': MacpawIcon,
    'macports': MacportsIcon,
    'macys': MacysIcon,
    'magasinsu': MagasinsUIcon,
    'magic': MagicIcon,
    'magisk': MagiskIcon,
    'mahindra': MahindraIcon,
    'maildotcom': MaildotcomIcon,
    'maildotru': MaildotruIcon,
    'mailboxdotorg': MailboxdotorgIcon,
    'mailchimp': MailchimpIcon,
    'mailgun': MailgunIcon,
    'mailtrap': MailtrapIcon,
    'mainwp': MainwpIcon,
    'majorleaguehacking': MajorLeagueHackingIcon,
    'make': MakeIcon,
    'makerbot': MakerbotIcon,
    'malt': MaltIcon,
    'malwarebytes': MalwarebytesIcon,
    'mambaui': MambaUiIcon,
    'mamp': MampIcon,
    'man': ManIcon,
    'manageiq': ManageiqIcon,
    'mangaupdates': MangaupdatesIcon,
    'manjaro': ManjaroIcon,
    'mantine': MantineIcon,
    'mapbox': MapboxIcon,
    'mapillary': MapillaryIcon,
    'maplibre': MaplibreIcon,
    'maptiler': MaptilerIcon,
    'mariadb': MariadbIcon,
    'mariadbfoundation': MariadbFoundationIcon,
    'markdown': MarkdownIcon,
    'marko': MarkoIcon,
    'marriott': MarriottIcon,
    'marvelapp': MarvelappIcon,
    'maserati': MaseratiIcon,
    'mastercard': MastercardIcon,
    'mastercomfig': MastercomfigIcon,
    'mastodon': MastodonIcon,
    'materialdesign': MaterialDesignIcon,
    'materialdesignicons': MaterialDesignIconsIcon,
    'materialformkdocs': MaterialForMkdocsIcon,
    'matillion': MatillionIcon,
    'matomo': MatomoIcon,
    'matrix': MatrixIcon,
    'matterdotjs': MatterdotjsIcon,
    'mattermost': MattermostIcon,
    'matternet': MatternetIcon,
    'mautic': MauticIcon,
    'max': MaxIcon,
    'maxplanckgesellschaft': MaxplanckgesellschaftIcon,
    'maytag': MaytagIcon,
    'mazda': MazdaIcon,
    'maze': MazeIcon,
    'mcafee': McafeeIcon,
    'mcdonalds': McdonaldsIcon,
    'mclaren': MclarenIcon,
    'mdbook': MdbookIcon,
    'mdnwebdocs': MdnWebDocsIcon,
    'mdx': MdxIcon,
    'mealie': MealieIcon,
    'mediafire': MediafireIcon,
    'mediamarkt': MediamarktIcon,
    'mediapipe': MediapipeIcon,
    'mediatek': MediatekIcon,
    'medibangpaint': MedibangPaintIcon,
    'medium': MediumIcon,
    'medusa': MedusaIcon,
    'meetup': MeetupIcon,
    'mega': MegaIcon,
    'meilisearch': MeilisearchIcon,
    'meituan': MeituanIcon,
    'meizu': MeizuIcon,
    'mendeley': MendeleyIcon,
    'mentorcruise': MentorcruiseIcon,
    'mercadopago': MercadoPagoIcon,
    'merck': MerckIcon,
    'mercurial': MercurialIcon,
    'mermaid': MermaidIcon,
    'messenger': MessengerIcon,
    'meta': MetaIcon,
    'metabase': MetabaseIcon,
    'metacritic': MetacriticIcon,
    'metafilter': MetafilterIcon,
    'metager': MetagerIcon,
    'metasploit': MetasploitIcon,
    'meteor': MeteorIcon,
    'metro': MetroIcon,
    'metrodelaciudaddemexico': MetroDeLaCiudadDeMexicoIcon,
    'metrodemadrid': MetroDeMadridIcon,
    'metrodeparis': MetroDeParisIcon,
    'mewe': MeweIcon,
    'mezmo': MezmoIcon,
    'mg': MgIcon,
    'microeditor': MicroEditorIcon,
    'microbit': MicrobitIcon,
    'microdotblog': MicrodotblogIcon,
    'micropython': MicropythonIcon,
    'microstation': MicrostationIcon,
    'microstrategy': MicrostrategyIcon,
    'midi': MidiIcon,
    'migadu': MigaduIcon,
    'mihon': MihonIcon,
    'mihoyo': MihoyoIcon,
    'mikrotik': MikrotikIcon,
    'milanote': MilanoteIcon,
    'milvus': MilvusIcon,
    'minds': MindsIcon,
    'minetest': MinetestIcon,
    'mingww64': MingwwSixtyFourIcon,
    'mini': MiniIcon,
    'minio': MinioIcon,
    'mintlify': MintlifyIcon,
    'minutemailer': MinutemailerIcon,
    'miraheze': MirahezeIcon,
    'miro': MiroIcon,
    'misskey': MisskeyIcon,
    'mistralai': MistralAiIcon,
    'mitsubishi': MitsubishiIcon,
    'mix': MixIcon,
    'mixcloud': MixcloudIcon,
    'mixpanel': MixpanelIcon,
    'mlb': MlbIcon,
    'mlflow': MlflowIcon,
    'mobx': MobxIcon,
    'mobxstatetree': MobxstatetreeIcon,
    'mocha': MochaIcon,
    'mockserviceworker': MockServiceWorkerIcon,
    'modal': ModalIcon,
    'modelcontextprotocol': ModelContextProtocolIcon,
    'modin': ModinIcon,
    'modrinth': ModrinthIcon,
    'modx': ModxIcon,
    'mojeek': MojeekIcon,
    'moleculer': MoleculerIcon,
    'momenteo': MomenteoIcon,
    'monero': MoneroIcon,
    'moneygram': MoneygramIcon,
    'mongodb': MongodbIcon,
    'mongoose': MongooseIcon,
    'mongoosedotws': MongoosedotwsIcon,
    'monica': MonicaIcon,
    'monkeytie': MonkeyTieIcon,
    'monkeytype': MonkeytypeIcon,
    'monogame': MonogameIcon,
    'monoprix': MonoprixIcon,
    'monster': MonsterIcon,
    'monzo': MonzoIcon,
    'moo': MooIcon,
    'moodle': MoodleIcon,
    'moonrepo': MoonrepoIcon,
    'moq': MoqIcon,
    'moqups': MoqupsIcon,
    'morrisons': MorrisonsIcon,
    'moscowmetro': MoscowMetroIcon,
    'motorola': MotorolaIcon,
    'movistar': MovistarIcon,
    'mozilla': MozillaIcon,
    'mpv': MpvIcon,
    'mqtt': MqttIcon,
    'msi': MsiIcon,
    'msibusiness': MsiBusinessIcon,
    'mta': MtaIcon,
    'mtr': MtrIcon,
    'mubi': MubiIcon,
    'mui': MuiIcon,
    'mulesoft': MulesoftIcon,
    'muller': MullerIcon,
    'mullvad': MullvadIcon,
    'multisim': MultisimIcon,
    'mumble': MumbleIcon,
    'muo': MuoIcon,
    'mural': MuralIcon,
    'musescore': MusescoreIcon,
    'musicbrainz': MusicbrainzIcon,
    'mxlinux': MxLinuxIcon,
    'myanimelist': MyanimelistIcon,
    'myget': MygetIcon,
    'myob': MyobIcon,
    'myshows': MyshowsIcon,
    'myspace': MyspaceIcon,
    'mysql': MysqlIcon,
    'n26': NTwentySixIcon,
    'n8n': NEightNIcon,
    'namebase': NamebaseIcon,
    'namecheap': NamecheapIcon,
    'namemc': NamemcIcon,
    'namesilo': NamesiloIcon,
    'namuwiki': NamuWikiIcon,
    'nano': NanoIcon,
    'nanostores': NanoStoresIcon,
    'napster': NapsterIcon,
    'nasa': NasaIcon,
    'nationalgrid': NationalGridIcon,
    'nationalrail': NationalRailIcon,
    'nativescript': NativescriptIcon,
    'natsdotio': NatsdotioIcon,
    'naver': NaverIcon,
    'nba': NbaIcon,
    'nbb': NbbIcon,
    'nbc': NbcIcon,
    'ndr': NdrIcon,
    'near': NearIcon,
    'nebula': NebulaIcon,
    'nec': NecIcon,
    'nederlandsespoorwegen': NederlandseSpoorwegenIcon,
    'neo4j': NeoFourJIcon,
    'neovim': NeovimIcon,
    'neptune': NeptuneIcon,
    'nestjs': NestjsIcon,
    'netapp': NetappIcon,
    'netbsd': NetbsdIcon,
    'netcup': NetcupIcon,
    'netdata': NetdataIcon,
    'neteasecloudmusic': NeteaseCloudMusicIcon,
    'netflix': NetflixIcon,
    'netgear': NetgearIcon,
    'netim': NetimIcon,
    'netlify': NetlifyIcon,
    'nette': NetteIcon,
    'netto': NettoIcon,
    'neutralinojs': NeutralinojsIcon,
    'newbalance': NewBalanceIcon,
    'newjapanprowrestling': NewJapanProwrestlingIcon,
    'newrelic': NewRelicIcon,
    'newyorktimes': NewYorkTimesIcon,
    'newegg': NeweggIcon,
    'newpipe': NewpipeIcon,
    'nexon': NexonIcon,
    'nextdotjs': NextdotjsIcon,
    'nextbike': NextbikeIcon,
    'nextbilliondotai': NextbilliondotaiIcon,
    'nextcloud': NextcloudIcon,
    'nextdns': NextdnsIcon,
    'nextdoor': NextdoorIcon,
    'nextflow': NextflowIcon,
    'nextra': NextraIcon,
    'nexusmods': NexusModsIcon,
    'nfcore': NfcoreIcon,
    'nfc': NfcIcon,
    'nginx': NginxIcon,
    'nginxproxymanager': NginxProxyManagerIcon,
    'ngrok': NgrokIcon,
    'ngrx': NgrxIcon,
    'nhl': NhlIcon,
    'nhost': NhostIcon,
    'nicehash': NicehashIcon,
    'niconico': NiconicoIcon,
    'nike': NikeIcon,
    'nikon': NikonIcon,
    'nim': NimIcon,
    'nissan': NissanIcon,
    'nixos': NixosIcon,
    'nobaralinux': NobaraLinuxIcon,
    'nodered': NoderedIcon,
    'nodedotjs': NodedotjsIcon,
    'nodebb': NodebbIcon,
    'nodemon': NodemonIcon,
    'nokia': NokiaIcon,
    'nomad': NomadIcon,
    'norco': NorcoIcon,
    'nordicsemiconductor': NordicSemiconductorIcon,
    'nordvpn': NordvpnIcon,
    'normalizedotcss': NormalizedotcssIcon,
    'norton': NortonIcon,
    'norwegian': NorwegianIcon,
    'notebooklm': NotebooklmIcon,
    'notepadplusplus': NotepadplusplusIcon,
    'notion': NotionIcon,
    'notist': NotistIcon,
    'nounproject': NounProjectIcon,
    'novu': NovuIcon,
    'now': NowIcon,
    'npm': NpmIcon,
    'nrwl': NrwlIcon,
    'nsis': NsisIcon,
    'ntfy': NtfyIcon,
    'nubank': NubankIcon,
    'nucleo': NucleoIcon,
    'nuget': NugetIcon,
    'nuke': NukeIcon,
    'numba': NumbaIcon,
    'numpy': NumpyIcon,
    'nunjucks': NunjucksIcon,
    'nushell': NushellIcon,
    'nutanix': NutanixIcon,
    'nuxt': NuxtIcon,
    'nvidia': NvidiaIcon,
    'nvm': NvmIcon,
    'nx': NxIcon,
    'nxp': NxpIcon,
    'nzxt': NzxtIcon,
    'oreilly': OreillyIcon,
    'o2': OTwoIcon,
    'obb': ObbIcon,
    'obsstudio': ObsStudioIcon,
    'observable': ObservableIcon,
    'obsidian': ObsidianIcon,
    'obtainium': ObtainiumIcon,
    'ocaml': OcamlIcon,
    'oclc': OclcIcon,
    'oclif': OclifIcon,
    'octanerender': OctaneRenderIcon,
    'octave': OctaveIcon,
    'octobercms': OctoberCmsIcon,
    'octoprint': OctoprintIcon,
    'octopusdeploy': OctopusDeployIcon,
    'oculus': OculusIcon,
    'odin': OdinIcon,
    'odnoklassniki': OdnoklassnikiIcon,
    'odoo': OdooIcon,
    'odysee': OdyseeIcon,
    'ohdear': OhDearIcon,
    'okcupid': OkcupidIcon,
    'okta': OktaIcon,
    'okx': OkxIcon,
    'ollama': OllamaIcon,
    'omadacloud': OmadaCloudIcon,
    'oneplus': OneplusIcon,
    'onestream': OnestreamIcon,
    'onlyfans': OnlyfansIcon,
    'onlyoffice': OnlyofficeIcon,
    'onnx': OnnxIcon,
    'onstar': OnstarIcon,
    'opel': OpelIcon,
    'openaccess': OpenAccessIcon,
    'openbadges': OpenBadgesIcon,
    'openbugbounty': OpenBugBountyIcon,
    'opencollective': OpenCollectiveIcon,
    'opencontainersinitiative': OpenContainersInitiativeIcon,
    'opensourcehardware': OpenSourceHardwareIcon,
    'opensourceinitiative': OpenSourceInitiativeIcon,
    'open3d': OpenThreeDIcon,
    'openai': OpenaiIcon,
    'openaigym': OpenaiGymIcon,
    'openapiinitiative': OpenapiInitiativeIcon,
    'openbsd': OpenbsdIcon,
    'opencritic': OpencriticIcon,
    'opencv': OpencvIcon,
    'openfaas': OpenfaasIcon,
    'opengl': OpenglIcon,
    'openhab': OpenhabIcon,
    'openid': OpenidIcon,
    'openjdk': OpenjdkIcon,
    'openjsfoundation': OpenjsFoundationIcon,
    'openlayers': OpenlayersIcon,
    'openmediavault': OpenmediavaultIcon,
    'openmined': OpenminedIcon,
    'opennebula': OpennebulaIcon,
    'openproject': OpenprojectIcon,
    'openscad': OpenscadIcon,
    'opensea': OpenseaIcon,
    'opensearch': OpensearchIcon,
    'openssl': OpensslIcon,
    'openstack': OpenstackIcon,
    'openstreetmap': OpenstreetmapIcon,
    'opensuse': OpensuseIcon,
    'opentelemetry': OpentelemetryIcon,
    'opentext': OpentextIcon,
    'opentofu': OpentofuIcon,
    'openverse': OpenverseIcon,
    'openvpn': OpenvpnIcon,
    'openwrt': OpenwrtIcon,
    'openzeppelin': OpenzeppelinIcon,
    'openzfs': OpenzfsIcon,
    'opera': OperaIcon,
    'operagx': OperaGxIcon,
    'opnsense': OpnsenseIcon,
    'oppo': OppoIcon,
    'opsgenie': OpsgenieIcon,
    'opslevel': OpslevelIcon,
    'optimism': OptimismIcon,
    'orange': OrangeIcon,
    'orcid': OrcidIcon,
    'org': OrgIcon,
    'organicmaps': OrganicMapsIcon,
    'origin': OriginIcon,
    'osano': OsanoIcon,
    'osf': OsfIcon,
    'osgeo': OsgeoIcon,
    'oshkosh': OshkoshIcon,
    'osmand': OsmandIcon,
    'osmc': OsmcIcon,
    'osu': OsuIcon,
    'otto': OttoIcon,
    'outline': OutlineIcon,
    'overcast': OvercastIcon,
    'overleaf': OverleafIcon,
    'ovh': OvhIcon,
    'owasp': OwaspIcon,
    'dependencycheck': OwaspDependencycheckIcon,
    'owncloud': OwncloudIcon,
    'oxygen': OxygenIcon,
    'oyo': OyoIcon,
    'p5dotjs': PFiveDotjsIcon,
    'packagist': PackagistIcon,
    'packer': PackerIcon,
    'packt': PacktIcon,
    'paddle': PaddleIcon,
    'paddlepaddle': PaddlepaddleIcon,
    'paddypower': PaddyPowerIcon,
    'padlet': PadletIcon,
    'pagekit': PagekitIcon,
    'pagerduty': PagerdutyIcon,
    'pagespeedinsights': PagespeedInsightsIcon,
    'pagseguro': PagseguroIcon,
    'palantir': PalantirIcon,
    'paloaltonetworks': PaloAltoNetworksIcon,
    'paloaltosoftware': PaloAltoSoftwareIcon,
    'panasonic': PanasonicIcon,
    'pandas': PandasIcon,
    'pandora': PandoraIcon,
    'pantheon': PantheonIcon,
    'paperlessngx': PaperlessngxIcon,
    'paperswithcode': PapersWithCodeIcon,
    'paperspace': PaperspaceIcon,
    'paradoxinteractive': ParadoxInteractiveIcon,
    'paramountplus': ParamountplusIcon,
    'paritysubstrate': ParitySubstrateIcon,
    'parrotsecurity': ParrotSecurityIcon,
    'parsedotly': ParsedotlyIcon,
    'passport': PassportIcon,
    'pastebin': PastebinIcon,
    'patreon': PatreonIcon,
    'payback': PaybackIcon,
    'paychex': PaychexIcon,
    'payhip': PayhipIcon,
    'payloadcms': PayloadCmsIcon,
    'payoneer': PayoneerIcon,
    'paypal': PaypalIcon,
    'paysafe': PaysafeIcon,
    'paytm': PaytmIcon,
    'pcgamingwiki': PcgamingwikiIcon,
    'pdm': PdmIcon,
    'pdq': PdqIcon,
    'peakdesign': PeakDesignIcon,
    'pearson': PearsonIcon,
    'peerlist': PeerlistIcon,
    'peertube': PeertubeIcon,
    'pegasusairlines': PegasusAirlinesIcon,
    'pelican': PelicanIcon,
    'peloton': PelotonIcon,
    'penny': PennyIcon,
    'penpot': PenpotIcon,
    'percy': PercyIcon,
    'perforce': PerforceIcon,
    'perl': PerlIcon,
    'perplexity': PerplexityIcon,
    'persistent': PersistentIcon,
    'personio': PersonioIcon,
    'petsathome': PetsAtHomeIcon,
    'peugeot': PeugeotIcon,
    'pexels': PexelsIcon,
    'pfsense': PfsenseIcon,
    'phabricator': PhabricatorIcon,
    'philipshue': PhilipsHueIcon,
    'phoenixframework': PhoenixFrameworkIcon,
    'phonepe': PhonepeIcon,
    'phosphoricons': PhosphorIconsIcon,
    'photobucket': PhotobucketIcon,
    'photocrowd': PhotocrowdIcon,
    'photon': PhotonIcon,
    'photopea': PhotopeaIcon,
    'php': PhpIcon,
    'phpbb': PhpbbIcon,
    'phpmyadmin': PhpmyadminIcon,
    'phpstorm': PhpstormIcon,
    'pinetwork': PiNetworkIcon,
    'pihole': PiholeIcon,
    'piaggiogroup': PiaggioGroupIcon,
    'piapro': PiaproIcon,
    'picardsurgeles': PicardSurgelesIcon,
    'picartodottv': PicartodottvIcon,
    'picnic': PicnicIcon,
    'picpay': PicpayIcon,
    'picrew': PicrewIcon,
    'picsart': PicsartIcon,
    'picxy': PicxyIcon,
    'pimcore': PimcoreIcon,
    'pinboard': PinboardIcon,
    'pinescript': PineScriptIcon,
    'pingdom': PingdomIcon,
    'pino': PinoIcon,
    'pinterest': PinterestIcon,
    'pioneerdj': PioneerDjIcon,
    'piped': PipedIcon,
    'pipx': PipxIcon,
    'pivotaltracker': PivotalTrackerIcon,
    'piwigo': PiwigoIcon,
    'pix': PixIcon,
    'pixabay': PixabayIcon,
    'pixelfed': PixelfedIcon,
    'pixiv': PixivIcon,
    'pixlr': PixlrIcon,
    'pkgsrc': PkgsrcIcon,
    'planet': PlanetIcon,
    'planetscale': PlanetscaleIcon,
    'plangrid': PlangridIcon,
    'platformdotsh': PlatformdotshIcon,
    'platformio': PlatformioIcon,
    'platzi': PlatziIcon,
    'plausibleanalytics': PlausibleAnalyticsIcon,
    'playcanvas': PlaycanvasIcon,
    'playerfm': PlayerFmIcon,
    'playerdotme': PlayerdotmeIcon,
    'playstation': PlaystationIcon,
    'playstation2': PlaystationTwoIcon,
    'playstation3': PlaystationThreeIcon,
    'playstation4': PlaystationFourIcon,
    'playstation5': PlaystationFiveIcon,
    'playstationportable': PlaystationPortableIcon,
    'playstationvita': PlaystationVitaIcon,
    'pleroma': PleromaIcon,
    'plesk': PleskIcon,
    'plex': PlexIcon,
    'plotly': PlotlyIcon,
    'plume': PlumeIcon,
    'pluralsight': PluralsightIcon,
    'plurk': PlurkIcon,
    'pm2': PmTwoIcon,
    'pnpm': PnpmIcon,
    'pocket': PocketIcon,
    'pocketcasts': PocketCastsIcon,
    'pocketbase': PocketbaseIcon,
    'podcastaddict': PodcastAddictIcon,
    'podcastindex': PodcastIndexIcon,
    'podman': PodmanIcon,
    'poe': PoeIcon,
    'poetry': PoetryIcon,
    'polars': PolarsIcon,
    'polestar': PolestarIcon,
    'polkadot': PolkadotIcon,
    'poly': PolyIcon,
    'polygon': PolygonIcon,
    'polymerproject': PolymerProjectIcon,
    'polywork': PolyworkIcon,
    'pond5': PondFiveIcon,
    'popos': PoposIcon,
    'porkbun': PorkbunIcon,
    'porsche': PorscheIcon,
    'portableappsdotcom': PortableappsdotcomIcon,
    'portainer': PortainerIcon,
    'portswigger': PortswiggerIcon,
    'posit': PositIcon,
    'postcss': PostcssIcon,
    'postgresql': PostgresqlIcon,
    'posthog': PosthogIcon,
    'postman': PostmanIcon,
    'postmates': PostmatesIcon,
    'powers': PowersIcon,
    'prdotco': PrdotcoIcon,
    'precommit': PrecommitIcon,
    'preact': PreactIcon,
    'prefect': PrefectIcon,
    'premid': PremidIcon,
    'premierleague': PremierLeagueIcon,
    'prepbytes': PrepbytesIcon,
    'prestashop': PrestashopIcon,
    'presto': PrestoIcon,
    'prettier': PrettierIcon,
    'pretzel': PretzelIcon,
    'prevention': PreventionIcon,
    'prezi': PreziIcon,
    'primefaces': PrimefacesIcon,
    'primeng': PrimengIcon,
    'primereact': PrimereactIcon,
    'primevue': PrimevueIcon,
    'printables': PrintablesIcon,
    'prisma': PrismaIcon,
    'prismic': PrismicIcon,
    'privatedivision': PrivateDivisionIcon,
    'privateinternetaccess': PrivateInternetAccessIcon,
    'protools': ProToolsIcon,
    'probot': ProbotIcon,
    'processingfoundation': ProcessingFoundationIcon,
    'processwire': ProcesswireIcon,
    'producthunt': ProductHuntIcon,
    'progate': ProgateIcon,
    'progress': ProgressIcon,
    'prometheus': PrometheusIcon,
    'pronounsdotpage': PronounsdotpageIcon,
    'prosieben': ProsiebenIcon,
    'proteus': ProteusIcon,
    'protodotio': ProtodotioIcon,
    'protocolsdotio': ProtocolsdotioIcon,
    'proton': ProtonIcon,
    'protoncalendar': ProtonCalendarIcon,
    'protondrive': ProtonDriveIcon,
    'protonmail': ProtonMailIcon,
    'protonvpn': ProtonVpnIcon,
    'protondb': ProtondbIcon,
    'protractor': ProtractorIcon,
    'proxmox': ProxmoxIcon,
    'pterodactyl': PterodactylIcon,
    'pubg': PubgIcon,
    'publons': PublonsIcon,
    'pubmed': PubmedIcon,
    'pug': PugIcon,
    'pulumi': PulumiIcon,
    'puma': PumaIcon,
    'puppet': PuppetIcon,
    'puppeteer': PuppeteerIcon,
    'purescript': PurescriptIcon,
    'purgecss': PurgecssIcon,
    'purism': PurismIcon,
    'pushbullet': PushbulletIcon,
    'pusher': PusherIcon,
    'pwa': PwaIcon,
    'pycharm': PycharmIcon,
    'pycqa': PycqaIcon,
    'pydantic': PydanticIcon,
    'pyg': PygIcon,
    'pypi': PypiIcon,
    'pypy': PypyIcon,
    'pyscaffold': PyscaffoldIcon,
    'pysyft': PysyftIcon,
    'pytest': PytestIcon,
    'python': PythonIcon,
    'pythonanywhere': PythonanywhereIcon,
    'pytorch': PytorchIcon,
    'pyup': PyupIcon,
    'qantas': QantasIcon,
    'qase': QaseIcon,
    'qatarairways': QatarAirwaysIcon,
    'qbittorrent': QbittorrentIcon,
    'qemu': QemuIcon,
    'qgis': QgisIcon,
    'qi': QiIcon,
    'qiita': QiitaIcon,
    'qiskit': QiskitIcon,
    'qiwi': QiwiIcon,
    'qlik': QlikIcon,
    'qmk': QmkIcon,
    'qnap': QnapIcon,
    'qodo': QodoIcon,
    'qq': QqIcon,
    'qt': QtIcon,
    'quad9': QuadNineIcon,
    'qualcomm': QualcommIcon,
    'qualtrics': QualtricsIcon,
    'qualys': QualysIcon,
    'quantcast': QuantcastIcon,
    'quantconnect': QuantconnectIcon,
    'quarkus': QuarkusIcon,
    'quarto': QuartoIcon,
    'quasar': QuasarIcon,
    'qubesos': QubesOsIcon,
    'quest': QuestIcon,
    'quickbooks': QuickbooksIcon,
    'quicklook': QuicklookIcon,
    'quicktime': QuicktimeIcon,
    'quicktype': QuicktypeIcon,
    'quip': QuipIcon,
    'quizlet': QuizletIcon,
    'quora': QuoraIcon,
    'qwant': QwantIcon,
    'qwik': QwikIcon,
    'qwiklabs': QwiklabsIcon,
    'qzone': QzoneIcon,
    'r': RIcon,
    'r3': RThreeIcon,
    'rabbitmq': RabbitmqIcon,
    'racket': RacketIcon,
    'radstudio': RadStudioIcon,
    'radar': RadarIcon,
    'radarr': RadarrIcon,
    'radiofrance': RadioFranceIcon,
    'radixui': RadixUiIcon,
    'railway': RailwayIcon,
    'rainmeter': RainmeterIcon,
    'rakuten': RakutenIcon,
    'rakutenkobo': RakutenKoboIcon,
    'ram': RamIcon,
    'rancher': RancherIcon,
    'rapid': RapidIcon,
    'rarible': RaribleIcon,
    'rasa': RasaIcon,
    'raspberrypi': RaspberryPiIcon,
    'ravelry': RavelryIcon,
    'ray': RayIcon,
    'raycast': RaycastIcon,
    'raylib': RaylibIcon,
    'razer': RazerIcon,
    'razorpay': RazorpayIcon,
    'rclone': RcloneIcon,
    'react': ReactIcon,
    'reactbootstrap': ReactBootstrapIcon,
    'reacthookform': ReactHookFormIcon,
    'reactquery': ReactQueryIcon,
    'reactrouter': ReactRouterIcon,
    'reacttable': ReactTableIcon,
    'reactiveresume': ReactiveResumeIcon,
    'reactivex': ReactivexIcon,
    'reactos': ReactosIcon,
    'readthedocs': ReadTheDocsIcon,
    'readdotcv': ReaddotcvIcon,
    'readme': ReadmeIcon,
    'reason': ReasonIcon,
    'reasonstudios': ReasonStudiosIcon,
    'recoil': RecoilIcon,
    'red': RedIcon,
    'redbull': RedBullIcon,
    'redcandlegames': RedCandleGamesIcon,
    'redhat': RedHatIcon,
    'redhatopenshift': RedHatOpenShiftIcon,
    'redash': RedashIcon,
    'redbubble': RedbubbleIcon,
    'reddit': RedditIcon,
    'redis': RedisIcon,
    'redmine': RedmineIcon,
    'redox': RedoxIcon,
    'redragon': RedragonIcon,
    'redsys': RedsysIcon,
    'redux': ReduxIcon,
    'reduxsaga': ReduxsagaIcon,
    'redwoodjs': RedwoodjsIcon,
    'reebok': ReebokIcon,
    'refine': RefineIcon,
    'refinedgithub': RefinedGithubIcon,
    'relay': RelayIcon,
    'relianceindustrieslimited': RelianceIndustriesLimitedIcon,
    'remark': RemarkIcon,
    'remedyentertainment': RemedyEntertainmentIcon,
    'remix': RemixIcon,
    'removedotbg': RemovedotbgIcon,
    'renpy': RenpyIcon,
    'renault': RenaultIcon,
    'render': RenderIcon,
    'renovate': RenovateIcon,
    'renren': RenrenIcon,
    'replicate': ReplicateIcon,
    'replit': ReplitIcon,
    'republicofgamers': RepublicOfGamersIcon,
    'rescript': RescriptIcon,
    'rescuetime': RescuetimeIcon,
    'researchgate': ResearchgateIcon,
    'resend': ResendIcon,
    'resharper': ResharperIcon,
    'resurrectionremixos': ResurrectionRemixOsIcon,
    'retool': RetoolIcon,
    'retroarch': RetroarchIcon,
    'retropie': RetropieIcon,
    'revanced': RevancedIcon,
    'revealdotjs': RevealdotjsIcon,
    'revenuecat': RevenuecatIcon,
    'reverbnation': ReverbnationIcon,
    'revoltdotchat': RevoltdotchatIcon,
    'revolut': RevolutIcon,
    'rewe': ReweIcon,
    'rezgo': RezgoIcon,
    'rhinoceros': RhinocerosIcon,
    'rich': RichIcon,
    'rider': RiderIcon,
    'rimacautomobili': RimacAutomobiliIcon,
    'rime': RimeIcon,
    'ring': RingIcon,
    'riotgames': RiotGamesIcon,
    'ripple': RippleIcon,
    'riscv': RiscvIcon,
    'riseup': RiseupIcon,
    'ritzcarlton': RitzCarltonIcon,
    'rive': RiveIcon,
    'roadmapdotsh': RoadmapdotshIcon,
    'roamresearch': RoamResearchIcon,
    'robinhood': RobinhoodIcon,
    'roblox': RobloxIcon,
    'robloxstudio': RobloxStudioIcon,
    'roboflow': RoboflowIcon,
    'robotframework': RobotFrameworkIcon,
    'rocket': RocketIcon,
    'rocketdotchat': RocketdotchatIcon,
    'rocksdb': RocksdbIcon,
    'rockstargames': RockstarGamesIcon,
    'rockwellautomation': RockwellAutomationIcon,
    'rockylinux': RockyLinuxIcon,
    'roku': RokuIcon,
    'roll20': RollTwentyIcon,
    'rollbar': RollbarIcon,
    'rollsroyce': RollsroyceIcon,
    'rollupdotjs': RollupdotjsIcon,
    'rook': RookIcon,
    'roon': RoonIcon,
    'rootme': RootMeIcon,
    'roots': RootsIcon,
    'rootsbedrock': RootsBedrockIcon,
    'rootssage': RootsSageIcon,
    'ros': RosIcon,
    'rossmann': RossmannIcon,
    'rotaryinternational': RotaryInternationalIcon,
    'rottentomatoes': RottenTomatoesIcon,
    'roundcube': RoundcubeIcon,
    'rsocket': RsocketIcon,
    'rss': RssIcon,
    'rstudioide': RstudioIdeIcon,
    'rte': RteIcon,
    'rtl': RtlIcon,
    'rtlzwei': RtlzweiIcon,
    'rtm': RtmIcon,
    'rubocop': RubocopIcon,
    'ruby': RubyIcon,
    'rubyonrails': RubyOnRailsIcon,
    'rubysinatra': RubySinatraIcon,
    'rubygems': RubygemsIcon,
    'rubymine': RubymineIcon,
    'ruff': RuffIcon,
    'rumahweb': RumahwebIcon,
    'rumble': RumbleIcon,
    'rundeck': RundeckIcon,
    'runkeeper': RunkeeperIcon,
    'runkit': RunkitIcon,
    'runrundotit': RunrundotitIcon,
    'rust': RustIcon,
    'rustdesk': RustdeskIcon,
    'rxdb': RxdbIcon,
    'ryanair': RyanairIcon,
    'rye': RyeIcon,
    's7airlines': SSevenAirlinesIcon,
    'sabanci': SabanciIcon,
    'safari': SafariIcon,
    'sage': SageIcon,
    'sagemath': SagemathIcon,
    'sahibinden': SahibindenIcon,
    'sailfishos': SailfishOsIcon,
    'sailsdotjs': SailsdotjsIcon,
    'salesforce': SalesforceIcon,
    'salla': SallaIcon,
    'saltproject': SaltProjectIcon,
    'samsclub': SamsClubIcon,
    'samsung': SamsungIcon,
    'samsungpay': SamsungPayIcon,
    'sanfranciscomunicipalrailway': SanFranciscoMunicipalRailwayIcon,
    'sanic': SanicIcon,
    'sanity': SanityIcon,
    'saopaulometro': SaoPauloMetroIcon,
    'sap': SapIcon,
    'sartorius': SartoriusIcon,
    'sass': SassIcon,
    'sat1': SatdotOneIcon,
    'satellite': SatelliteIcon,
    'saturn': SaturnIcon,
    'saucelabs': SauceLabsIcon,
    'saudia': SaudiaIcon,
    'scala': ScalaIcon,
    'scalar': ScalarIcon,
    'scaleway': ScalewayIcon,
    'scania': ScaniaIcon,
    'schneiderelectric': SchneiderElectricIcon,
    'scikitlearn': ScikitlearnIcon,
    'scilab': ScilabIcon,
    'scipy': ScipyIcon,
    'scopus': ScopusIcon,
    'scpfoundation': ScpFoundationIcon,
    'scrapbox': ScrapboxIcon,
    'scrapy': ScrapyIcon,
    'scratch': ScratchIcon,
    'screencastify': ScreencastifyIcon,
    'scribd': ScribdIcon,
    'scrimba': ScrimbaIcon,
    'scrollreveal': ScrollrevealIcon,
    'scrumalliance': ScrumAllianceIcon,
    'scrutinizerci': ScrutinizerCiIcon,
    'scylladb': ScylladbIcon,
    'seafile': SeafileIcon,
    'seagate': SeagateIcon,
    'searxng': SearxngIcon,
    'seat': SeatIcon,
    'seatgeek': SeatgeekIcon,
    'securityscorecard': SecurityscorecardIcon,
    'sefaria': SefariaIcon,
    'sega': SegaIcon,
    'selenium': SeleniumIcon,
    'sellfy': SellfyIcon,
    'semanticscholar': SemanticScholarIcon,
    'semanticui': SemanticUiIcon,
    'semanticuireact': SemanticUiReactIcon,
    'semanticweb': SemanticWebIcon,
    'semanticrelease': SemanticreleaseIcon,
    'semaphoreci': SemaphoreCiIcon,
    'semrush': SemrushIcon,
    'semver': SemverIcon,
    'sencha': SenchaIcon,
    'sendgrid': SendgridIcon,
    'sennheiser': SennheiserIcon,
    'sensu': SensuIcon,
    'sentry': SentryIcon,
    'sepa': SepaIcon,
    'sequelize': SequelizeIcon,
    'serverfault': ServerFaultIcon,
    'serverless': ServerlessIcon,
    'session': SessionIcon,
    'sessionize': SessionizeIcon,
    'setapp': SetappIcon,
    'sfml': SfmlIcon,
    'shadcnui': ShadcnuiIcon,
    'shadow': ShadowIcon,
    'shanghaimetro': ShanghaiMetroIcon,
    'sharex': SharexIcon,
    'sharp': SharpIcon,
    'shazam': ShazamIcon,
    'shell': ShellIcon,
    'shelly': ShellyIcon,
    'shenzhenmetro': ShenzhenMetroIcon,
    'shieldsdotio': ShieldsdotioIcon,
    'shikimori': ShikimoriIcon,
    'shopee': ShopeeIcon,
    'shopify': ShopifyIcon,
    'shopware': ShopwareIcon,
    'shortcut': ShortcutIcon,
    'showpad': ShowpadIcon,
    'showtime': ShowtimeIcon,
    'showwcase': ShowwcaseIcon,
    'shutterstock': ShutterstockIcon,
    'sidekiq': SidekiqIcon,
    'sidequest': SidequestIcon,
    'siemens': SiemensIcon,
    'sifive': SifiveIcon,
    'signal': SignalIcon,
    'silverairways': SilverAirwaysIcon,
    'similarweb': SimilarwebIcon,
    'simkl': SimklIcon,
    'simpleanalytics': SimpleAnalyticsIcon,
    'simpleicons': SimpleIconsIcon,
    'simplelocalize': SimplelocalizeIcon,
    'simplelogin': SimpleloginIcon,
    'simplenote': SimplenoteIcon,
    'simplex': SimplexIcon,
    'sinaweibo': SinaWeiboIcon,
    'singaporeairlines': SingaporeAirlinesIcon,
    'singlestore': SinglestoreIcon,
    'sitecore': SitecoreIcon,
    'sitepoint': SitepointIcon,
    'siyuan': SiyuanIcon,
    'skaffold': SkaffoldIcon,
    'sketch': SketchIcon,
    'sketchfab': SketchfabIcon,
    'sketchup': SketchupIcon,
    'skillshare': SkillshareIcon,
    'skoda': SkodaIcon,
    'sky': SkyIcon,
    'skypack': SkypackIcon,
    'slack': SlackIcon,
    'slackware': SlackwareIcon,
    'slashdot': SlashdotIcon,
    'slickpic': SlickpicIcon,
    'slides': SlidesIcon,
    'slideshare': SlideshareIcon,
    'slint': SlintIcon,
    'smart': SmartIcon,
    'smartthings': SmartthingsIcon,
    'smashingmagazine': SmashingMagazineIcon,
    'smrt': SmrtIcon,
    'smugmug': SmugmugIcon,
    'snapchat': SnapchatIcon,
    'snapcraft': SnapcraftIcon,
    'snapdragon': SnapdragonIcon,
    'sncf': SncfIcon,
    'snort': SnortIcon,
    'snowflake': SnowflakeIcon,
    'snowpack': SnowpackIcon,
    'snyk': SnykIcon,
    'socialblade': SocialBladeIcon,
    'society6': SocietySixIcon,
    'socket': SocketIcon,
    'socketdotio': SocketdotioIcon,
    'softcatala': SoftcatalaIcon,
    'softpedia': SoftpediaIcon,
    'sogou': SogouIcon,
    'solana': SolanaIcon,
    'solid': SolidIcon,
    'solidity': SolidityIcon,
    'sololearn': SololearnIcon,
    'solus': SolusIcon,
    'sonar': SonarIcon,
    'sonarqubecloud': SonarqubeCloudIcon,
    'sonarqubeforide': SonarqubeForIdeIcon,
    'sonarqubeserver': SonarqubeServerIcon,
    'sonarr': SonarrIcon,
    'sonatype': SonatypeIcon,
    'songkick': SongkickIcon,
    'songoda': SongodaIcon,
    'sonicwall': SonicwallIcon,
    'sonos': SonosIcon,
    'sony': SonyIcon,
    'soriana': SorianaIcon,
    'soundcharts': SoundchartsIcon,
    'soundcloud': SoundcloudIcon,
    'sourceengine': SourceEngineIcon,
    'sourceforge': SourceforgeIcon,
    'sourcehut': SourcehutIcon,
    'sourcetree': SourcetreeIcon,
    'southwestairlines': SouthwestAirlinesIcon,
    'spacemacs': SpacemacsIcon,
    'spaceship': SpaceshipIcon,
    'spacex': SpacexIcon,
    'spacy': SpacyIcon,
    'sparkar': SparkArIcon,
    'sparkasse': SparkasseIcon,
    'sparkfun': SparkfunIcon,
    'sparkpost': SparkpostIcon,
    'spdx': SpdxIcon,
    'speakerdeck': SpeakerDeckIcon,
    'spectrum': SpectrumIcon,
    'speedtest': SpeedtestIcon,
    'speedypage': SpeedypageIcon,
    'spoj': SphereOnlineJudgeIcon,
    'sphinx': SphinxIcon,
    'spigotmc': SpigotmcIcon,
    'spine': SpineIcon,
    'spinnaker': SpinnakerIcon,
    'splunk': SplunkIcon,
    'spond': SpondIcon,
    'spotify': SpotifyIcon,
    'spotlight': SpotlightIcon,
    'spreadshirt': SpreadshirtIcon,
    'spreaker': SpreakerIcon,
    'spring': SpringIcon,
    'spring_creators': SpringCreatorsIcon,
    'springboot': SpringBootIcon,
    'springsecurity': SpringSecurityIcon,
    'spyderide': SpyderIdeIcon,
    'sqlalchemy': SqlalchemyIcon,
    'sqlite': SqliteIcon,
    'square': SquareIcon,
    'squareenix': SquareEnixIcon,
    'squarespace': SquarespaceIcon,
    'srgssr': SrgSsrIcon,
    'ssrn': SsrnIcon,
    'sst': SstIcon,
    'stackexchange': StackExchangeIcon,
    'stackoverflow': StackOverflowIcon,
    'stackbit': StackbitIcon,
    'stackblitz': StackblitzIcon,
    'stackedit': StackeditIcon,
    'stackhawk': StackhawkIcon,
    'stackshare': StackshareIcon,
    'stadia': StadiaIcon,
    'staffbase': StaffbaseIcon,
    'stagetimer': StagetimerIcon,
    'standardresume': StandardResumeIcon,
    'standardjs': StandardjsIcon,
    'startrek': StarTrekIcon,
    'starbucks': StarbucksIcon,
    'stardock': StardockIcon,
    'starlingbank': StarlingBankIcon,
    'starship': StarshipIcon,
    'startdotgg': StartdotggIcon,
    'startpage': StartpageIcon,
    'starz': StarzIcon,
    'statamic': StatamicIcon,
    'statista': StatistaIcon,
    'statuspage': StatuspageIcon,
    'statuspal': StatuspalIcon,
    'steam': SteamIcon,
    'steamdeck': SteamDeckIcon,
    'steamdb': SteamdbIcon,
    'steamworks': SteamworksIcon,
    'steelseries': SteelseriesIcon,
    'steem': SteemIcon,
    'steemit': SteemitIcon,
    'steinberg': SteinbergIcon,
    'stellar': StellarIcon,
    'stencil': StencilIcon,
    'stencyl': StencylIcon,
    'stimulus': StimulusIcon,
    'stmicroelectronics': StmicroelectronicsIcon,
    'stockx': StockxIcon,
    'stopstalk': StopstalkIcon,
    'storyblok': StoryblokIcon,
    'storybook': StorybookIcon,
    'strapi': StrapiIcon,
    'strava': StravaIcon,
    'streamlabs': StreamlabsIcon,
    'streamlit': StreamlitIcon,
    'streamrunners': StreamrunnersIcon,
    'stremio': StremioIcon,
    'stripe': StripeIcon,
    'strongswan': StrongswanIcon,
    'stryker': StrykerIcon,
    'stubhub': StubhubIcon,
    'studio3t': StudioThreeTIcon,
    'styledcomponents': StyledcomponentsIcon,
    'stylelint': StylelintIcon,
    'styleshare': StyleshareIcon,
    'stylus': StylusIcon,
    'subaru': SubaruIcon,
    'sublimetext': SublimeTextIcon,
    'substack': SubstackIcon,
    'subtitleedit': SubtitleEditIcon,
    'subversion': SubversionIcon,
    'suckless': SucklessIcon,
    'sui': SuiIcon,
    'sumologic': SumoLogicIcon,
    'suno': SunoIcon,
    'sunrise': SunriseIcon,
    'supabase': SupabaseIcon,
    'superuser': SuperUserIcon,
    'supercrease': SupercreaseIcon,
    'supermicro': SupermicroIcon,
    'surfshark': SurfsharkIcon,
    'surrealdb': SurrealdbIcon,
    'surveymonkey': SurveymonkeyIcon,
    'suse': SuseIcon,
    'suzuki': SuzukiIcon,
    'svelte': SvelteIcon,
    'svg': SvgIcon,
    'svgdotjs': SvgdotjsIcon,
    'svgo': SvgoIcon,
    'svgtrace': SvgtraceIcon,
    'swagger': SwaggerIcon,
    'swarm': SwarmIcon,
    'sway': SwayIcon,
    'swc': SwcIcon,
    'swift': SwiftIcon,
    'swiggy': SwiggyIcon,
    'swiper': SwiperIcon,
    'swisscows': SwisscowsIcon,
    'swr': SwrIcon,
    'symantec': SymantecIcon,
    'symbolab': SymbolabIcon,
    'symfony': SymfonyIcon,
    'symphony': SymphonyIcon,
    'sympy': SympyIcon,
    'syncthing': SyncthingIcon,
    'synology': SynologyIcon,
    'system76': SystemSeventySixIcon,
    'tabelog': TabelogIcon,
    'tablecheck': TablecheckIcon,
    'tacobell': TacoBellIcon,
    'tado': TadoIcon,
    'taichigraphics': TaichiGraphicsIcon,
    'taichilang': TaichiLangIcon,
    'tails': TailsIcon,
    'tailscale': TailscaleIcon,
    'tailwindcss': TailwindCssIcon,
    'taipy': TaipyIcon,
    'taketwointeractivesoftware': TaketwoInteractiveSoftwareIcon,
    'talend': TalendIcon,
    'talenthouse': TalenthouseIcon,
    'talos': TalosIcon,
    'tamiya': TamiyaIcon,
    'tampermonkey': TampermonkeyIcon,
    'taobao': TaobaoIcon,
    'tapas': TapasIcon,
    'target': TargetIcon,
    'tarom': TaromIcon,
    'task': TaskIcon,
    'tasmota': TasmotaIcon,
    'tata': TataIcon,
    'tcs': TataConsultancyServicesIcon,
    'tauri': TauriIcon,
    'taxbuzz': TaxbuzzIcon,
    'teal': TealIcon,
    'teamcity': TeamcityIcon,
    'teamspeak': TeamspeakIcon,
    'teamviewer': TeamviewerIcon,
    'techcrunch': TechcrunchIcon,
    'ted': TedIcon,
    'teepublic': TeepublicIcon,
    'teespring': TeespringIcon,
    'tekton': TektonIcon,
    'tele5': TeleFiveIcon,
    'telequebec': TelequebecIcon,
    'telefonica': TelefonicaIcon,
    'telegram': TelegramIcon,
    'telegraph': TelegraphIcon,
    'telenor': TelenorIcon,
    'temporal': TemporalIcon,
    'tensorflow': TensorflowIcon,
    'teradata': TeradataIcon,
    'teratail': TeratailIcon,
    'termius': TermiusIcon,
    'terraform': TerraformIcon,
    'tesco': TescoIcon,
    'tesla': TeslaIcon,
    'testcafe': TestcafeIcon,
    'testin': TestinIcon,
    'testinglibrary': TestingLibraryIcon,
    'testrail': TestrailIcon,
    'tether': TetherIcon,
    'textpattern': TextpatternIcon,
    'tga': TgaIcon,
    'thangs': ThangsIcon,
    'thanos': ThanosIcon,
    'thealgorithms': TheAlgorithmsIcon,
    'theboringcompany': TheBoringCompanyIcon,
    'theconversation': TheConversationIcon,
    'thefinals': TheFinalsIcon,
    'theguardian': TheGuardianIcon,
    'theirishtimes': TheIrishTimesIcon,
    'themighty': TheMightyIcon,
    'themodelsresource': TheModelsResourceIcon,
    'themoviedatabase': TheMovieDatabaseIcon,
    'thenorthface': TheNorthFaceIcon,
    'theodinproject': TheOdinProjectIcon,
    'theplanetarysociety': ThePlanetarySocietyIcon,
    'theregister': TheRegisterIcon,
    'thesoundsresource': TheSoundsResourceIcon,
    'thespritersresource': TheSpritersResourceIcon,
    'thestorygraph': TheStorygraphIcon,
    'thewashingtonpost': TheWashingtonPostIcon,
    'theweatherchannel': TheWeatherChannelIcon,
    'thingiverse': ThingiverseIcon,
    'thinkpad': ThinkpadIcon,
    'thirdweb': ThirdwebIcon,
    'threadless': ThreadlessIcon,
    'threads': ThreadsIcon,
    'threedotjs': ThreedotjsIcon,
    'threema': ThreemaIcon,
    'thumbtack': ThumbtackIcon,
    'thunderbird': ThunderbirdIcon,
    'thunderstore': ThunderstoreIcon,
    'thurgauerkantonalbank': ThurgauerKantonalbankIcon,
    'thymeleaf': ThymeleafIcon,
    'ticketmaster': TicketmasterIcon,
    'ticktick': TicktickIcon,
    'tidal': TidalIcon,
    'tiddlywiki': TiddlywikiIcon,
    'tide': TideIcon,
    'tidyverse': TidyverseIcon,
    'tietoevry': TietoevryIcon,
    'tiktok': TiktokIcon,
    'tildapublishing': TildaPublishingIcon,
    'tile': TileIcon,
    'timescale': TimescaleIcon,
    'tina': TinaIcon,
    'tinder': TinderIcon,
    'tindie': TindieIcon,
    'tinkercad': TinkercadIcon,
    'tinygrad': TinygradIcon,
    'tinyletter': TinyletterIcon,
    'tistory': TistoryIcon,
    'tldraw': TldrawIcon,
    'tmux': TmuxIcon,
    'todoist': TodoistIcon,
    'toggl': TogglIcon,
    'toggltrack': TogglTrackIcon,
    'tokio': TokioIcon,
    'tokyometro': TokyoMetroIcon,
    'toll': TollIcon,
    'toml': TomlIcon,
    'tomorrowland': TomorrowlandIcon,
    'tomtom': TomtomIcon,
    'ton': TonIcon,
    'topdotgg': TopdotggIcon,
    'topcoder': TopcoderIcon,
    'toptal': ToptalIcon,
    'torbrowser': TorBrowserIcon,
    'torproject': TorProjectIcon,
    'torizon': TorizonIcon,
    'toshiba': ToshibaIcon,
    'totvs': TotvsIcon,
    'tourbox': TourboxIcon,
    'tower': TowerIcon,
    'toyota': ToyotaIcon,
    'tplink': TplinkIcon,
    'tqdm': TqdmIcon,
    'traccar': TraccarIcon,
    'tradingview': TradingviewIcon,
    'traefikmesh': TraefikMeshIcon,
    'traefikproxy': TraefikProxyIcon,
    'trailforks': TrailforksIcon,
    'trainerroad': TrainerroadIcon,
    'trakt': TraktIcon,
    'transifex': TransifexIcon,
    'transmission': TransmissionIcon,
    'transportforireland': TransportForIrelandIcon,
    'transportforlondon': TransportForLondonIcon,
    'travisci': TravisCiIcon,
    'treehouse': TreehouseIcon,
    'trello': TrelloIcon,
    'trendmicro': TrendMicroIcon,
    'tresorit': TresoritIcon,
    'treyarch': TreyarchIcon,
    'tricentis': TricentisIcon,
    'trilium': TriliumIcon,
    'triller': TrillerIcon,
    'trillertv': TrillertvIcon,
    'trimble': TrimbleIcon,
    'trino': TrinoIcon,
    'tripdotcom': TripdotcomIcon,
    'tripadvisor': TripadvisorIcon,
    'trivago': TrivagoIcon,
    'trivy': TrivyIcon,
    'trove': TroveIcon,
    'trpc': TrpcIcon,
    'truenas': TruenasIcon,
    'trueup': TrueupIcon,
    'trulia': TruliaIcon,
    'trustedshops': TrustedShopsIcon,
    'trustpilot': TrustpilotIcon,
    'tryitonline': TryItOnlineIcon,
    'tryhackme': TryhackmeIcon,
    'tsnode': TsnodeIcon,
    'tubi': TubiIcon,
    'tui': TuiIcon,
    'tumblr': TumblrIcon,
    'tunein': TuneinIcon,
    'turbo': TurboIcon,
    'turborepo': TurborepoIcon,
    'turbosquid': TurbosquidIcon,
    'turkishairlines': TurkishAirlinesIcon,
    'turso': TursoIcon,
    'tuta': TutaIcon,
    'tuxedocomputers': TuxedoComputersIcon,
    'tvtime': TvTimeIcon,
    'tv4play': TvFourPlayIcon,
    'twenty': TwentyIcon,
    'twilio': TwilioIcon,
    'twinkly': TwinklyIcon,
    'twinmotion': TwinmotionIcon,
    'twitch': TwitchIcon,
    'typeform': TypeformIcon,
    'typeorm': TypeormIcon,
    'typer': TyperIcon,
    'typescript': TypescriptIcon,
    'typo3': TypoThreeIcon,
    'typst': TypstIcon,
    'udotsdotnews': UdotsdotNewsIcon,
    'uber': UberIcon,
    'ubereats': UberEatsIcon,
    'ubiquiti': UbiquitiIcon,
    'ubisoft': UbisoftIcon,
    'ublockorigin': UblockOriginIcon,
    'ubuntu': UbuntuIcon,
    'ubuntumate': UbuntuMateIcon,
    'udacity': UdacityIcon,
    'udemy': UdemyIcon,
    'ufc': UfcIcon,
    'uikit': UikitIcon,
    'uipath': UipathIcon,
    'ukca': UkcaIcon,
    'ultralytics': UltralyticsIcon,
    'ulule': UluleIcon,
    'umami': UmamiIcon,
    'umbraco': UmbracoIcon,
    'umbrel': UmbrelIcon,
    'uml': UmlIcon,
    'unacademy': UnacademyIcon,
    'underarmour': UnderArmourIcon,
    'underscoredotjs': UnderscoredotjsIcon,
    'undertale': UndertaleIcon,
    'unicode': UnicodeIcon,
    'unilever': UnileverIcon,
    'uniqlo': UniqloIcon,
    'uniqlo_ja': UniqloJaIcon,
    'unitedairlines': UnitedAirlinesIcon,
    'unitednations': UnitedNationsIcon,
    'unity': UnityIcon,
    'unjs': UnjsIcon,
    'unlicense': UnlicenseIcon,
    'unocss': UnocssIcon,
    'unpkg': UnpkgIcon,
    'unraid': UnraidIcon,
    'unrealengine': UnrealEngineIcon,
    'unsplash': UnsplashIcon,
    'untappd': UntappdIcon,
    'upcloud': UpcloudIcon,
    'uphold': UpholdIcon,
    'uplabs': UplabsIcon,
    'upptime': UpptimeIcon,
    'ups': UpsIcon,
    'upstash': UpstashIcon,
    'uptimekuma': UptimeKumaIcon,
    'upwork': UpworkIcon,
    'uservoice': UservoiceIcon,
    'usps': UspsIcon,
    'utorrent': UtorrentIcon,
    'uv': UvIcon,
    'v': VIcon,
    'v0': VZeroIcon,
    'v2ex': VTwoExIcon,
    'v8': VEightIcon,
    'vaadin': VaadinIcon,
    'vagrant': VagrantIcon,
    'vala': ValaIcon,
    'valorant': ValorantIcon,
    'valve': ValveIcon,
    'vanillaextract': VanillaExtractIcon,
    'vapor': VaporIcon,
    'vault': VaultIcon,
    'vaultwarden': VaultwardenIcon,
    'vauxhall': VauxhallIcon,
    'vbulletin': VbulletinIcon,
    'vectary': VectaryIcon,
    'vectorlogozone': VectorLogoZoneIcon,
    'vectorworks': VectorworksIcon,
    'veeam': VeeamIcon,
    'veed': VeedIcon,
    'veepee': VeepeeIcon,
    'vega': VegaIcon,
    'vegas': VegasIcon,
    'velocity': VelocityIcon,
    'velog': VelogIcon,
    'vencord': VencordIcon,
    'venmo': VenmoIcon,
    'vercel': VercelIcon,
    'verdaccio': VerdaccioIcon,
    'veritas': VeritasIcon,
    'verizon': VerizonIcon,
    'vespa': VespaIcon,
    'vestel': VestelIcon,
    'vexxhost': VexxhostIcon,
    'vfairs': VfairsIcon,
    'viadeo': ViadeoIcon,
    'viaplay': ViaplayIcon,
    'viber': ViberIcon,
    'viblo': VibloIcon,
    'victoriametrics': VictoriametricsIcon,
    'victronenergy': VictronEnergyIcon,
    'vikunja': VikunjaIcon,
    'vim': VimIcon,
    'vimeo': VimeoIcon,
    'vimeolivestream': VimeoLivestreamIcon,
    'vinted': VintedIcon,
    'virgin': VirginIcon,
    'virginatlantic': VirginAtlanticIcon,
    'virginmedia': VirginMediaIcon,
    'virtualbox': VirtualboxIcon,
    'virustotal': VirustotalIcon,
    'visa': VisaIcon,
    'visx': VisxIcon,
    'vite': ViteIcon,
    'vitepress': VitepressIcon,
    'vitess': VitessIcon,
    'vitest': VitestIcon,
    'vivawallet': VivaWalletIcon,
    'vivaldi': VivaldiIcon,
    'vivino': VivinoIcon,
    'vivint': VivintIcon,
    'vivo': VivoIcon,
    'vk': VkIcon,
    'vlcmediaplayer': VlcMediaPlayerIcon,
    'vmware': VmwareIcon,
    'vodafone': VodafoneIcon,
    'voelkner': VoelknerIcon,
    'voidlinux': VoidLinuxIcon,
    'voipdotms': VoipdotmsIcon,
    'volkswagen': VolkswagenIcon,
    'volvo': VolvoIcon,
    'vonage': VonageIcon,
    'vorondesign': VoronDesignIcon,
    'vowpalwabbit': VowpalWabbitIcon,
    'vox': VoxIcon,
    'vrchat': VrchatIcon,
    'vsco': VscoIcon,
    'vscodium': VscodiumIcon,
    'vtex': VtexIcon,
    'vuedotjs': VuedotjsIcon,
    'vuetify': VuetifyIcon,
    'vulkan': VulkanIcon,
    'vultr': VultrIcon,
    'vyond': VyondIcon,
    'w3schools': WThreeSchoolsIcon,
    'wacom': WacomIcon,
    'wagmi': WagmiIcon,
    'wagtail': WagtailIcon,
    'wails': WailsIcon,
    'wakatime': WakatimeIcon,
    'walkman': WalkmanIcon,
    'wallabag': WallabagIcon,
    'walletconnect': WalletconnectIcon,
    'walmart': WalmartIcon,
    'wantedly': WantedlyIcon,
    'wappalyzer': WappalyzerIcon,
    'warnerbros': WarnerBrosdotIcon,
    'warp': WarpIcon,
    'wasabi': WasabiIcon,
    'wasmcloud': WasmcloudIcon,
    'wasmer': WasmerIcon,
    'watchtower': WatchtowerIcon,
    'wattpad': WattpadIcon,
    'wayland': WaylandIcon,
    'waze': WazeIcon,
    'wazirx': WazirxIcon,
    'wearos': WearOsIcon,
    'weasyl': WeasylIcon,
    'webdotde': WebdotdeIcon,
    'web3dotjs': WebThreeDotjsIcon,
    'webassembly': WebassemblyIcon,
    'webauthn': WebauthnIcon,
    'webcomponentsdotorg': WebcomponentsdotorgIcon,
    'webdriverio': WebdriverioIcon,
    'webex': WebexIcon,
    'webflow': WebflowIcon,
    'webgl': WebglIcon,
    'webgpu': WebgpuIcon,
    'weblate': WeblateIcon,
    'webmin': WebminIcon,
    'webmoney': WebmoneyIcon,
    'webpack': WebpackIcon,
    'webrtc': WebrtcIcon,
    'webstorm': WebstormIcon,
    'webtoon': WebtoonIcon,
    'webtrees': WebtreesIcon,
    'wechat': WechatIcon,
    'wegame': WegameIcon,
    'weightsandbiases': WeightsandBiasesIcon,
    'welcometothejungle': WelcomeToTheJungleIcon,
    'wellfound': WellfoundIcon,
    'wellsfargo': WellsFargoIcon,
    'wemo': WemoIcon,
    'westerndigital': WesternDigitalIcon,
    'westernunion': WesternUnionIcon,
    'wetransfer': WetransferIcon,
    'wezterm': WeztermIcon,
    'wgpu': WgpuIcon,
    'what3words': WhatThreeWordsIcon,
    'whatsapp': WhatsappIcon,
    'wheniwork': WhenIWorkIcon,
    'wikidotgg': WikidotggIcon,
    'wikidotjs': WikidotjsIcon,
    'wikibooks': WikibooksIcon,
    'wikidata': WikidataIcon,
    'wikimediacommons': WikimediaCommonsIcon,
    'wikimediafoundation': WikimediaFoundationIcon,
    'wikipedia': WikipediaIcon,
    'wikiquote': WikiquoteIcon,
    'wikisource': WikisourceIcon,
    'wikiversity': WikiversityIcon,
    'wikivoyage': WikivoyageIcon,
    'winamp': WinampIcon,
    'windsurf': WindsurfIcon,
    'wine': WineIcon,
    'wipro': WiproIcon,
    'wire': WireIcon,
    'wireguard': WireguardIcon,
    'wireshark': WiresharkIcon,
    'wise': WiseIcon,
    'wish': WishIcon,
    'wistia': WistiaIcon,
    'wix': WixIcon,
    'wizzair': WizzAirIcon,
    'wolfram': WolframIcon,
    'wolframlanguage': WolframLanguageIcon,
    'wolframmathematica': WolframMathematicaIcon,
    'wondershare': WondershareIcon,
    'wondersharefilmora': WondershareFilmoraIcon,
    'woo': WooIcon,
    'woocommerce': WoocommerceIcon,
    'wordpress': WordpressIcon,
    'workplace': WorkplaceIcon,
    'worldhealthorganization': WorldHealthOrganizationIcon,
    'wpengine': WpEngineIcon,
    'wprocket': WpRocketIcon,
    'wpexplorer': WpexplorerIcon,
    'writedotas': WritedotasIcon,
    'wwe': WweIcon,
    'wwise': WwiseIcon,
    'wxt': WxtIcon,
    'wykop': WykopIcon,
    'wyze': WyzeIcon,
    'x': XIcon,
    'xdotorg': XdotorgIcon,
    'xampp': XamppIcon,
    'xcode': XcodeIcon,
    'xdadevelopers': XdaDevelopersIcon,
    'xendit': XenditIcon,
    'xero': XeroIcon,
    'xfce': XfceIcon,
    'xiaohongshu': XiaohongshuIcon,
    'xiaomi': XiaomiIcon,
    'xing': XingIcon,
    'xml': XmlIcon,
    'xmpp': XmppIcon,
    'xo': XoIcon,
    'xrp': XrpIcon,
    'xsplit': XsplitIcon,
    'xstate': XstateIcon,
    'xubuntu': XubuntuIcon,
    'xyflow': XyflowIcon,
    'ycombinator': YCombinatorIcon,
    'yaak': YaakIcon,
    'yabai': YabaiIcon,
    'yale': YaleIcon,
    'yamahacorporation': YamahaCorporationIcon,
    'yamahamotorcorporation': YamahaMotorCorporationIcon,
    'yaml': YamlIcon,
    'yandexcloud': YandexCloudIcon,
    'yarn': YarnIcon,
    'yelp': YelpIcon,
    'yeti': YetiIcon,
    'yii': YiiIcon,
    'yoast': YoastIcon,
    'yolo': YoloIcon,
    'youhodler': YouhodlerIcon,
    'youtube': YoutubeIcon,
    'youtubegaming': YoutubeGamingIcon,
    'youtubekids': YoutubeKidsIcon,
    'youtubemusic': YoutubeMusicIcon,
    'youtubeshorts': YoutubeShortsIcon,
    'youtubestudio': YoutubeStudioIcon,
    'youtubetv': YoutubeTvIcon,
    'yr': YrIcon,
    'yubico': YubicoIcon,
    'yunohost': YunohostIcon,
    'zabka': ZabkaIcon,
    'zaim': ZaimIcon,
    'zalando': ZalandoIcon,
    'zalo': ZaloIcon,
    'zap': ZapIcon,
    'zapier': ZapierIcon,
    'zara': ZaraIcon,
    'zazzle': ZazzleIcon,
    'zcash': ZcashIcon,
    'zcool': ZcoolIcon,
    'zdf': ZdfIcon,
    'zebpay': ZebpayIcon,
    'zebratechnologies': ZebraTechnologiesIcon,
    'zedindustries': ZedIndustriesIcon,
    'zelle': ZelleIcon,
    'zenbrowser': ZenBrowserIcon,
    'zend': ZendIcon,
    'zendesk': ZendeskIcon,
    'zenn': ZennIcon,
    'zenodo': ZenodoIcon,
    'zensar': ZensarIcon,
    'zerodha': ZerodhaIcon,
    'zerotier': ZerotierIcon,
    'zettlr': ZettlrIcon,
    'zhihu': ZhihuIcon,
    'zig': ZigIcon,
    'zigbee': ZigbeeIcon,
    'zigbee2mqtt': ZigbeeTwoMqttIcon,
    'ziggo': ZiggoIcon,
    'zilch': ZilchIcon,
    'zillow': ZillowIcon,
    'zincsearch': ZincsearchIcon,
    'zingat': ZingatIcon,
    'zod': ZodIcon,
    'zoho': ZohoIcon,
    'zoiper': ZoiperIcon,
    'zomato': ZomatoIcon,
    'zoom': ZoomIcon,
    'zorin': ZorinIcon,
    'zotero': ZoteroIcon,
    'zsh': ZshIcon,
    'zulip': ZulipIcon,
    'zyte': ZyteIcon,
})

__all__: "Final[list[str]]" = ["ICONS"]
